/*	Compiler: ECL 13.5.1                                          */
/*	Source: SRC:CLX;DEPENDENT.LISP                                */
#include <ecl/ecl-cmp.h>
#include "clx/dependent.eclh"
/*	function definition for DECLARE-BUFMAC                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1declare_bufmac()
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("SPEED",791), ecl_make_fixnum(3));
  T1 = cl_list(2, ECL_SYM("SAFETY",734), ecl_make_fixnum(0));
  T2 = cl_list(2, ECL_SYM("DEBUG",270), ecl_make_fixnum(1));
  T3 = cl_list(4, ECL_SYM("OPTIMIZE",613), T0, T1, T2);
  value0 = cl_list(2, ECL_SYM("DECLARE",274), T3);
  return value0;
 }
}
/*	function definition for DECLARE-BUFFUN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2declare_buffun()
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("SPEED",791), ecl_make_fixnum(3));
  T1 = cl_list(2, ECL_SYM("SAFETY",734), ecl_make_fixnum(0));
  T2 = cl_list(2, ECL_SYM("DEBUG",270), ecl_make_fixnum(1));
  T3 = cl_list(4, ECL_SYM("OPTIMIZE",613), T0, T1, T2);
  value0 = cl_list(2, ECL_SYM("DECLARE",274), T3);
  return value0;
 }
}
/*	function definition for CARD8->INT8                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L3card8__int8(cl_object v1x)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 uint8_t v2x;
 v2x = ecl_fixnum(v1x);
TTL:
 if (Null(cl_logbitp(ecl_make_fixnum(7), ecl_make_uint8_t(v2x)))) { goto L1; }
 value0 = ecl_make_fixnum(((cl_fixnum)v2x)-(256));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = ecl_make_uint8_t(v2x);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT8->CARD8                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L4int8__card8(cl_object v1x)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 int8_t v2x;
 v2x = ecl_fixnum(v1x);
TTL:
 T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
 T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
 {
  cl_fixnum v3;
  v3 = -(0);
  T2 = cl_ash(ecl_make_int8_t(v2x), ecl_make_fixnum(v3));
  value0 = ecl_boole(ECL_BOOLAND,(T1),(T2));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CARD16->INT16                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L5card16__int16(cl_object v1x)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v2x;
 v2x = ecl_fixnum(v1x);
TTL:
 if (Null(cl_logbitp(ecl_make_fixnum(15), ecl_make_fixnum(v2x)))) { goto L1; }
 value0 = ecl_make_fixnum((v2x)-(65536));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = ecl_make_fixnum(v2x);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT16->CARD16                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L6int16__card16(cl_object v1x)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v2x;
 v2x = ecl_fixnum(v1x);
TTL:
 T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
 T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
 {
  cl_fixnum v3;
  v3 = -(0);
  T2 = cl_ash(ecl_make_fixnum(v2x), ecl_make_fixnum(v3));
  value0 = ecl_boole(ECL_BOOLAND,(T1),(T2));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CARD32->INT32                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L7card32__int32(cl_object v1x)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v2x;
 v2x = ecl_fixnum(v1x);
TTL:
 if (Null(cl_logbitp(ecl_make_fixnum(31), ecl_make_fixnum(v2x)))) { goto L1; }
 value0 = ecl_make_fixnum((v2x)-(4294967296));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = ecl_make_fixnum(v2x);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT32->CARD32                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L8int32__card32(cl_object v1x)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v2x;
 v2x = ecl_fixnum(v1x);
TTL:
 T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(32));
 T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
 {
  cl_fixnum v3;
  v3 = -(0);
  T2 = cl_ash(ecl_make_fixnum(v2x), ecl_make_fixnum(v3));
  value0 = ecl_boole(ECL_BOOLAND,(T1),(T2));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for AREF-CARD8                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L9aref_card8(cl_object v1a, cl_object v2i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v3i;
 v3i = ecl_fixnum(v2i);
TTL:
 value0 = ecl_make_uint8_t((v1a)->vector.self.b8[v3i]);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for ASET-CARD8                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L10aset_card8(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 uint8_t v4v;
 cl_fixnum v5i;
 v4v = ecl_fixnum(v1v);
 v5i = ecl_fixnum(v3i);
TTL:
 value0 = ecl_make_uint8_t((v2a)->vector.self.b8[v5i]= v4v);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-INT8                             */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L11aref_int8(cl_object v1a, cl_object v2i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v3i;
 v3i = ecl_fixnum(v2i);
TTL:
 {
  uint8_t v4;
  v4 = (uint8_t)((v1a)->vector.self.b8[v3i]);
  value0 = L3card8__int8(ecl_make_uint8_t(v4));
  return value0;
 }
}
/*	function definition for ASET-INT8                             */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L12aset_int8(cl_object v1v, cl_object v2a, cl_object v3i)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 int8_t v4v;
 cl_fixnum v5i;
 v4v = ecl_fixnum(v1v);
 v5i = ecl_fixnum(v3i);
TTL:
 T0 = L4int8__card8(ecl_make_int8_t(v4v));
 value0 = ecl_make_uint8_t((v2a)->vector.self.b8[v5i]= ecl_fixnum(T0));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-CARD16                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L13aref_card16(cl_object v1a, cl_object v2i)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v3i;
 v3i = ecl_fixnum(v2i);
TTL:
 {
  uint8_t v4;
  T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(1));
  v4 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
  {
   cl_fixnum v5;
   v5 = (((cl_fixnum)(v4)) << (8));
   {
    uint8_t v6;
    T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(0));
    v6 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
    value0 = ecl_make_fixnum(((v5) | ((cl_fixnum)(v6))));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ASET-CARD16                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L14aset_card16(cl_object v1v, cl_object v2a, cl_object v3i)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v4v;
 cl_fixnum v5i;
 v4v = ecl_fixnum(v1v);
 v5i = ecl_fixnum(v3i);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(1));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(8);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(0));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(0);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 value0 = ecl_make_fixnum(v4v);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-INT16                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L15aref_int16(cl_object v1a, cl_object v2i)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v3i;
 v3i = ecl_fixnum(v2i);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(1));
 T1 = L11aref_int8(v1a, T0);
 {
  cl_fixnum v4;
  v4 = ((ecl_fixnum(T1)) << (8));
  {
   uint8_t v5;
   T2 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(0));
   v5 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T2)));
   value0 = ecl_make_fixnum(((v4) | ((cl_fixnum)(v5))));
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ASET-INT16                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L16aset_int16(cl_object v1v, cl_object v2a, cl_object v3i)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v4v;
 cl_fixnum v5i;
 v4v = ecl_fixnum(v1v);
 v5i = ecl_fixnum(v3i);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(1));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(8);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(0));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(0);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 value0 = ecl_make_fixnum(v4v);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-CARD32                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L17aref_card32(cl_object v1a, cl_object v2i)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v3i;
 v3i = ecl_fixnum(v2i);
TTL:
 {
  uint8_t v4;
  T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(3));
  v4 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
  {
   cl_fixnum v5;
   v5 = (((cl_fixnum)(v4)) << (24));
   {
    uint8_t v6;
    T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(2));
    v6 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
    {
     cl_fixnum v7;
     v7 = (((cl_fixnum)(v6)) << (16));
     {
      uint8_t v8;
      T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(1));
      v8 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
      {
       cl_fixnum v9;
       v9 = (((cl_fixnum)(v8)) << (8));
       {
        uint8_t v10;
        T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(0));
        v10 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
        value0 = cl_logior(4, ecl_make_fixnum(v5), ecl_make_fixnum(v7), ecl_make_fixnum(v9), ecl_make_uint8_t(v10));
        return value0;
       }
      }
     }
    }
   }
  }
 }
}
/*	function definition for ASET-CARD32                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L18aset_card32(cl_object v1v, cl_object v2a, cl_object v3i)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v4v;
 cl_fixnum v5i;
 v4v = ecl_fixnum(v1v);
 v5i = ecl_fixnum(v3i);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(3));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(24);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(2));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(16);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(1));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(8);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(0));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(0);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 value0 = ecl_make_fixnum(v4v);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-INT32                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L19aref_int32(cl_object v1a, cl_object v2i)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v3i;
 v3i = ecl_fixnum(v2i);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(3));
 T1 = L11aref_int8(v1a, T0);
 {
  cl_fixnum v4;
  v4 = ((ecl_fixnum(T1)) << (24));
  {
   uint8_t v5;
   T2 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(2));
   v5 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T2)));
   {
    cl_fixnum v6;
    v6 = (((cl_fixnum)(v5)) << (16));
    {
     uint8_t v7;
     T2 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(1));
     v7 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T2)));
     {
      cl_fixnum v8;
      v8 = (((cl_fixnum)(v7)) << (8));
      {
       uint8_t v9;
       T2 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(0));
       v9 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T2)));
       value0 = cl_logior(4, ecl_make_fixnum(v4), ecl_make_fixnum(v6), ecl_make_fixnum(v8), ecl_make_uint8_t(v9));
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for ASET-INT32                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L20aset_int32(cl_object v1v, cl_object v2a, cl_object v3i)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v4v;
 cl_fixnum v5i;
 v4v = ecl_fixnum(v1v);
 v5i = ecl_fixnum(v3i);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(3));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(24);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(2));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(16);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(1));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(8);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(0));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(0);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 value0 = ecl_make_fixnum(v4v);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-CARD29                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L21aref_card29(cl_object v1a, cl_object v2i)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v3i;
 v3i = ecl_fixnum(v2i);
TTL:
 {
  uint8_t v4;
  T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(3));
  v4 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
  {
   cl_fixnum v5;
   v5 = (((cl_fixnum)(v4)) << (24));
   {
    uint8_t v6;
    T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(2));
    v6 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
    {
     cl_fixnum v7;
     v7 = (((cl_fixnum)(v6)) << (16));
     {
      uint8_t v8;
      T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(1));
      v8 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
      {
       cl_fixnum v9;
       v9 = (((cl_fixnum)(v8)) << (8));
       {
        uint8_t v10;
        T0 = ecl_plus(ecl_make_fixnum(v3i),ecl_make_fixnum(0));
        v10 = ecl_fixnum(ecl_aref_unsafe(v1a,ecl_fixnum(T0)));
        value0 = cl_logior(4, ecl_make_fixnum(v5), ecl_make_fixnum(v7), ecl_make_fixnum(v9), ecl_make_uint8_t(v10));
        return value0;
       }
      }
     }
    }
   }
  }
 }
}
/*	function definition for ASET-CARD29                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L22aset_card29(cl_object v1v, cl_object v2a, cl_object v3i)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v4v;
 cl_fixnum v5i;
 v4v = ecl_fixnum(v1v);
 v5i = ecl_fixnum(v3i);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(3));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(24);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(2));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(16);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(1));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(8);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 T0 = ecl_plus(ecl_make_fixnum(v5i),ecl_make_fixnum(0));
 {
  uint8_t v6;
  T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
  T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
  {
   cl_fixnum v7;
   v7 = -(0);
   T3 = cl_ash(ecl_make_fixnum(v4v), ecl_make_fixnum(v7));
   v6 = ecl_fixnum(ecl_boole(ECL_BOOLAND,(T2),(T3)));
  }
  ecl_aset_unsafe(v2a,ecl_fixnum(T0),ecl_make_uint8_t(v6));
 }
 value0 = ecl_make_fixnum(v4v);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	local function AREF-CARD8                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23aref_card8(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[20], v1v, v2a, v3i);
  return value0;
 }
}
/*	local function AREF-INT8                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24aref_int8(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[22], v1v, v2a, v3i);
  return value0;
 }
}
/*	local function AREF-CARD16                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25aref_card16(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[24], v1v, v2a, v3i);
  return value0;
 }
}
/*	local function AREF-INT16                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26aref_int16(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[26], v1v, v2a, v3i);
  return value0;
 }
}
/*	local function AREF-CARD32                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27aref_card32(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[28], v1v, v2a, v3i);
  return value0;
 }
}
/*	local function AREF-INT32                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28aref_int32(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[30], v1v, v2a, v3i);
  return value0;
 }
}
/*	local function AREF-CARD29                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29aref_card29(cl_object v1v, cl_object v2a, cl_object v3i)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[32], v1v, v2a, v3i);
  return value0;
 }
}
/*	function definition for RGB-VAL->CARD16                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L30rgb_val__card16(cl_object v1value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = ecl_round2(v1value,_ecl_static_1);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for CARD16->RGB-VAL                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L31card16__rgb_val(cl_object v1value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v2value;
 v2value = ecl_fixnum(v1value);
TTL:
 value0 = ecl_make_single_float(((float)v2value)*((float)15.259021893144e-6));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for RADIANS->INT16                        */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L32radians__int16(cl_object v1value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = cl_round(2, v1value, _ecl_static_2);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT16->RADIANS                        */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L33int16__radians(cl_object v1value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v2value;
 v2value = ecl_fixnum(v1value);
TTL:
 value0 = ecl_make_single_float(((float)v2value)*((float)2.7270769351e-4));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for ANGLEP                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34anglep(cl_object v1x)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_realp(v1x))) { goto L2; }
  T0 = L32radians__int16(v1x);
  value0 = cl_LE(3, ecl_make_fixnum(-23040), T0, ecl_make_fixnum(23040));
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CHAR->CARD8                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L35char__card8(cl_object v1char)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 unsigned char v2char;
 v2char = CHAR_CODE(v1char);
TTL:
 value0 = ecl_make_fixnum((ecl_character)(v2char));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for CARD8->CHAR                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L36card8__char(cl_object v1card8)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 uint8_t v2card8;
 v2card8 = ecl_fixnum(v1card8);
TTL:
 value0 = CODE_CHAR((cl_fixnum)(v2card8));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for MAKE-PROCESS-LOCK                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37make_process_lock(cl_object v1name)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = mp_make_lock(4, ECL_SYM("NAME",1273), v1name, ECL_SYM("RECURSIVE",1412), ECL_T);
  return value0;
 }
}
/*	local function HOLDING-LOCK                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38holding_lock(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6lock;
   cl_object v7display;
   cl_object v8whostate;
   cl_object v9;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v10;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v10;
    v10 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6lock = v10;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v10;
    v10 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7display = v10;
   }
   if (Null(v5)) { goto L22; }
   {
    cl_object v10;
    v10 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v8whostate = v10;
    goto L21;
   }
L22:;
   v8whostate = _ecl_static_3;
L21:;
   v9 = si_search_keyword(2, v5, VV[42]);
   si_check_keyword(2, v5, VV[43]);
   T0 = ecl_list1(v6lock);
   value0 = cl_listX(3, ECL_SYM("WITH-LOCK",1427), T0, v3);
   return value0;
  }
 }
}
/*	local function WITHOUT-ABORTS                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39without_aborts(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = CONS(ECL_SYM("PROGN",671),v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for PROCESS-BLOCK                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40process_block(cl_narg narg, cl_object v1whostate, cl_object v2predicate, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3predicate_args;
  ecl_va_list args; ecl_va_start(args,v2predicate,narg,2);
  v3predicate_args = cl_grab_rest_args(args);
  ecl_va_end(args);
L1:;
  if (Null(cl_apply(2, v2predicate, v3predicate_args))) { goto L3; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  mp_process_yield();
  goto L1;
 }
}
/*	function definition for PROCESS-WAKEUP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41process_wakeup(cl_object v1process)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = mp_process_yield();
  return value0;
 }
}
/*	function definition for CURRENT-PROCESS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42current_process()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1398));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function WITHOUT-INTERRUPTS                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43without_interrupts(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = CONS(ECL_SYM("PROGN",671),v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function WITHOUT-INTERRUPTS                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44without_interrupts(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   value0 = CONS(ECL_SYM("WITHOUT-INTERRUPTS",1735),v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function CONDITIONAL-STORE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45conditional_store(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4place;
   cl_object v5old_value;
   cl_object v6new_value;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4place = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5old_value = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6new_value = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   T0 = cl_list(3, ECL_SYM("EQ",333), v4place, v5old_value);
   T1 = cl_list(3, ECL_SYM("SETF",750), v4place, v6new_value);
   T2 = cl_list(3, T0, T1, ECL_T);
   T3 = cl_list(2, ECL_SYM("COND",247), T2);
   value0 = cl_list(2, VV[49], T3);
   return value0;
  }
 }
}
/*	local function WRAP-BUF-OUTPUT                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46wrap_buf_output(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6buffer;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6buffer = v7;
   }
   if (Null(v5)) { goto L15; }
   si_dm_too_many_arguments(v1);
L15:;
   T0 = cl_list(2, VV[51], v6buffer);
   value0 = cl_listX(3, ECL_SYM("UNLESS",883), T0, v3);
   return value0;
  }
 }
}
/*	local function WRAP-BUF-INPUT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47wrap_buf_input(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6buffer;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6buffer = v7;
   }
   if (Null(v5)) { goto L15; }
   si_dm_too_many_arguments(v1);
L15:;
   value0 = CONS(ECL_SYM("PROGN",671),v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for OPEN-X-STREAM                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48open_x_stream(cl_object v1host, cl_object v2display, cl_object v3protocol)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4local_socket_path;
   v4local_socket_path = ecl_function_dispatch(cl_env_copy,VV[173])(2, v1host, v2display) /*  UNIX-SOCKET-PATH-FROM-HOST */;
   if (Null(v4local_socket_path)) { goto L3; }
   {
    cl_object v5s;
    v5s = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(3, VV[54], ECL_SYM("TYPE",1318), ECL_SYM("STREAM",1313)) /*  MAKE-INSTANCE */;
    ecl_function_dispatch(cl_env_copy,VV[174])(2, v5s, v4local_socket_path) /*  SOCKET-CONNECT */;
    T0 = v5s;
    goto L2;
   }
L3:;
   {
    cl_object v6host;
    T1 = ecl_function_dispatch(cl_env_copy,VV[175])(1, v1host) /*  GET-HOST-BY-NAME */;
    T2 = ecl_function_dispatch(cl_env_copy,VV[176])(1, T1) /*  HOST-ENT-ADDRESSES */;
    v6host = ecl_car(T2);
    if (Null(v6host)) { goto L8; }
    {
     cl_object v7s;
     v7s = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(5, VV[55], ECL_SYM("TYPE",1318), ECL_SYM("STREAM",1313), VV[56], VV[57]) /*  MAKE-INSTANCE */;
     T1 = ecl_plus(ecl_make_fixnum(6000),v2display);
     ecl_function_dispatch(cl_env_copy,VV[174])(3, v7s, v6host, T1) /*  SOCKET-CONNECT */;
     T0 = v7s;
     goto L2;
    }
L8:;
    T0 = ECL_NIL;
   }
L2:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[177])(9, T0, ECL_SYM("ELEMENT-TYPE",1224), VV[58], ECL_SYM("INPUT",1254), ECL_T, ECL_SYM("OUTPUT",1282), ECL_T, VV[59], ECL_SYM("NONE",1599)) /*  SOCKET-MAKE-STREAM */;
   return value0;
  }
 }
}
/*	function definition for BUFFER-READ-DEFAULT                   */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L49buffer_read_default(cl_object v1display, cl_object v2vector, cl_object v3start, cl_object v4end, cl_object v5timeout)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v6start;
 cl_fixnum v7end;
 v6start = ecl_fixnum(v3start);
 v7end = ecl_fixnum(v4end);
TTL:
 if (!((v5timeout)==(ecl_make_fixnum(0)))) { goto L1; }
 T0 = ecl_function_dispatch(cl_env_copy,VV[179])(1, v1display) /*  DISPLAY-INPUT-STREAM */;
 if ((cl_listen(1, T0))!=ECL_NIL) { goto L1; }
 value0 = VV[42];
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 T0 = ecl_function_dispatch(cl_env_copy,VV[179])(1, v1display) /*  DISPLAY-INPUT-STREAM */;
 cl_read_sequence(6, v2vector, T0, ECL_SYM("START",1310), ecl_make_fixnum(v6start), ECL_SYM("END",1225), ecl_make_fixnum(v7end));
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for BUFFER-WRITE-DEFAULT                  */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L50buffer_write_default(cl_object v1vector, cl_object v2display, cl_object v3start, cl_object v4end)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum v5start;
 cl_fixnum v6end;
 v5start = ecl_fixnum(v3start);
 v6end = ecl_fixnum(v4end);
TTL:
 T0 = ecl_function_dispatch(cl_env_copy,VV[181])(1, v2display) /*  DISPLAY-OUTPUT-STREAM */;
 cl_write_sequence(6, v1vector, T0, ECL_SYM("START",1310), ecl_make_fixnum(v5start), ECL_SYM("END",1225), ecl_make_fixnum(v6end));
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for BUFFER-FORCE-OUTPUT-DEFAULT           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51buffer_force_output_default(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2stream;
   {
    cl_object v3;
    v3 = ecl_function_dispatch(cl_env_copy,VV[181])(1, v1display) /*  DISPLAY-OUTPUT-STREAM */;
    value0 = ecl_make_bool(v3==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L6; }
    T0 = cl_streamp(v3);
    goto L4;
L6:;
    T0 = value0;
    goto L4;
L4:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[63],v3);
    v2stream = v3;
   }
   if (v2stream==ECL_NIL) { goto L8; }
   value0 = cl_force_output(1, v2stream);
   return value0;
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for BUFFER-CLOSE-DEFAULT                  */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L52buffer_close_default(cl_narg narg, cl_object v1display, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object v2abort;
 ecl_va_list args; ecl_va_start(args,v1display,narg,1);
 {
  cl_object keyvars[2];
  cl_parse_key(args,1,L52buffer_close_defaultkeys,keyvars,NULL,FALSE);
  ecl_va_end(args);
  v2abort = keyvars[0];
 }
 {
  cl_object v3stream;
  v3stream = ecl_function_dispatch(cl_env_copy,VV[181])(1, v1display) /*  DISPLAY-OUTPUT-STREAM */;
  if (v3stream==ECL_NIL) { goto L2; }
  value0 = cl_close(3, v3stream, ECL_SYM("ABORT",1195), v2abort);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for BUFFER-INPUT-WAIT-DEFAULT             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53buffer_input_wait_default(cl_object v1display, cl_object v2timeout)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3stream;
   {
    cl_object v4;
    v4 = ecl_function_dispatch(cl_env_copy,VV[179])(1, v1display) /*  DISPLAY-INPUT-STREAM */;
    value0 = ecl_make_bool(v4==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L6; }
    T0 = cl_streamp(v4);
    goto L4;
L6:;
    T0 = value0;
    goto L4;
L4:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[63],v4);
    v3stream = v4;
   }
   {
    cl_object v4;
    v4 = ecl_make_bool(v3stream==ECL_NIL);
    if (Null(v4)) { goto L9; }
    value0 = v4;
    cl_env_copy->nvalues = 1;
    return value0;
L9:;
    if (Null(cl_listen(1, v3stream))) { goto L11; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L11:;
    if (Null(v2timeout)) { goto L13; }
    if (!(ecl_number_equalp(v2timeout,ecl_make_fixnum(0)))) { goto L13; }
    value0 = VV[42];
    cl_env_copy->nvalues = 1;
    return value0;
L13:;
    if (v2timeout==ECL_NIL) { goto L16; }
    {
     cl_object v6;                                /*  NPOLL           */
     cl_object v7;                                /*  FRACTION        */
     value0 = ecl_truncate2(v2timeout,ecl_symbol_value(VV[66]));
     v6 = value0;
     v7 = cl_env_copy->values[1];
     {
      cl_object v8i;
      v8i = ecl_make_fixnum(0);
      goto L22;
L21:;
      cl_sleep(ecl_symbol_value(VV[66]));
      if (Null(cl_listen(1, v3stream))) { goto L25; }
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
L25:;
      v8i = ecl_one_plus(v8i);
L22:;
      if (!(ecl_number_compare(v8i,v6)<0)) { goto L29; }
      goto L21;
L29:;
     }
     if (!(ecl_plusp(v7))) { goto L31; }
     cl_sleep(v7);
     if (Null(cl_listen(1, v3stream))) { goto L31; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L31:;
     value0 = VV[42];
     cl_env_copy->nvalues = 1;
     return value0;
    }
L16:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for BUFFER-LISTEN-DEFAULT                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54buffer_listen_default(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2stream;
   {
    cl_object v3;
    v3 = ecl_function_dispatch(cl_env_copy,VV[179])(1, v1display) /*  DISPLAY-INPUT-STREAM */;
    value0 = ecl_make_bool(v3==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L6; }
    T0 = cl_streamp(v3);
    goto L4;
L6:;
    T0 = value0;
    goto L4;
L4:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[63],v3);
    v2stream = v3;
   }
   if (!(v2stream==ECL_NIL)) { goto L8; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   value0 = cl_listen(1, v2stream);
   return value0;
  }
 }
}
/*	local function WITH-STACK-LIST                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55with_stack_list(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6var;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6var = v7;
   }
   T0 = CONS(ECL_SYM("LIST",481),v5);
   T1 = cl_list(2, v6var, T0);
   T2 = ecl_list1(T1);
   T3 = cl_list(3, ECL_SYM("TYPE",869), ECL_SYM("CONS",251), v6var);
   T4 = cl_list(2, ECL_SYM("DYNAMIC-EXTENT",320), v6var);
   T5 = cl_list(3, ECL_SYM("DECLARE",274), T3, T4);
   value0 = cl_listX(4, ECL_SYM("LET",477), T2, T5, v3);
   return value0;
  }
 }
}
/*	local function WITH-STACK-LIST*                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56with_stack_list_(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6var;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v7;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v7;
    v7 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6var = v7;
   }
   T0 = CONS(ECL_SYM("LIST*",482),v5);
   T1 = cl_list(2, v6var, T0);
   T2 = ecl_list1(T1);
   T3 = cl_list(3, ECL_SYM("TYPE",869), ECL_SYM("CONS",251), v6var);
   T4 = cl_list(2, ECL_SYM("DYNAMIC-EXTENT",320), v6var);
   T5 = cl_list(3, ECL_SYM("DECLARE",274), T3, T4);
   value0 = cl_listX(4, ECL_SYM("LET",477), T2, T5, v3);
   return value0;
  }
 }
}
/*	function definition for BUFFER-REPLACE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57buffer_replace(cl_narg narg, cl_object v1buf1, cl_object v2buf2, cl_object v3start1, cl_object v4end1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
 {
  cl_fixnum v5start1;
  cl_fixnum v6end1;
  cl_fixnum v7start2;
  va_list args; va_start(args,v4end1);
  v5start1 = ecl_to_fixnum(v3start1);
  v6end1 = ecl_to_fixnum(v4end1);
  {
   int i = 4;
   if (i >= narg) {
    v7start2 = 0;
   } else {
    i++;
    v7start2 = ecl_to_fixnum(va_arg(args,cl_object));
   }
  }
  va_end(args);
  value0 = cl_replace(8, v1buf1, v2buf2, ECL_SYM("START1",1311), ecl_make_fixnum(v5start1), ECL_SYM("END1",1226), ecl_make_fixnum(v6end1), ECL_SYM("START2",1312), ecl_make_fixnum(v7start2));
  return value0;
 }
}
/*	local function WITH-GCONTEXT-BINDINGS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58with_gcontext_bindings(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6gc;
   cl_object v7saved_state;
   cl_object v8indexes;
   cl_object v9ts_index;
   cl_object v10temp_mask;
   cl_object v11temp_gc;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v12;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6gc = v12;
   }
   if (!(v5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(v1);
L16:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v7saved_state = v12;
   }
   if (!(v5==ECL_NIL)) { goto L22; }
   si_dm_too_few_arguments(v1);
L22:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v8indexes = v12;
   }
   if (!(v5==ECL_NIL)) { goto L28; }
   si_dm_too_few_arguments(v1);
L28:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v9ts_index = v12;
   }
   if (!(v5==ECL_NIL)) { goto L34; }
   si_dm_too_few_arguments(v1);
L34:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v10temp_mask = v12;
   }
   if (!(v5==ECL_NIL)) { goto L40; }
   si_dm_too_few_arguments(v1);
L40:;
   {
    cl_object v12;
    v12 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v11temp_gc = v12;
   }
   if (Null(v5)) { goto L45; }
   si_dm_too_many_arguments(v1);
L45:;
   {
    cl_object v12;
    cl_object v13resets;
    v12 = cl_gensym(0);
    v13resets = ECL_NIL;
    {
     cl_object v14;
     v14 = v8indexes;
     goto L53;
L52:;
     {
      cl_object v15index;
      v15index = ecl_car(v14);
      T0 = cl_list(3, ECL_SYM("SVREF",838), v12, v15index);
      T1 = cl_list(3, ECL_SYM("SVREF",838), v7saved_state, v15index);
      T2 = cl_list(3, ECL_SYM("SETF",750), T0, T1);
      v13resets = CONS(T2,v13resets);
     }
     v14 = ecl_cdr(v14);
L53:;
     if (Null(v14)) { goto L61; }
     goto L52;
L61:;
    }
    T0 = CONS(ECL_SYM("PROGN",671),v3);
    T1 = cl_list(2, VV[72], v6gc);
    T2 = cl_list(2, v12, T1);
    T3 = ecl_list1(T2);
    T4 = cl_list(3, ECL_SYM("TYPE",869), VV[73], v12);
    T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
    T6 = cl_list(3, ECL_SYM("SVREF",838), v12, v9ts_index);
    T7 = cl_list(3, ECL_SYM("SETF",750), T6, ecl_make_fixnum(0));
    T8 = ecl_list1(T7);
    T9 = ecl_append(v13resets,T8);
    T10 = cl_listX(4, ECL_SYM("LET",477), T3, T5, T9);
    T11 = cl_list(4, VV[74], v6gc, v10temp_mask, v11temp_gc);
    T12 = cl_list(3, ECL_SYM("WHEN",905), v11temp_gc, T11);
    T13 = cl_list(2, VV[75], v7saved_state);
    value0 = cl_list(5, ECL_SYM("UNWIND-PROTECT",888), T0, T10, T12, T13);
    return value0;
   }
  }
 }
}
/*	local function TYPE?                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59type_(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4object;
   cl_object v5type;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4object = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5type = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   if ((cl_constantp(1, v5type))!=ECL_NIL) { goto L16; }
   value0 = cl_list(3, ECL_SYM("TYPEP",875), v4object, v5type);
   return value0;
L16:;
   v5type = cl_eval(v5type);
   {
    cl_object v6predicate;
    v6predicate = ecl_assql(v5type,VV[78]);
    if (Null(v6predicate)) { goto L21; }
    T0 = ecl_cadr(v6predicate);
    value0 = cl_list(2, T0, v4object);
    return value0;
L21:;
    if (!((v5type)==(VV[79]))) { goto L23; }
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
L23:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), v5type);
    T1 = cl_list(3, ECL_SYM("TYPEP",875), v4object, T0);
    value0 = cl_list(3, ECL_SYM("LOCALLY",490), VV[80], T1);
    return value0;
   }
  }
 }
}
/*	function definition for X-TYPE-ERROR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60x_type_error(cl_narg narg, cl_object v1object, cl_object v2type, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3error_string;
  va_list args; va_start(args,v2type);
  {
   int i = 2;
   if (i >= narg) {
    v3error_string = ECL_NIL;
   } else {
    i++;
    v3error_string = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = L64x_error(7, VV[82], ECL_SYM("DATUM",1214), v1object, ECL_SYM("EXPECTED-TYPE",1232), v2type, VV[83], v3error_string);
  return value0;
 }
}
/*	function definition for DEFAULT-ERROR-HANDLER                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61default_error_handler(cl_narg narg, cl_object v1display, cl_object v2error_key, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3key_vals;
  cl_object v4asynchronous;
  ecl_va_list args; ecl_va_start(args,v2error_key,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L61default_error_handlerkeys,keyvars,(cl_object*)&v3key_vals,TRUE);
   ecl_va_end(args);
   v4asynchronous = keyvars[0];
  }
  if (Null(v4asynchronous)) { goto L1; }
  T0 = ecl_fdefinition(VV[88]);
  value0 = cl_apply(8, T0, _ecl_static_5, v2error_key, VV[84], v1display, VV[85], v2error_key, v3key_vals);
  return value0;
L1:;
  T0 = ecl_fdefinition(VV[87]);
  value0 = cl_apply(7, T0, v2error_key, VV[84], v1display, VV[85], v2error_key, v3key_vals);
  return value0;
 }
}
/*	function definition for X-ERROR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62x_error(cl_narg narg, cl_object v1condition, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2keyargs;
  ecl_va_list args; ecl_va_start(args,v1condition,narg,1);
  v2keyargs = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("ERROR",337)->symbol.gfdef);
  value0 = cl_apply(3, T0, v1condition, v2keyargs);
  return value0;
 }
}
/*	function definition for X-CERROR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63x_cerror(cl_narg narg, cl_object v1proceed_format_string, cl_object v2condition, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3keyargs;
  ecl_va_list args; ecl_va_start(args,v2condition,narg,2);
  v3keyargs = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("CERROR",202)->symbol.gfdef);
  value0 = cl_apply(4, T0, v1proceed_format_string, v2condition, v3keyargs);
  return value0;
 }
}
/*	function definition for X-ERROR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64x_error(cl_narg narg, cl_object v1condition, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2keyargs;
  ecl_va_list args; ecl_va_start(args,v1condition,narg,1);
  v2keyargs = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("MAKE-CONDITION",524)->symbol.gfdef);
  T1 = cl_apply(3, T0, v1condition, v2keyargs);
  T2 = cl_princ_to_string(T1);
  value0 = cl_error(2, _ecl_static_6, T2);
  return value0;
 }
}
/*	function definition for HOST-ADDRESS                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66host_address(cl_narg narg, cl_object v1host, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2family;
  va_list args; va_start(args,v1host);
  lex0[0] = v1host;                               /*  HOST            */
  {
   int i = 1;
   if (i >= narg) {
    v2family = VV[89];
   } else {
    i++;
    v2family = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3addr;
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object v4;
     v4 = _ecl_inner_frame;
     T1 = cl_string(lex0[0]);
     cl_env_copy->values[0] = si_lookup_host_entry(T1);
     ecl_stack_frame_push_values(v4);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v4,ECL_SYM("LIST",481));
     value0 = cl_env_copy->values[0];
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   T0 = value0;
   T1 = ecl_cadddr(T0);
   v3addr = ecl_car(T1);
   if ((v3addr)!=ECL_NIL) { goto L8; }
   LC65no_host_error(lex0);
L8:;
   T1 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
   T2 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
   T3 = ecl_negate(ecl_make_fixnum(24));
   T4 = cl_ash(v3addr, T3);
   T0 = ecl_boole(ECL_BOOLAND,(T2),(T4));
   T2 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
   T3 = ecl_boole(ECL_BOOLXOR,(T2),ecl_make_fixnum(-1));
   T4 = ecl_negate(ecl_make_fixnum(16));
   T5 = cl_ash(v3addr, T4);
   T1 = ecl_boole(ECL_BOOLAND,(T3),(T5));
   T3 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
   T4 = ecl_boole(ECL_BOOLXOR,(T3),ecl_make_fixnum(-1));
   T5 = ecl_negate(ecl_make_fixnum(8));
   T6 = cl_ash(v3addr, T5);
   T2 = ecl_boole(ECL_BOOLAND,(T4),(T6));
   T4 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
   T5 = ecl_boole(ECL_BOOLXOR,(T4),ecl_make_fixnum(-1));
   T6 = ecl_negate(ecl_make_fixnum(0));
   T7 = cl_ash(v3addr, T6);
   T3 = ecl_boole(ECL_BOOLAND,(T5),(T7));
   value0 = cl_list(5, VV[89], T0, T1, T2, T3);
   return value0;
  }
 }
}
/*	local function NO-HOST-ERROR                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65no_host_error(volatile cl_object *lex0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(2, _ecl_static_7, lex0[0]);
  return value0;
 }
}
/*	local function USE-CLOSURES                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67use_closures(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for CLX-MACROEXPAND                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68clx_macroexpand(cl_object v1form, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_macroexpand(2, v1form, v2env);
  return value0;
 }
}
/*	function definition for GETENV                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L69getenv(cl_object v1name)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_getenv(v1name);
  return value0;
 }
}
/*	function definition for GET-HOST-NAME                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70get_host_name()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_machine_instance();
  return value0;
 }
}
/*	function definition for HOMEDIR-FILE-PATHNAME                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71homedir_file_pathname(cl_object v1name)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_user_homedir_pathname(0);
  T1 = cl_pathname(v1name);
  value0 = cl_merge_pathnames(2, T0, T1);
  return value0;
 }
}
/*	function definition for DEFAULT-RESOURCES-PATHNAME            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72default_resources_pathname()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L71homedir_file_pathname(_ecl_static_8);
  return value0;
 }
}
/*	function definition for RESOURCES-PATHNAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73resources_pathname()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1string;
   v1string = L69getenv(_ecl_static_9);
   if (Null(v1string)) { goto L6; }
   value0 = cl_pathname(v1string);
   goto L3;
L6:;
   value0 = ECL_NIL;
   goto L3;
  }
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  T0 = L70get_host_name();
  T1 = cl_concatenate(3, ECL_SYM("STRING",805), _ecl_static_10, T0);
  value0 = L71homedir_file_pathname(T1);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for AUTHORITY-PATHNAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74authority_pathname()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v1xauthority;
   v1xauthority = L69getenv(_ecl_static_11);
   if (Null(v1xauthority)) { goto L6; }
   value0 = cl_pathname(v1xauthority);
   goto L3;
L6:;
   value0 = ECL_NIL;
   goto L3;
  }
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = L71homedir_file_pathname(_ecl_static_12);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for GET-DEFAULT-DISPLAY                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75get_default_display(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1display_name;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1display_name = ECL_NIL;
   } else {
    i++;
    v1display_name = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v2name;
   cl_object v3slash_i;
   cl_object v4colon_i;
   cl_object v5decnet_colon_p;
   cl_object v6host;
   cl_object v7dot_i;
   cl_object v8display;
   cl_object v9screen;
   cl_object v10protocol;
   value0 = v1display_name;
   if ((value0)!=ECL_NIL) { goto L4; }
   value0 = L69getenv(_ecl_static_13);
   if ((value0)!=ECL_NIL) { goto L4; }
   v2name = cl_error(1, _ecl_static_14);
   goto L2;
L4:;
   v2name = value0;
   goto L2;
L2:;
   value0 = cl_position(2, CODE_CHAR(47), v2name);
   if ((value0)!=ECL_NIL) { goto L9; }
   v3slash_i = ecl_make_fixnum(-1);
   goto L7;
L9:;
   v3slash_i = value0;
   goto L7;
L7:;
   T0 = ecl_one_plus(v3slash_i);
   v4colon_i = cl_position(4, CODE_CHAR(58), v2name, ECL_SYM("START",1310), T0);
   T0 = ecl_one_plus(v4colon_i);
   T1 = ecl_elt(v2name,ecl_fixnum(T0));
   v5decnet_colon_p = ecl_make_bool(((T1)==ECL_CODE_CHAR((ecl_character)(58))));
   T0 = ecl_one_plus(v3slash_i);
   v6host = cl_subseq(3, v2name, T0, v4colon_i);
   if (Null(v4colon_i)) { goto L16; }
   v7dot_i = cl_position(4, CODE_CHAR(46), v2name, ECL_SYM("START",1310), v4colon_i);
   goto L14;
L16:;
   v7dot_i = ECL_NIL;
   goto L14;
L14:;
   if (Null(v4colon_i)) { goto L19; }
   if (Null(v5decnet_colon_p)) { goto L22; }
   T0 = ecl_plus(v4colon_i,ecl_make_fixnum(2));
   goto L21;
L22:;
   T0 = ecl_one_plus(v4colon_i);
L21:;
   v8display = cl_parse_integer(5, v2name, ECL_SYM("START",1310), T0, ECL_SYM("END",1225), v7dot_i);
   goto L18;
L19:;
   v8display = ECL_NIL;
L18:;
   if (Null(v7dot_i)) { goto L25; }
   T0 = ecl_one_plus(v7dot_i);
   v9screen = cl_parse_integer(3, v2name, ECL_SYM("START",1310), T0);
   goto L24;
L25:;
   v9screen = ECL_NIL;
L24:;
   if ((cl_stringE(2, v6host, _ecl_static_15))!=ECL_NIL) { goto L30; }
   if (Null(cl_string_equal(2, v6host, _ecl_static_16))) { goto L28; }
   goto L29;
L30:;
L29:;
   v10protocol = ECL_SYM("LOCAL",1268);
   goto L27;
L28:;
   if (Null(v5decnet_colon_p)) { goto L32; }
   v10protocol = VV[100];
   goto L27;
L32:;
   if (!(ecl_number_compare(v3slash_i,ecl_make_fixnum(-1))>0)) { goto L34; }
   T0 = cl_subseq(3, v2name, ecl_make_fixnum(0), v3slash_i);
   T1 = cl_string_upcase(1, T0);
   v10protocol = cl_intern(2, T1, VV[101]);
   goto L27;
L34:;
   v10protocol = VV[89];
L27:;
   value0 = v8display;
   if ((value0)!=ECL_NIL) { goto L38; }
   T0 = ecl_make_fixnum(0);
   goto L36;
L38:;
   T0 = value0;
   goto L36;
L36:;
   value0 = v9screen;
   if ((value0)!=ECL_NIL) { goto L42; }
   T1 = ecl_make_fixnum(0);
   goto L40;
L42:;
   T1 = value0;
   goto L40;
L40:;
   value0 = cl_list(4, v6host, T0, T1, v10protocol);
   return value0;
  }
 }
}
/*	function definition for GC-CLEANUP                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76gc_cleanup()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[103],ECL_NIL);
  cl_set(VV[104],ECL_NIL);
  if (!(ecl_boundp(cl_env_copy,VV[105]))) { goto L5; }
  cl_fill(2, ecl_symbol_value(VV[105]), ECL_NIL);
L5:;
  cl_set(VV[106],ECL_NIL);
  cl_set(VV[107],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DEFAULT-KEYSYM-TRANSLATE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77default_keysym_translate(cl_object v1display, cl_object v2state, cl_object v3object)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = v3object;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function READ-IMAGE-LOAD-BYTE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78read_image_load_byte(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4size;
   cl_object v5position;
   cl_object v6integer;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4size = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5position = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6integer = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   T0 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), v4size);
   T1 = cl_list(3, ECL_SYM("BYTE",162), v4size, v5position);
   T2 = cl_list(3, ECL_SYM("THE",856), VV[124], v6integer);
   T3 = cl_list(3, ECL_SYM("LDB",457), T1, T2);
   value0 = cl_list(3, ECL_SYM("THE",856), T0, T3);
   return value0;
  }
 }
}
/*	local function READ-IMAGE-ASSEMBLE-BYTES                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC79read_image_assemble_bytes(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    cl_object v5it;
    cl_object v6count;
    v4 = ecl_car(v3);
    v5it = v4;
    v6count = ecl_make_fixnum(0);
    {
     cl_object v7;
     v7 = ecl_cdr(v3);
     goto L10;
L9:;
     {
      cl_object v8byte;
      v8byte = ecl_car(v7);
      T0 = cl_list(3, ECL_SYM("THE",856), VV[124], v8byte);
      v6count = ecl_plus(v6count,ecl_make_fixnum(8));
      T1 = v6count;
      T2 = cl_list(3, ECL_SYM("BYTE",162), ecl_make_fixnum(8), T1);
      T3 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), v6count);
      T4 = cl_list(3, ECL_SYM("THE",856), T3, v5it);
      v5it = cl_list(4, ECL_SYM("DPB",318), T0, T2, T4);
     }
     v7 = ecl_cdr(v7);
L10:;
     if (Null(v7)) { goto L20; }
     goto L9;
L20:;
    }
    {
     cl_fixnum v7;
     v7 = ecl_length(v3);
     T0 = ecl_times(ecl_make_fixnum(v7),ecl_make_fixnum(8));
     T1 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), T0);
     value0 = cl_list(3, ECL_SYM("THE",856), T1, v5it);
     return value0;
    }
   }
  }
 }
}
/*	local function WRITE-IMAGE-LOAD-BYTE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC80write_image_load_byte(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4position;
   cl_object v5integer;
   cl_object v6integer_size;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4position = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5integer = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6integer_size = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   T0 = cl_list(3, ECL_SYM("BYTE",162), ecl_make_fixnum(8), v4position);
   T1 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), v6integer_size);
   T2 = cl_list(3, ECL_SYM("THE",856), T1, v5integer);
   T3 = cl_list(3, ECL_SYM("LDB",457), T0, T2);
   value0 = cl_list(3, ECL_SYM("THE",856), VV[124], T3);
   return value0;
  }
 }
}
/*	local function WRITE-IMAGE-ASSEMBLE-BYTES                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC81write_image_assemble_bytes(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   {
    cl_object v4;
    cl_object v5;
    cl_object v6it;
    cl_object v7count;
    {
     cl_fixnum v8;
     v8 = ecl_length(v3);
     v4 = ecl_floor2(ecl_make_fixnum(8),ecl_make_fixnum(v8));
    }
    v5 = ecl_car(v3);
    v6it = v5;
    v7count = ecl_make_fixnum(0);
    {
     cl_object v8;
     v8 = ecl_cdr(v3);
     goto L11;
L10:;
     {
      cl_object v9byte;
      v9byte = ecl_car(v8);
      T0 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), v4);
      T1 = cl_list(3, ECL_SYM("THE",856), T0, v9byte);
      v7count = ecl_plus(v7count,v4);
      T2 = v7count;
      T3 = cl_list(3, ECL_SYM("BYTE",162), v4, T2);
      T4 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), v7count);
      T5 = cl_list(3, ECL_SYM("THE",856), T4, v6it);
      v6it = cl_list(4, ECL_SYM("DPB",318), T1, T3, T5);
     }
     v8 = ecl_cdr(v8);
L11:;
     if (Null(v8)) { goto L21; }
     goto L10;
L21:;
    }
    value0 = cl_list(3, ECL_SYM("THE",856), VV[124], v6it);
    return value0;
   }
  }
 }
}
/*	function definition for FAST-READ-PIXARRAY                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82fast_read_pixarray(cl_object v1bbuf, cl_object v2boffset, cl_object v3pixarray, cl_object v4x, cl_object v5y, cl_object v6width, cl_object v7height, cl_object v8padded_bytes_per_line, cl_object v9bits_per_pixel, cl_object v10unit, cl_object v11byte_lsb_first_p, cl_object v12bit_lsb_first_p)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v13boffset;
  cl_fixnum v14x;
  cl_fixnum v15y;
  cl_fixnum v16width;
  cl_fixnum v17height;
  cl_fixnum v18padded_bytes_per_line;
  int8_t v19bits_per_pixel;
  int8_t v20unit;
  v13boffset = ecl_to_fixnum(v2boffset);
  v14x = ecl_to_fixnum(v4x);
  v15y = ecl_to_fixnum(v5y);
  v16width = ecl_to_fixnum(v6width);
  v17height = ecl_to_fixnum(v7height);
  v18padded_bytes_per_line = ecl_to_fixnum(v8padded_bytes_per_line);
  v19bits_per_pixel = ecl_to_int8_t(v9bits_per_pixel);
  v20unit = ecl_to_int8_t(v10unit);
TTL:
  goto L13;
  value0 = ecl_function_dispatch(cl_env_copy,VV[215])(16, v1bbuf, ecl_make_fixnum(v13boffset), v3pixarray, ecl_make_fixnum(v14x), ecl_make_fixnum(v15y), ecl_make_fixnum(v16width), ecl_make_fixnum(v17height), ecl_make_fixnum(v18padded_bytes_per_line), ecl_make_int8_t(v19bits_per_pixel), ECL_NIL, ecl_make_int8_t(v20unit), v11byte_lsb_first_p, v12bit_lsb_first_p, ecl_make_fixnum(32), ECL_T, ECL_T) /*  READ-PIXARRAY-INTERNAL */;
  return value0;
L13:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FAST-WRITE-PIXARRAY                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83fast_write_pixarray(cl_object v1bbuf, cl_object v2boffset, cl_object v3pixarray, cl_object v4x, cl_object v5y, cl_object v6width, cl_object v7height, cl_object v8padded_bytes_per_line, cl_object v9bits_per_pixel, cl_object v10unit, cl_object v11byte_lsb_first_p, cl_object v12bit_lsb_first_p)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v13boffset;
  cl_fixnum v14x;
  cl_fixnum v15y;
  cl_fixnum v16width;
  cl_fixnum v17height;
  cl_fixnum v18padded_bytes_per_line;
  int8_t v19bits_per_pixel;
  int8_t v20unit;
  v13boffset = ecl_to_fixnum(v2boffset);
  v14x = ecl_to_fixnum(v4x);
  v15y = ecl_to_fixnum(v5y);
  v16width = ecl_to_fixnum(v6width);
  v17height = ecl_to_fixnum(v7height);
  v18padded_bytes_per_line = ecl_to_fixnum(v8padded_bytes_per_line);
  v19bits_per_pixel = ecl_to_int8_t(v9bits_per_pixel);
  v20unit = ecl_to_int8_t(v10unit);
TTL:
  goto L13;
  value0 = ecl_function_dispatch(cl_env_copy,VV[217])(16, v1bbuf, ecl_make_fixnum(v13boffset), v3pixarray, ecl_make_fixnum(v14x), ecl_make_fixnum(v15y), ecl_make_fixnum(v16width), ecl_make_fixnum(v17height), ecl_make_fixnum(v18padded_bytes_per_line), ecl_make_int8_t(v19bits_per_pixel), ECL_NIL, ecl_make_fixnum(32), ECL_T, ECL_T, ecl_make_int8_t(v20unit), v11byte_lsb_first_p, v12bit_lsb_first_p) /*  WRITE-PIXARRAY-INTERNAL */;
  return value0;
L13:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FAST-COPY-PIXARRAY                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84fast_copy_pixarray(cl_object v1pixarray, cl_object v2copy, cl_object v3x, cl_object v4y, cl_object v5width, cl_object v6height, cl_object v7bits_per_pixel)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v8x;
  cl_fixnum v9y;
  cl_fixnum v10width;
  cl_fixnum v11height;
  int8_t v12bits_per_pixel;
  v8x = ecl_to_fixnum(v3x);
  v9y = ecl_to_fixnum(v4y);
  v10width = ecl_to_fixnum(v5width);
  v11height = ecl_to_fixnum(v6height);
  v12bits_per_pixel = ecl_to_int8_t(v7bits_per_pixel);
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "clx/dependent.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl4kxhNMu3LrBo9_aDgas431(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;DEPENDENT.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecl4kxhNMu3LrBo9_aDgas431@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[0]) /*  PROCLAIM */;
  si_Xmake_special(VV[0]);
  cl_set(VV[0],ecl_make_fixnum(8192));
  si_Xmake_special(VV[1]);
  cl_set(VV[1],ECL_NIL);
  si_Xmake_constant(VV[2], ecl_make_fixnum(0));
  si_Xmake_constant(VV[3], ecl_make_fixnum(1));
  si_Xmake_constant(VV[4], ecl_make_fixnum(0));
  si_Xmake_constant(VV[5], ecl_make_fixnum(1));
  si_Xmake_constant(VV[6], ecl_make_fixnum(2));
  si_Xmake_constant(VV[7], ecl_make_fixnum(3));
  si_Xmake_constant(VV[8], ecl_make_fixnum(3));
  si_Xmake_constant(VV[9], ecl_make_fixnum(0));
  si_Xmake_constant(VV[10], ecl_make_fixnum(1));
  ecl_cmp_defun(VV[132]);                         /*  DECLARE-BUFMAC  */
  ecl_cmp_defun(VV[133]);                         /*  DECLARE-BUFFUN  */
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1]) /*  MAPC */;
  ecl_cmp_defun(VV[134]);                         /*  CARD8->INT8     */
  si_put_sysprop(VV[13], ECL_SYM("INLINE",434), VVtemp[2]);
  ecl_cmp_defun(VV[135]);                         /*  INT8->CARD8     */
  si_put_sysprop(VV[14], ECL_SYM("INLINE",434), VVtemp[3]);
  ecl_cmp_defun(VV[136]);                         /*  CARD16->INT16   */
  si_put_sysprop(VV[15], ECL_SYM("INLINE",434), VVtemp[4]);
  ecl_cmp_defun(VV[137]);                         /*  INT16->CARD16   */
  si_put_sysprop(VV[16], ECL_SYM("INLINE",434), VVtemp[5]);
  ecl_cmp_defun(VV[138]);                         /*  CARD32->INT32   */
  si_put_sysprop(VV[17], ECL_SYM("INLINE",434), VVtemp[6]);
  ecl_cmp_defun(VV[139]);                         /*  INT32->CARD32   */
  si_put_sysprop(VV[18], ECL_SYM("INLINE",434), VVtemp[7]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[8]) /*  MAPC */;
  ecl_cmp_defun(VV[140]);                         /*  AREF-CARD8      */
  si_put_sysprop(VV[19], ECL_SYM("INLINE",434), VVtemp[9]);
  ecl_cmp_defun(VV[141]);                         /*  ASET-CARD8      */
  si_put_sysprop(VV[20], ECL_SYM("INLINE",434), VVtemp[10]);
  ecl_cmp_defun(VV[142]);                         /*  AREF-INT8       */
  si_put_sysprop(VV[21], ECL_SYM("INLINE",434), VVtemp[11]);
  ecl_cmp_defun(VV[143]);                         /*  ASET-INT8       */
  si_put_sysprop(VV[22], ECL_SYM("INLINE",434), VVtemp[12]);
  ecl_cmp_defun(VV[144]);                         /*  AREF-CARD16     */
  ecl_cmp_defun(VV[145]);                         /*  ASET-CARD16     */
  ecl_cmp_defun(VV[146]);                         /*  AREF-INT16      */
  ecl_cmp_defun(VV[147]);                         /*  ASET-INT16      */
  ecl_cmp_defun(VV[148]);                         /*  AREF-CARD32     */
  ecl_cmp_defun(VV[149]);                         /*  ASET-CARD32     */
  ecl_cmp_defun(VV[150]);                         /*  AREF-INT32      */
  ecl_cmp_defun(VV[151]);                         /*  ASET-INT32      */
  ecl_cmp_defun(VV[152]);                         /*  AREF-CARD29     */
  ecl_cmp_defun(VV[153]);                         /*  ASET-CARD29     */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC23aref_card8,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_do_defsetf(VV[19], T0);
 }
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC24aref_int8,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_do_defsetf(VV[21], T0);
 }
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC25aref_card16,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_do_defsetf(VV[23], T0);
 }
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC26aref_int16,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_do_defsetf(VV[25], T0);
 }
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC27aref_card32,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_do_defsetf(VV[27], T0);
 }
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC28aref_int32,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_do_defsetf(VV[29], T0);
 }
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC29aref_card29,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_do_defsetf(VV[31], T0);
 }
  ecl_cmp_defun(VV[154]);                         /*  RGB-VAL->CARD16 */
  ecl_cmp_defun(VV[155]);                         /*  CARD16->RGB-VAL */
  ecl_cmp_defun(VV[156]);                         /*  RADIANS->INT16  */
  ecl_cmp_defun(VV[157]);                         /*  INT16->RADIANS  */
  si_do_deftype(3, VV[37], VVtemp[13], VVtemp[14]);
  ecl_cmp_defun(VV[158]);                         /*  ANGLEP          */
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[15]) /*  MAPC */;
  ecl_cmp_defun(VV[159]);                         /*  CHAR->CARD8     */
  si_put_sysprop(VV[39], ECL_SYM("INLINE",434), VVtemp[16]);
  ecl_cmp_defun(VV[160]);                         /*  CARD8->CHAR     */
  si_put_sysprop(VV[40], ECL_SYM("INLINE",434), VVtemp[17]);
  ecl_cmp_defun(VV[161]);                         /*  MAKE-PROCESS-LOCK */
  ecl_cmp_defmacro(VV[162]);                      /*  HOLDING-LOCK    */
  ecl_cmp_defmacro(VV[163]);                      /*  WITHOUT-ABORTS  */
  ecl_cmp_defun(VV[164]);                         /*  PROCESS-BLOCK   */
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[18]) /*  MAPC */;
  ecl_cmp_defun(VV[165]);                         /*  PROCESS-WAKEUP  */
  si_put_sysprop(VV[47], ECL_SYM("INLINE",434), VVtemp[19]);
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[20]) /*  MAPC */;
  ecl_cmp_defun(VV[166]);                         /*  CURRENT-PROCESS */
  si_put_sysprop(VV[48], ECL_SYM("INLINE",434), VVtemp[21]);
  ecl_cmp_defmacro(VV[167]);                      /*  WITHOUT-INTERRUPTS */
  ecl_cmp_defmacro(VV[168]);                      /*  WITHOUT-INTERRUPTS */
  ecl_cmp_defmacro(VV[169]);                      /*  CONDITIONAL-STORE */
  ecl_cmp_defmacro(VV[170]);                      /*  WRAP-BUF-OUTPUT */
  ecl_cmp_defmacro(VV[171]);                      /*  WRAP-BUF-INPUT  */
  ecl_cmp_defun(VV[172]);                         /*  OPEN-X-STREAM   */
  ecl_cmp_defun(VV[178]);                         /*  BUFFER-READ-DEFAULT */
  ecl_cmp_defun(VV[180]);                         /*  BUFFER-WRITE-DEFAULT */
  ecl_cmp_defun(VV[182]);                         /*  BUFFER-FORCE-OUTPUT-DEFAULT */
  ecl_cmp_defun(VV[183]);                         /*  BUFFER-CLOSE-DEFAULT */
  si_Xmake_special(VV[66]);
  cl_set(VV[66],_ecl_static_4);
  ecl_cmp_defun(VV[185]);                         /*  BUFFER-INPUT-WAIT-DEFAULT */
  ecl_cmp_defun(VV[186]);                         /*  BUFFER-LISTEN-DEFAULT */
  ecl_cmp_defmacro(VV[187]);                      /*  WITH-STACK-LIST */
  ecl_cmp_defmacro(VV[188]);                      /*  WITH-STACK-LIST* */
  (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[22]) /*  MAPC */;
  ecl_cmp_defun(VV[189]);                         /*  BUFFER-REPLACE  */
  si_put_sysprop(VV[71], ECL_SYM("INLINE",434), VVtemp[23]);
  ecl_cmp_defmacro(VV[190]);                      /*  WITH-GCONTEXT-BINDINGS */
  si_Xmake_constant(VV[77], ECL_T);
  ecl_cmp_defmacro(VV[191]);                      /*  TYPE?           */
  ecl_cmp_defun(VV[192]);                         /*  X-TYPE-ERROR    */
  ecl_cmp_defun(VV[193]);                         /*  DEFAULT-ERROR-HANDLER */
  ecl_cmp_defun(VV[195]);                         /*  X-ERROR         */
  ecl_cmp_defun(VV[196]);                         /*  X-CERROR        */
  ecl_cmp_defun(VV[197]);                         /*  X-ERROR         */
  clos_load_defclass(VV[87], VVtemp[24], ECL_NIL, ECL_NIL);
  ecl_cmp_defun(VV[198]);                         /*  HOST-ADDRESS    */
  ecl_cmp_defmacro(VV[199]);                      /*  USE-CLOSURES    */
  ecl_cmp_defun(VV[200]);                         /*  CLX-MACROEXPAND */
  ecl_cmp_defun(VV[201]);                         /*  GETENV          */
  ecl_cmp_defun(VV[202]);                         /*  GET-HOST-NAME   */
  ecl_cmp_defun(VV[203]);                         /*  HOMEDIR-FILE-PATHNAME */
  ecl_cmp_defun(VV[204]);                         /*  DEFAULT-RESOURCES-PATHNAME */
  ecl_cmp_defun(VV[205]);                         /*  RESOURCES-PATHNAME */
  ecl_cmp_defun(VV[206]);                         /*  AUTHORITY-PATHNAME */
  cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[99], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
  ecl_cmp_defun(VV[207]);                         /*  GET-DEFAULT-DISPLAY */
  ecl_cmp_defun(VV[208]);                         /*  GC-CLEANUP      */
  ecl_cmp_defun(VV[209]);                         /*  DEFAULT-KEYSYM-TRANSLATE */
  si_do_deftype(3, VV[110], VVtemp[25], ECL_SYM("BIT",123));
  si_do_deftype(3, VV[111], VVtemp[26], VVtemp[27]);
  si_do_deftype(3, VV[112], VVtemp[28], VV[58]);
  si_do_deftype(3, VV[113], VVtemp[29], VVtemp[30]);
  si_do_deftype(3, VV[114], VVtemp[31], VVtemp[32]);
  si_do_deftype(3, VV[115], VVtemp[33], VVtemp[34]);
  si_do_deftype(3, VV[116], VVtemp[35], VVtemp[36]);
  si_do_deftype(3, VV[117], VVtemp[37], VVtemp[38]);
  si_do_deftype(3, VV[118], VVtemp[39], VVtemp[40]);
  si_do_deftype(3, VV[119], VVtemp[41], VVtemp[42]);
  si_do_deftype(3, VV[120], VVtemp[43], VVtemp[44]);
  si_do_deftype(3, VV[121], VVtemp[45], VVtemp[46]);
  si_do_deftype(3, VV[122], VVtemp[47], VVtemp[48]);
  si_do_deftype(3, VV[123], VVtemp[49], VV[116]);
  ecl_cmp_defmacro(VV[210]);                      /*  READ-IMAGE-LOAD-BYTE */
  ecl_cmp_defmacro(VV[211]);                      /*  READ-IMAGE-ASSEMBLE-BYTES */
  ecl_cmp_defmacro(VV[212]);                      /*  WRITE-IMAGE-LOAD-BYTE */
  ecl_cmp_defmacro(VV[213]);                      /*  WRITE-IMAGE-ASSEMBLE-BYTES */
  ecl_cmp_defun(VV[214]);                         /*  FAST-READ-PIXARRAY */
  ecl_cmp_defun(VV[216]);                         /*  FAST-WRITE-PIXARRAY */
  ecl_cmp_defun(VV[218]);                         /*  FAST-COPY-PIXARRAY */
}
