/*	Compiler: ECL 13.5.1                                          */
/*	Source: EXT:CL-SIMD;ECL-SSE-UTILS.LISP                        */
#include <ecl/ecl-cmp.h>
#include "ext/ecl-sse-utils.eclh"
/*	function definition for LOOKUP-FLIP                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1lookup_flip(cl_narg narg, cl_object v1arg, cl_object v2pairs, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3no_reverse;
  ecl_va_list args; ecl_va_start(args,v2pairs,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L1lookup_flipkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3no_reverse = keyvars[0];
  }
  if (!(ECL_CONSP(v1arg))) { goto L2; }
  {
   cl_object v4fix;
   T1 = ecl_car(v1arg);
   T0 = ecl_assql(T1,v2pairs);
   value0 = ecl_cdr(T0);
   if ((value0)!=ECL_NIL) { goto L6; }
   if ((v3no_reverse)!=ECL_NIL) { goto L9; }
   T0 = ecl_car(v1arg);
   T1 = cl_rassoc(2, T0, v2pairs);
   v4fix = ecl_car(T1);
   goto L4;
L9:;
   v4fix = ECL_NIL;
   goto L4;
L6:;
   v4fix = value0;
   goto L4;
L4:;
   if (!((v4fix)==(VV[0]))) { goto L11; }
   goto L15;
L14:;
   si_assert_failure(1, VV[1]);
L15:;
   T0 = ecl_cddr(v1arg);
   if (T0==ECL_NIL) { goto L18; }
   goto L14;
L18:;
   value0 = ecl_cadr(v1arg);
   cl_env_copy->nvalues = 1;
   return value0;
L11:;
   if (Null(v4fix)) { goto L20; }
   T0 = ecl_cdr(v1arg);
   value0 = CONS(v4fix,T0);
   cl_env_copy->nvalues = 1;
   return value0;
L20:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for EXPAND-CONDITION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2expand_condition(cl_object v1form, cl_object v2env)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  v1form = cl_macroexpand(2, v1form, v2env);
L4:;
  if (!(ECL_CONSP(v1form))) { goto L9; }
  T0 = ecl_car(v1form);
  if (!(ECL_SYMBOLP(T0))) { goto L9; }
  T0 = ecl_car(v1form);
  if ((ecl_get(T0,VV[3],ECL_NIL))!=ECL_NIL) { goto L6; }
  goto L7;
L9:;
  goto L7;
L7:;
  goto L5;
L6:;
  T0 = ecl_car(v1form);
  T1 = (cl_env_copy->function=(ECL_SYM("COMPILER-MACRO-FUNCTION",239)->symbol.gfdef))->cfun.entry(1, T0) /*  COMPILER-MACRO-FUNCTION */;
  v1form = ecl_function_dispatch(cl_env_copy,VV[139])(3, T1, v1form, v2env) /*  CMP-EXPAND-MACRO */;
  goto L4;
L5:;
  value0 = v1form;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for IS-UNARY?                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3is_unary_(cl_object v1form, cl_object v2op)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(v1form))) { goto L2; }
  T0 = ecl_car(v1form);
  if (!((T0)==(v2op))) { goto L2; }
  T0 = ecl_cddr(v1form);
  value0 = ecl_make_bool(T0==ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for EXPAND-IF-MACRO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4expand_if_macro(cl_narg narg, cl_object v1condition, cl_object v2then_value, cl_object v3else_value, cl_object v4env, cl_object v5if_f, cl_object v6not_f, cl_object v7or_f, cl_object v8and_f, cl_object v9andnot_f, cl_object v10type_name, cl_object v11zero_val, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<11)) FEwrong_num_arguments_anonym();
 {
  cl_object v12flip;
  ecl_va_list args; ecl_va_start(args,v11zero_val,narg,11);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L4expand_if_macrokeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v12flip = keyvars[0];
  }
  {
   cl_object v13condition;
   cl_object v14then_value;
   cl_object v15else_value;
   cl_object v16then_zero_;
   cl_object v17else_zero_;
   v13condition = L2expand_condition(v1condition, v4env);
   v14then_value = cl_macroexpand(2, v2then_value, v4env);
   v15else_value = cl_macroexpand(2, v3else_value, v4env);
   v16then_zero_ = ecl_make_bool(ecl_equal(v14then_value,v11zero_val));
   v17else_zero_ = ecl_make_bool(ecl_equal(v15else_value,v11zero_val));
   if (Null(L3is_unary_(v13condition, v6not_f))) { goto L6; }
   T0 = ecl_cadr(v13condition);
   T1 = Null(v12flip)?ECL_T:ECL_NIL;
   value0 = L4expand_if_macro(13, T0, v15else_value, v14then_value, v4env, v5if_f, v6not_f, v7or_f, v8and_f, v9andnot_f, v10type_name, v11zero_val, VV[6], T1);
   return value0;
L6:;
   if (Null(v16then_zero_)) { goto L9; }
   if (Null(v17else_zero_)) { goto L9; }
   value0 = v11zero_val;
   cl_env_copy->nvalues = 1;
   return value0;
L9:;
   if (Null(v16then_zero_)) { goto L12; }
   value0 = cl_list(3, v9andnot_f, v13condition, v15else_value);
   return value0;
L12:;
   if (Null(v17else_zero_)) { goto L14; }
   value0 = cl_list(3, v8and_f, v13condition, v14then_value);
   return value0;
L14:;
   {
    cl_object v18csym;
    cl_object v19args;
    v18csym = cl_gensym(0);
    T0 = cl_list(3, v8and_f, v18csym, v14then_value);
    T1 = cl_list(3, v9andnot_f, v18csym, v15else_value);
    v19args = cl_list(2, T0, T1);
    T0 = cl_list(2, v18csym, v13condition);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), v10type_name, v18csym);
    T3 = cl_list(2, VV[7], v18csym);
    T4 = cl_list(3, ECL_SYM("DECLARE",274), T2, T3);
    if (Null(v12flip)) { goto L19; }
    T5 = cl_reverse(v19args);
    goto L18;
L19:;
    T5 = v19args;
L18:;
    T6 = CONS(v7or_f,T5);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T4, T6);
    return value0;
   }
  }
 }
}
/*	local function DEF-UTILITY                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5def_utility(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5arg_types;
   cl_object v6ret_type;
   cl_object v7expansion;
   cl_object v8;
   cl_object v9expand_args;
   cl_object v10;
   cl_object v11expand_in_condition;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v12;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg_types = v12;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6ret_type = v12;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7expansion = v12;
   }
   v8 = si_search_keyword(2, v3, VV[9]);
   if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1930)))) { goto L28; }
   v9expand_args = ECL_NIL;
   goto L27;
L28:;
   v9expand_args = v8;
L27:;
   v10 = si_search_keyword(2, v3, VV[10]);
   if (!((v10)==(ECL_SYM("MISSING-KEYWORD",1930)))) { goto L32; }
   v11expand_in_condition = ECL_NIL;
   goto L31;
L32:;
   v11expand_in_condition = v10;
L31:;
   si_check_keyword(2, v3, VV[11]);
   {
    cl_object v12anames;
    {
     cl_object v13;
     cl_object v14;
     cl_object v15;
     v13 = ecl_function_dispatch(cl_env_copy,VV[141])(1, v5arg_types) /*  MAKE-ARG-NUMS */;
     v14 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
     v15 = v13;
     {
      cl_object v16;
      cl_object v17;
      v16 = ecl_list1(ECL_NIL);
      v17 = v16;
L42:;
      if (!(ecl_endp(v15))) { goto L44; }
      goto L43;
L44:;
      v14 = _ecl_car(v15);
      {
       cl_object v18;
       v18 = _ecl_cdr(v15);
       if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
       v15 = v18;
      }
      if (ecl_unlikely(ECL_ATOM(v17))) FEtype_error_cons(v17);
      T0 = v17;
      T1 = ecl_function_dispatch(cl_env_copy,VV[142])(1, v14) /*  MAKE-ARG-NAME */;
      v17 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v17,T0);
      goto L42;
L43:;
      v12anames = ecl_cdr(v16);
      goto L35;
     }
    }
L35:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T1 = cl_list(2, ECL_SYM("EXPORT",344), T0);
    if (Null(v11expand_in_condition)) { goto L59; }
    T3 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T4 = cl_list(3, ECL_SYM("GET",402), T3, VV[13]);
    T5 = cl_list(3, ECL_SYM("SETF",750), T4, ECL_T);
    T2 = ecl_list1(T5);
    goto L58;
L59:;
    T2 = ECL_NIL;
L58:;
    T3 = cl_listX(3, ECL_SYM("&ENVIRONMENT",9), VV[14], v12anames);
    {
     cl_object v13;
     cl_object v14arg;
     cl_object v15;
     if (!((v9expand_args)==(ECL_T))) { goto L63; }
     v13 = v12anames;
     goto L62;
L63:;
     v13 = v9expand_args;
L62:;
     v14arg = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
     v15 = v13;
     {
      cl_object v16;
      cl_object v17;
      v16 = ecl_list1(ECL_NIL);
      v17 = v16;
L70:;
      if (!(ecl_endp(v15))) { goto L72; }
      goto L71;
L72:;
      v14arg = _ecl_car(v15);
      {
       cl_object v18;
       v18 = _ecl_cdr(v15);
       if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
       v15 = v18;
      }
      if (ecl_unlikely(ECL_ATOM(v17))) FEtype_error_cons(v17);
      T5 = v17;
      T6 = cl_list(3, ECL_SYM("MACROEXPAND",519), v14arg, VV[14]);
      T7 = cl_list(3, ECL_SYM("SETQ",751), v14arg, T6);
      v17 = ecl_list1(T7);
      (ECL_CONS_CDR(T5)=v17,T5);
      goto L70;
L71:;
      T4 = ecl_cdr(v16);
      goto L61;
     }
    }
L61:;
    T5 = ecl_list1(v7expansion);
    T6 = ecl_append(T4,T5);
    T7 = cl_listX(5, ECL_SYM("DEFINE-COMPILER-MACRO",279), v4name, T3, VV[15], T6);
    T8 = ecl_list1(T7);
    T9 = ecl_append(T2,T8);
    T10 = cl_listX(3, ECL_SYM("EVAL-WHEN",340), VV[12], T9);
    {
     cl_object v13;
     cl_object v14;
     v13 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(v5arg_types))) FEtype_error_list(v5arg_types);
     v14 = v5arg_types;
     {
      cl_object v15;
      cl_object v16;
      v15 = ecl_list1(ECL_NIL);
      v16 = v15;
L92:;
      if (!(ecl_endp(v14))) { goto L94; }
      goto L93;
L94:;
      v13 = _ecl_car(v14);
      {
       cl_object v17;
       v17 = _ecl_cdr(v14);
       if (ecl_unlikely(!ECL_LISTP(v17))) FEtype_error_list(v17);
       v14 = v17;
      }
      if (ecl_unlikely(ECL_ATOM(v16))) FEtype_error_cons(v16);
      T12 = v16;
      T13 = ecl_function_dispatch(cl_env_copy,VV[143])(1, v13) /*  DECLAIM-ARG-TYPE-OF */;
      v16 = ecl_list1(T13);
      (ECL_CONS_CDR(T12)=v16,T12);
      goto L92;
L93:;
      T11 = ecl_cdr(v15);
      goto L86;
     }
    }
L86:;
    T12 = cl_list(3, ECL_SYM("FUNCTION",396), T11, v6ret_type);
    T13 = cl_list(3, ECL_SYM("FTYPE",393), T12, v4name);
    T14 = cl_list(2, ECL_SYM("QUOTE",679), T13);
    T15 = cl_list(2, ECL_SYM("PROCLAIM",666), T14);
    {
     cl_object v13;
     cl_object v14;
     v13 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(v12anames))) FEtype_error_list(v12anames);
     v14 = v12anames;
     {
      cl_object v15;
      cl_object v16;
      v15 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(v12anames))) FEtype_error_list(v12anames);
      v16 = v12anames;
      {
       cl_object v17;
       cl_object v18;
       v17 = ecl_list1(ECL_NIL);
       v18 = v17;
L117:;
       if (!(ecl_endp(v14))) { goto L119; }
       goto L118;
L119:;
       v13 = _ecl_car(v14);
       {
        cl_object v19;
        v19 = _ecl_cdr(v14);
        if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
        v14 = v19;
       }
       if (!(ecl_endp(v16))) { goto L127; }
       goto L118;
L127:;
       v15 = _ecl_car(v16);
       {
        cl_object v19;
        v19 = _ecl_cdr(v16);
        if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
        v16 = v19;
       }
       if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
       T17 = v18;
       T18 = cl_list(2, v13, v15);
       v18 = ecl_list1(T18);
       (ECL_CONS_CDR(T17)=v18,T17);
       goto L117;
L118:;
       T16 = ecl_cdr(v17);
       goto L108;
      }
     }
    }
L108:;
    {
     cl_object v13an;
     cl_object v14;
     cl_object v15at;
     cl_object v16;
     v13an = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(v12anames))) FEtype_error_list(v12anames);
     v14 = v12anames;
     v15at = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(v5arg_types))) FEtype_error_list(v5arg_types);
     v16 = v5arg_types;
     {
      cl_object v17;
      cl_object v18;
      v17 = ecl_list1(ECL_NIL);
      v18 = v17;
L150:;
      if (ecl_endp(v14)) { goto L154; }
      if (!(ecl_endp(v16))) { goto L152; }
      goto L153;
L154:;
L153:;
      goto L151;
L152:;
      {
       cl_object v19;
       v19 = _ecl_car(v14);
       v15at = _ecl_car(v16);
       v13an = v19;
      }
      {
       cl_object v19;
       v19 = _ecl_cdr(v14);
       if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
       v14 = v19;
      }
      {
       cl_object v19;
       v19 = _ecl_cdr(v16);
       if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
       v16 = v19;
      }
      if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
      T18 = v18;
      T19 = cl_list(3, ECL_SYM("TYPE",869), v15at, v13an);
      v18 = ecl_list1(T19);
      (ECL_CONS_CDR(T18)=v18,T18);
      goto L150;
L151:;
      T17 = ecl_cdr(v17);
      goto L141;
     }
    }
L141:;
    T18 = CONS(ECL_SYM("DECLARE",274),T17);
    T19 = CONS(v4name,v12anames);
    T20 = cl_list(4, ECL_SYM("LET",477), T16, T18, T19);
    T21 = cl_list(5, ECL_SYM("DEFUN",289), v4name, v12anames, VV[16], T20);
    value0 = cl_list(5, ECL_SYM("PROGN",671), T1, T10, T15, T21);
    return value0;
   }
  }
 }
}
/*	local function DEF-IF-FUNCTION                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6def_if_function(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5type_name;
   cl_object v6postfix;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5type_name = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6postfix = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   T0 = cl_list(3, v5type_name, v5type_name, v5type_name);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
   T2 = cl_format(3, ECL_NIL, _ecl_static_1, v6postfix);
   T3 = cl_intern(1, T2);
   T4 = cl_list(2, ECL_SYM("QUOTE",679), T3);
   T5 = cl_format(3, ECL_NIL, _ecl_static_2, v6postfix);
   T6 = cl_intern(1, T5);
   T7 = cl_list(2, ECL_SYM("QUOTE",679), T6);
   T8 = cl_format(3, ECL_NIL, _ecl_static_3, v6postfix);
   T9 = cl_intern(1, T8);
   T10 = cl_list(2, ECL_SYM("QUOTE",679), T9);
   T11 = cl_format(3, ECL_NIL, _ecl_static_4, v6postfix);
   T12 = cl_intern(1, T11);
   T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
   T14 = cl_list(2, ECL_SYM("QUOTE",679), v5type_name);
   T15 = cl_format(3, ECL_NIL, _ecl_static_5, v6postfix);
   T16 = cl_intern(1, T15);
   T17 = ecl_list1(T16);
   T18 = cl_list(2, ECL_SYM("QUOTE",679), T17);
   T19 = cl_list(12, VV[8], VV[18], VV[19], VV[20], VV[14], T1, T4, T7, T10, T13, T14, T18);
   value0 = cl_list(5, VV[17], v4name, T0, v5type_name, T19);
   return value0;
  }
 }
}
/*	local function SSE-ARRAY                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7sse_array(cl_narg narg, cl_object v1elt_type, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2dims;
  va_list args; va_start(args,v1elt_type);
  {
   int i = 1;
   if (i >= narg) {
    v2dims = ECL_SYM("*",18);
   } else {
    i++;
    v2dims = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((v1elt_type)==(ECL_SYM("*",18)))) { goto L2; }
  ecl_function_dispatch(cl_env_copy,VV[145])(1, _ecl_static_6) /*  CMPERR */;
L2:;
  {
   cl_object v3upgraded;
   v3upgraded = cl_upgraded_array_element_type(1, v1elt_type);
   if (!((v3upgraded)==(ECL_T))) { goto L10; }
   goto L7;
   goto L8;
L10:;
   goto L8;
L8:;
   if (!((v3upgraded)==(ECL_SYM("BIT",123)))) { goto L5; }
   goto L6;
L7:;
L6:;
   ecl_function_dispatch(cl_env_copy,VV[145])(2, _ecl_static_7, v1elt_type) /*  CMPERR */;
L5:;
   if ((cl_subtypep(2, v3upgraded, v1elt_type))!=ECL_NIL) { goto L13; }
   ecl_function_dispatch(cl_env_copy,VV[146])(3, _ecl_static_8, v1elt_type, v3upgraded) /*  CMPWARN */;
L13:;
   value0 = cl_list(3, ECL_SYM("ARRAY",96), v3upgraded, v2dims);
   return value0;
  }
 }
}
/*	function definition for MAKE-SSE-ARRAY                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8make_sse_array(cl_narg narg, cl_object v1dimensions, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2args;
  cl_object v3element_type;
  cl_object v4displaced_to;
  ecl_va_list args; ecl_va_start(args,v1dimensions,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L8make_sse_arraykeys,keyvars,(cl_object*)&v2args,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    v3element_type = VV[25];
   } else {
    v3element_type = keyvars[0];
   }
   v4displaced_to = keyvars[1];
  }
  if (Null(v4displaced_to)) { goto L2; }
  T0 = (ECL_SYM("MAKE-ARRAY",522)->symbol.gfdef);
  value0 = cl_apply(3, T0, v1dimensions, v2args);
  return value0;
L2:;
  {
   cl_object v6;                                  /*  ELT-SIZE        */
   cl_object v7;                                  /*  ADJ-TYPE        */
   value0 = si_array_element_type_byte_size(v3element_type);
   v6 = value0;
   {
    const int v8 = cl_env_copy->nvalues;
    cl_object v9;
    v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
    v7 = v9;
   }
   if (!((v7)==(ECL_T))) { goto L6; }
   cl_error(1, _ecl_static_9);
L6:;
   {
    cl_object v9;
    cl_object v10;                                /*  FLAG            */
    value0 = si_rem_f(v2args, ECL_SYM("ELEMENT-TYPE",1224));
    v9 = value0;
    v10 = cl_env_copy->values[1];
    v2args = v9;
   }
   {
    cl_object v8full_size;
    cl_object v9padded_size;
    cl_object v10array;
    cl_fixnum v11misalign;
    cl_object v12offset;
    if (!(ecl_numberp(v1dimensions))) { goto L13; }
    v8full_size = v1dimensions;
    goto L12;
L13:;
    T0 = (ECL_SYM("*",18)->symbol.gfdef);
    v8full_size = cl_reduce(2, T0, v1dimensions);
L12:;
    T0 = ecl_ceiling2(ecl_make_fixnum(15),v6);
    v9padded_size = ecl_plus(v8full_size,T0);
    T0 = (ECL_SYM("MAKE-ARRAY",522)->symbol.gfdef);
    v10array = cl_apply(5, T0, v9padded_size, ECL_SYM("ELEMENT-TYPE",1224), v7, v2args);
    v11misalign = (cl_fixnum)((((unsigned long)(v10array)->array.self.b8) & 15));
    if (!((v11misalign)>(0))) { goto L22; }
    T0 = ecl_minus(ecl_make_fixnum(16),ecl_make_fixnum(v11misalign));
    goto L21;
L22:;
    T0 = ecl_make_fixnum(0);
L21:;
    v12offset = ecl_divide(T0,v6);
    value0 = si_make_pure_array(v3element_type, v1dimensions, ECL_NIL, ECL_NIL, v10array, v12offset);
    return value0;
   }
  }
 }
}
/*	local function SET-TRUE-SS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9set_true_ss(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[27];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function SET-TRUE-PS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10set_true_ps(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[30];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G104                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11__g104(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[33];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G105                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12__g105(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[35];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G106                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g106(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[33];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G107                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g107(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[38];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G108                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g108(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[33];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function IF-PS                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16if_ps(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   value0 = L4expand_if_macro(11, v4arg0, v5arg1, v6arg2, v2env, VV[40], VV[41], VV[42], VV[43], VV[44], ECL_SYM("FLOAT-SSE-PACK",1797), VV[33]);
   return value0;
  }
 }
}
/*	function definition for IF-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17if_ps(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v4arg0;
   __m128 v5arg1;
   __m128 v6arg2;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v1arg0);
   v4arg0 = ecl_unbox_float_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v2arg1);
   v5arg1 = ecl_unbox_float_sse_pack_unsafe(v2arg1);
   T0 = si_sse_pack_p(v3arg2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v3arg2);
   v6arg2 = ecl_unbox_float_sse_pack_unsafe(v3arg2);
   {
    __m128 v7;
    v7 = _mm_and_ps(v4arg0,v5arg1);
    {
     __m128 v8;
     v8 = _mm_andnot_ps(v4arg0,v6arg2);
     value0 = ecl_make_float_sse_pack(_mm_or_ps(v7,v8));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function NEG-SS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18neg_ss(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[46], v4arg0, VV[47]);
   return value0;
  }
 }
}
/*	function definition for NEG-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19neg_ss(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v1arg0);
   v2arg0 = ecl_unbox_float_sse_pack_unsafe(v1arg0);
   {
    __m128 v3;
    v3 = _mm_castsi128_ps(_mm_setr_epi8(0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0));
    value0 = ecl_make_float_sse_pack(_mm_xor_ps(v2arg0,v3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20neg_ps(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[46], v4arg0, VV[49]);
   return value0;
  }
 }
}
/*	function definition for NEG-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L21neg_ps(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v1arg0);
   v2arg0 = ecl_unbox_float_sse_pack_unsafe(v1arg0);
   {
    __m128 v3;
    v3 = _mm_castsi128_ps(_mm_setr_epi8(0,0,0,128,0,0,0,128,0,0,0,128,0,0,0,128));
    value0 = ecl_make_float_sse_pack(_mm_xor_ps(v2arg0,v3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NOT-PS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22not_ps(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   v4arg0 = cl_macroexpand(2, v4arg0, v2env);
   value0 = L1lookup_flip(2, v4arg0, VV[51]);
   if ((value0)!=ECL_NIL) { goto L13; }
   value0 = cl_list(3, VV[46], v4arg0, VV[37]);
   return value0;
L13:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NOT-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L23not_ps(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v1arg0);
   v2arg0 = ecl_unbox_float_sse_pack_unsafe(v1arg0);
   {
    __m128 v3;
    v3 = _mm_castsi128_ps(_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_make_float_sse_pack(_mm_xor_ps(v2arg0,v3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SHUFFLE-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24shuffle_ps(cl_object v1x, cl_object v2y, cl_object v3mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v4;
   v4 = v1x;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v4, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v4;
   v4 = v2y;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L8; }
   v2y = si_do_check_type(v4, VV[52], ECL_NIL, VV[54]);
L8:;
  }
  {
   cl_object v4;
   v4 = v3mask;
   {
    cl_fixnum v5;
    v5 = 0;
    if (!(ECL_FIXNUMP(v4))) { goto L17; }
    v5 = ecl_fixnum(v4);
    if (!((v5)<=(255))) { goto L22; }
    if ((v5)>=(0)) { goto L13; }
    goto L14;
L22:;
    goto L14;
L17:;
    goto L14;
   }
L14:;
   v3mask = si_do_check_type(v4, VV[25], ECL_NIL, VV[55]);
L13:;
  }
  value0 = ecl_make_float_sse_pack(_mm_setr_ps(
       (v1x)->sse.data.sf[(ecl_to_int(v3mask))&3],
       (v1x)->sse.data.sf[((ecl_to_int(v3mask))>>2)&3],
       (v2y)->sse.data.sf[((ecl_to_int(v3mask))>>4)&3],
       (v2y)->sse.data.sf[((ecl_to_int(v3mask))>>6)&3]
     ));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SET-TRUE-SD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25set_true_sd(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[57];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function SET-TRUE-PD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26set_true_pd(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[60];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G150                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27__g150(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[63];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G151                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28__g151(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[65];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G152                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29__g152(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[63];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G153                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g153(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[68];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G154                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g154(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[63];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function IF-PD                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32if_pd(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   value0 = L4expand_if_macro(11, v4arg0, v5arg1, v6arg2, v2env, VV[70], VV[71], VV[72], VV[73], VV[74], ECL_SYM("DOUBLE-SSE-PACK",1798), VV[63]);
   return value0;
  }
 }
}
/*	function definition for IF-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33if_pd(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v4arg0;
   __m128d v5arg1;
   __m128d v6arg2;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1798),v1arg0);
   v4arg0 = ecl_unbox_double_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1798),v2arg1);
   v5arg1 = ecl_unbox_double_sse_pack_unsafe(v2arg1);
   T0 = si_sse_pack_p(v3arg2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1798),v3arg2);
   v6arg2 = ecl_unbox_double_sse_pack_unsafe(v3arg2);
   {
    __m128d v7;
    v7 = _mm_and_pd(v4arg0,v5arg1);
    {
     __m128d v8;
     v8 = _mm_andnot_pd(v4arg0,v6arg2);
     value0 = ecl_make_double_sse_pack(_mm_or_pd(v7,v8));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function NEG-SD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34neg_sd(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[76], v4arg0, VV[77]);
   return value0;
  }
 }
}
/*	function definition for NEG-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35neg_sd(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1798),v1arg0);
   v2arg0 = ecl_unbox_double_sse_pack_unsafe(v1arg0);
   {
    __m128d v3;
    v3 = _mm_castsi128_pd(_mm_setr_epi8(0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0));
    value0 = ecl_make_double_sse_pack(_mm_xor_pd(v2arg0,v3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36neg_pd(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[76], v4arg0, VV[80]);
   return value0;
  }
 }
}
/*	function definition for NEG-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37neg_pd(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1798),v1arg0);
   v2arg0 = ecl_unbox_double_sse_pack_unsafe(v1arg0);
   {
    __m128d v3;
    v3 = _mm_castsi128_pd(_mm_setr_epi8(0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,128));
    value0 = ecl_make_double_sse_pack(_mm_xor_pd(v2arg0,v3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NOT-PD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38not_pd(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   v4arg0 = cl_macroexpand(2, v4arg0, v2env);
   value0 = L1lookup_flip(2, v4arg0, VV[82]);
   if ((value0)!=ECL_NIL) { goto L13; }
   value0 = cl_list(3, VV[76], v4arg0, VV[67]);
   return value0;
L13:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NOT-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39not_pd(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1798),v1arg0);
   v2arg0 = ecl_unbox_double_sse_pack_unsafe(v1arg0);
   {
    __m128d v3;
    v3 = _mm_castsi128_pd(_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_make_double_sse_pack(_mm_xor_pd(v2arg0,v3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SHUFFLE-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40shuffle_pd(cl_object v1x, cl_object v2y, cl_object v3mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v4;
   v4 = v1x;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v4, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v4;
   v4 = v2y;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L8; }
   v2y = si_do_check_type(v4, VV[52], ECL_NIL, VV[54]);
L8:;
  }
  {
   cl_object v4;
   v4 = v3mask;
   {
    cl_fixnum v5;
    v5 = 0;
    if (!(ECL_FIXNUMP(v4))) { goto L17; }
    v5 = ecl_fixnum(v4);
    if (!((v5)<=(3))) { goto L22; }
    if ((v5)>=(0)) { goto L13; }
    goto L14;
L22:;
    goto L14;
L17:;
    goto L14;
   }
L14:;
   v3mask = si_do_check_type(v4, VV[83], ECL_NIL, VV[55]);
L13:;
  }
  value0 = ecl_make_double_sse_pack(_mm_setr_pd(
       (v1x)->sse.data.df[(ecl_to_int(v3mask))&1],
       (v2y)->sse.data.df[((ecl_to_int(v3mask))>>1)&1]
     ));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SET-TRUE-PI                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41set_true_pi(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[85];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G190                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g190(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[88];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G191                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g191(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[90];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G192                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g192(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[88];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function IF-PI                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45if_pi(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   value0 = L4expand_if_macro(11, v4arg0, v5arg1, v6arg2, v2env, VV[92], VV[93], VV[94], VV[95], VV[96], ECL_SYM("FLOAT-SSE-PACK",1797), VV[88]);
   return value0;
  }
 }
}
/*	function definition for IF-PI                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46if_pi(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v4arg0;
   __m128 v5arg1;
   __m128 v6arg2;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v1arg0);
   v4arg0 = ecl_unbox_float_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v2arg1);
   v5arg1 = ecl_unbox_float_sse_pack_unsafe(v2arg1);
   T0 = si_sse_pack_p(v3arg2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1797),v3arg2);
   v6arg2 = ecl_unbox_float_sse_pack_unsafe(v3arg2);
   {
    __m128i v7;
    v7 = _mm_and_si128(_mm_castps_si128(v4arg0),_mm_castps_si128(v5arg1));
    {
     __m128i v8;
     v8 = _mm_andnot_si128(_mm_castps_si128(v4arg0),_mm_castps_si128(v6arg2));
     value0 = ecl_make_int_sse_pack(_mm_or_si128(v7,v8));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function NEG-PI8                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47neg_pi8(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[98], VV[88], v4arg0);
   return value0;
  }
 }
}
/*	function definition for NEG-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48neg_pi8(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v2arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   {
    __m128i v3;
    v3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi8(v3,v2arg0));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PI16                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49neg_pi16(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[100], VV[88], v4arg0);
   return value0;
  }
 }
}
/*	function definition for NEG-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50neg_pi16(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v2arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   {
    __m128i v3;
    v3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi16(v3,v2arg0));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PI32                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51neg_pi32(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[102], VV[88], v4arg0);
   return value0;
  }
 }
}
/*	function definition for NEG-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52neg_pi32(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v2arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   {
    __m128i v3;
    v3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi32(v3,v2arg0));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PI64                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53neg_pi64(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_list(3, VV[104], VV[88], v4arg0);
   return value0;
  }
 }
}
/*	function definition for NEG-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54neg_pi64(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v2arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   {
    __m128i v3;
    v3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi64(v3,v2arg0));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NOT-PI                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55not_pi(cl_object v1, cl_object v2env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   v4arg0 = cl_macroexpand(2, v4arg0, v2env);
   value0 = L1lookup_flip(4, v4arg0, VV[105], VV[106], ECL_T);
   if ((value0)!=ECL_NIL) { goto L13; }
   value0 = cl_list(3, VV[107], v4arg0, VV[89]);
   return value0;
L13:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NOT-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56not_pi(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v2arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   {
    __m128i v3;
    v3 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_make_int_sse_pack(_mm_xor_si128(v2arg0,v3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function <=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57___pi8(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[109], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for <=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___pi8(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmpgt_epi8(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function <=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59___pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[111], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for <=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___pi16(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmpgt_epi16(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function <=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61___pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[113], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for <=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___pi32(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmpgt_epi32(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function >=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63___pi8(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[115], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for >=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64___pi8(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmplt_epi8(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function >=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65___pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[117], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for >=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___pi16(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmplt_epi16(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function >=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67___pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[119], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for >=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68___pi32(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmplt_epi32(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function /=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69___pi8(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[121], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for /=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70___pi8(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmpeq_epi8(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function /=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71___pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[123], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for /=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72___pi16(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmpeq_epi16(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function /=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73___pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(3, VV[125], v4arg0, v5arg1);
   value0 = cl_list(2, VV[93], T0);
   return value0;
  }
 }
}
/*	function definition for /=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74___pi32(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   T0 = si_sse_pack_p(v1arg0);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v1arg0);
   v3arg0 = ecl_unbox_int_sse_pack_unsafe(v1arg0);
   T0 = si_sse_pack_p(v2arg1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1796),v2arg1);
   v4arg1 = ecl_unbox_int_sse_pack_unsafe(v2arg1);
   {
    __m128i v5;
    v5 = _mm_cmpeq_epi32(v3arg0,v4arg1);
    {
     __m128i v6;
     v6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(v5,v6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	function definition for SLLI-PI                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75slli_pi(cl_object v1x, cl_object v2shift)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2shift;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2shift = si_do_check_type(v3, VV[25], ECL_NIL, VV[126]);
L8:;
  }
  {
   cl_object v3;
   cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     unsigned bshift=(ecl_to_int(v2shift)), i;
     for (i = 0; i + bshift < 16; i++)
       rv->sse.data.b8[i+bshift] = (v1x)->sse.data.b8[i];
     v3= rv;
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SRLI-PI                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76srli_pi(cl_object v1x, cl_object v2shift)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2shift;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2shift = si_do_check_type(v3, VV[25], ECL_NIL, VV[126]);
L8:;
  }
  {
   cl_object v3;
   cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     int bshift=(ecl_to_int(v2shift)), i;
     for (i = 16 - bshift - 1; i >= 0; i--)
       rv->sse.data.b8[i] = (v1x)->sse.data.b8[i+bshift];
     v3= rv;
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for EXTRACT-PI16                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77extract_pi16(cl_object v1x, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2index;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2index = si_do_check_type(v3, VV[25], ECL_NIL, VV[129]);
L8:;
  }
  value0 = ecl_make_fixnum(*((unsigned short*)&(v1x)->sse.data.b8[((ecl_to_int(v2index))&3)*2]));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INSERT-PI16                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78insert_pi16(cl_object v1x, cl_object v2ival, cl_object v3index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v4;
   v4 = v1x;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v4, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v4;
   v4 = v3index;
   {
    cl_fixnum v5;
    v5 = 0;
    if (!(ECL_FIXNUMP(v4))) { goto L12; }
    v5 = ecl_fixnum(v4);
    if (!((v5)<=(255))) { goto L17; }
    if ((v5)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v3index = si_do_check_type(v4, VV[25], ECL_NIL, VV[129]);
L8:;
  }
  {
   cl_object v4;
   cl_object rv = ecl_make_int_sse_pack(ecl_unbox_int_sse_pack(v1x));
     *((unsigned short*)&rv->sse.data.b8[((ecl_to_int(v3index))&3)*2]) = (unsigned short)(ecl_to_int(v2ival));
     v4= rv;
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SHUFFLE-PI32                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79shuffle_pi32(cl_object v1x, cl_object v2mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2mask;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2mask = si_do_check_type(v3, VV[25], ECL_NIL, VV[55]);
L8:;
  }
  {
   __m128i v3;
   unsigned *pd = (unsigned*)(v1x)->sse.data.b8;
     v3= _mm_setr_epi32(pd[(ecl_to_int(v2mask))&3],pd[((ecl_to_int(v2mask))>>2)&3],pd[((ecl_to_int(v2mask))>>4)&3],pd[((ecl_to_int(v2mask))>>6)&3]);
   value0 = ecl_make_int_sse_pack(v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SHUFFLELO-PI16                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80shufflelo_pi16(cl_object v1x, cl_object v2mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2mask;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2mask = si_do_check_type(v3, VV[25], ECL_NIL, VV[55]);
L8:;
  }
  {
   __m128i v3;
   unsigned short *pd = (unsigned short*)(v1x)->sse.data.b8;
     v3= _mm_setr_epi16(
       pd[(ecl_to_int(v2mask))&3],pd[((ecl_to_int(v2mask))>>2)&3],pd[((ecl_to_int(v2mask))>>4)&3],pd[(((ecl_to_int(v2mask))>>6)&3)],
       pd[4], pd[5], pd[6], pd[7]
     );
   value0 = ecl_make_int_sse_pack(v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SHUFFLEHI-PI16                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81shufflehi_pi16(cl_object v1x, cl_object v2mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[52], ECL_NIL, VV[53]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2mask;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2mask = si_do_check_type(v3, VV[25], ECL_NIL, VV[55]);
L8:;
  }
  {
   __m128i v3;
   unsigned short *pb = (unsigned short*)(v1x)->sse.data.b8, *pd = pb+4;
     v3= _mm_setr_epi16(
       pb[0], pb[1], pb[2], pb[3],
       pd[(ecl_to_int(v2mask))&3],pd[((ecl_to_int(v2mask))>>2)&3],pd[((ecl_to_int(v2mask))>>4)&3],pd[(((ecl_to_int(v2mask))>>6)&3)]
     );
   value0 = ecl_make_int_sse_pack(v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "ext/ecl-sse-utils.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclmQxOAGSNxlIj9_VmDas431(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;ECL-SSE-UTILS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclmQxOAGSNxlIj9_VmDas431@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  ecl_cmp_defun(VV[135]);                         /*  LOOKUP-FLIP     */
  ecl_cmp_defun(VV[136]);                         /*  EXPAND-CONDITION */
  ecl_cmp_defun(VV[137]);                         /*  IS-UNARY?       */
  ecl_cmp_defun(VV[138]);                         /*  EXPAND-IF-MACRO */
  ecl_cmp_defmacro(VV[140]);                      /*  DEF-UTILITY     */
  ecl_cmp_defmacro(VV[144]);                      /*  DEF-IF-FUNCTION */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC7sse_array,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_deftype(3, VV[22], VVtemp[0], T0);
 }
  ecl_cmp_defun(VV[147]);                         /*  MAKE-SSE-ARRAY  */
  VV[27]= ecl_function_dispatch(cl_env_copy,VV[150])(3, ecl_make_fixnum(4294967295), VV[28], ECL_SYM("FLOAT-SSE-PACK",1797)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[151]);                      /*  SET-TRUE-SS     */
  VV[30]= ecl_function_dispatch(cl_env_copy,VV[150])(3, ecl_make_fixnum(-1), VV[28], ECL_SYM("FLOAT-SSE-PACK",1797)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[152]);                      /*  SET-TRUE-PS     */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC11__g104,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[32], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC12__g105,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[34], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC13__g106,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[36], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC14__g107,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[37], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC15__g108,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[39], ECL_SYM("SYMBOL-MACRO",1159), T0);
 }
 {
  cl_object T0;
  cl_export(1, VV[40]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC16if_ps,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[40], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[1]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[153]);                         /*  IF-PS           */
 }
 {
  cl_object T0;
  cl_export(1, VV[45]);
  VV[47]= ecl_function_dispatch(cl_env_copy,VV[150])(3, ecl_make_fixnum(2147483648), VV[28], ECL_SYM("FLOAT-SSE-PACK",1797)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC18neg_ss,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[45], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[2]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[154]);                         /*  NEG-SS          */
 }
 {
  cl_object T0;
  cl_export(1, VV[48]);
  VV[49]= ecl_function_dispatch(cl_env_copy,VV[150])(3, VV[50], VV[28], ECL_SYM("FLOAT-SSE-PACK",1797)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC20neg_ps,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[48], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[3]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[155]);                         /*  NEG-PS          */
 }
 {
  cl_object T0;
  cl_export(1, VV[41]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC22not_ps,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[41], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[4]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[156]);                         /*  NOT-PS          */
 }
  ecl_cmp_defun(VV[157]);                         /*  SHUFFLE-PS      */
  VV[57]= ecl_function_dispatch(cl_env_copy,VV[150])(3, VV[58], VV[28], ECL_SYM("DOUBLE-SSE-PACK",1798)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[158]);                      /*  SET-TRUE-SD     */
  VV[60]= ecl_function_dispatch(cl_env_copy,VV[150])(3, ecl_make_fixnum(-1), VV[28], ECL_SYM("DOUBLE-SSE-PACK",1798)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[159]);                      /*  SET-TRUE-PD     */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC27__g150,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[62], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC28__g151,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[64], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC29__g152,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[66], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC30__g153,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[67], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC31__g154,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[69], ECL_SYM("SYMBOL-MACRO",1159), T0);
 }
 {
  cl_object T0;
  cl_export(1, VV[70]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC32if_pd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[70], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[5]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[160]);                         /*  IF-PD           */
 }
 {
  cl_object T0;
  cl_export(1, VV[75]);
  VV[77]= ecl_function_dispatch(cl_env_copy,VV[150])(3, VV[78], VV[28], ECL_SYM("DOUBLE-SSE-PACK",1798)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC34neg_sd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[75], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[6]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[161]);                         /*  NEG-SD          */
 }
 {
  cl_object T0;
  cl_export(1, VV[79]);
  VV[80]= ecl_function_dispatch(cl_env_copy,VV[150])(3, VV[81], VV[28], ECL_SYM("DOUBLE-SSE-PACK",1798)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC36neg_pd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[79], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[7]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[162]);                         /*  NEG-PD          */
 }
 {
  cl_object T0;
  cl_export(1, VV[71]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC38not_pd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[71], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[8]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[163]);                         /*  NOT-PD          */
 }
  ecl_cmp_defun(VV[164]);                         /*  SHUFFLE-PD      */
  VV[85]= ecl_function_dispatch(cl_env_copy,VV[150])(3, ecl_make_fixnum(-1), VV[28], ECL_SYM("INT-SSE-PACK",1796)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[165]);                      /*  SET-TRUE-PI     */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC42__g190,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[87], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC43__g191,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[89], ECL_SYM("SYMBOL-MACRO",1159), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC44__g192,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[91], ECL_SYM("SYMBOL-MACRO",1159), T0);
 }
 {
  cl_object T0;
  cl_export(1, VV[92]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC45if_pi,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[92], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[9]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[166]);                         /*  IF-PI           */
 }
 {
  cl_object T0;
  cl_export(1, VV[97]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC47neg_pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[97], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[10]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[167]);                         /*  NEG-PI8         */
  cl_export(1, VV[99]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC49neg_pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[99], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[11]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[168]);                         /*  NEG-PI16        */
  cl_export(1, VV[101]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC51neg_pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[101], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[12]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[169]);                         /*  NEG-PI32        */
  cl_export(1, VV[103]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC53neg_pi64,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[103], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[13]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[170]);                         /*  NEG-PI64        */
 }
 {
  cl_object T0;
  cl_export(1, VV[93]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC55not_pi,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[93], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[14]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[171]);                         /*  NOT-PI          */
 }
 {
  cl_object T0;
  cl_export(1, VV[108]);
  si_putprop(VV[108], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC57___pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[108], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[15]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[172]);                         /*  <=-PI8          */
  cl_export(1, VV[110]);
  si_putprop(VV[110], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC59___pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[110], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[16]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[173]);                         /*  <=-PI16         */
  cl_export(1, VV[112]);
  si_putprop(VV[112], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC61___pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[112], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[17]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[174]);                         /*  <=-PI32         */
  cl_export(1, VV[114]);
  si_putprop(VV[114], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC63___pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[114], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[18]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[175]);                         /*  >=-PI8          */
  cl_export(1, VV[116]);
  si_putprop(VV[116], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC65___pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[116], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[19]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[176]);                         /*  >=-PI16         */
  cl_export(1, VV[118]);
  si_putprop(VV[118], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC67___pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[118], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[20]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[177]);                         /*  >=-PI32         */
  cl_export(1, VV[120]);
  si_putprop(VV[120], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC69___pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[120], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[21]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[178]);                         /*  /=-PI8          */
  cl_export(1, VV[122]);
  si_putprop(VV[122], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC71___pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[122], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[22]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[179]);                         /*  /=-PI16         */
  cl_export(1, VV[124]);
  si_putprop(VV[124], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC73___pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[124], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[23]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[180]);                         /*  /=-PI32         */
 }
  ecl_cmp_defun(VV[181]);                         /*  SLLI-PI         */
  ecl_cmp_defun(VV[182]);                         /*  SRLI-PI         */
  ecl_cmp_defun(VV[183]);                         /*  EXTRACT-PI16    */
  ecl_cmp_defun(VV[184]);                         /*  INSERT-PI16     */
  ecl_cmp_defun(VV[185]);                         /*  SHUFFLE-PI32    */
  ecl_cmp_defun(VV[186]);                         /*  SHUFFLELO-PI16  */
  ecl_cmp_defun(VV[187]);                         /*  SHUFFLEHI-PI16  */
}
