/*	Compiler: ECL 13.5.1                                          */
/*	Source: SRC:CLX;XRENDER.LISP                                  */
#include <ecl/ecl-cmp.h>
#include "clx/xrender.eclh"
/*	function definition for MAKE-RENDER-INFO                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_render_info(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L1make_render_infokeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1 = keyvars[0];
   v2 = keyvars[1];
   v3 = keyvars[2];
  }
  value0 = si_make_structure(4, VV[38], v1, v2, v3);
  return value0;
 }
}
/*	function definition for DISPLAY-RENDER-INFO                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2display_render_info(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[260])(1, v1display) /*  DISPLAY-PLIST */;
  value0 = cl_getf(2, T0, VV[35]);
  return value0;
 }
}
/*	function definition for (SETF DISPLAY-RENDER-INFO)            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3_setf_display_render_info_(cl_object v1new_value, cl_object v2display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[260])(1, v2display) /*  DISPLAY-PLIST */;
   v3 = si_put_f(T0, v1new_value, VV[35]);
   ecl_structure_set(v2display,VV[41],60,v3);
   value0 = v1new_value;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ENSURE-RENDER-INITIALIZED             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4ensure_render_initialized(cl_object v1display)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((L2display_render_info(v1display))!=ECL_NIL) { goto L1; }
  {
   cl_object v2q;
   v2q = L1make_render_info(0);
   {
    cl_object v4;                                 /*  MAJ             */
    cl_object v5;                                 /*  MIN             */
    value0 = L54render_query_version(v1display);
    v4 = value0;
    {
     const int v6 = cl_env_copy->nvalues;
     cl_object v7;
     v7 = (v6<=1)? ECL_NIL : cl_env_copy->values[1];
     v5 = v7;
    }
    ecl_structure_set(v2q,VV[35],0,v4);
    ecl_structure_set(v2q,VV[35],1,v5);
    {
     cl_object v6;
     T0 = (ECL_SYM("EQL",334)->symbol.gfdef);
     v6 = cl_make_hash_table(2, ECL_SYM("TEST",1316), T0);
     ecl_structure_set(v2q,VV[35],2,v6);
    }
    {
     cl_object v6;
     v6 = L55render_query_picture_formats(v1display);
     goto L14;
L13:;
     {
      cl_object v7pf;
      v7pf = ecl_car(v6);
      T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v7pf) /*  PICTURE-FORMAT-ID */;
      T1 = ecl_function_dispatch(cl_env_copy,VV[263])(1, v2q) /*  RENDER-INFO-PICTURE-FORMATS */;
      si_hash_set(T0, T1, v7pf);
     }
     v6 = ecl_cdr(v6);
L14:;
     if (Null(v6)) { goto L21; }
     goto L13;
L21:;
    }
    value0 = L3_setf_display_render_info_(v2q, v1display);
    return value0;
   }
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FIND-MATCHING-PICTURE-FORMATS         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6find_matching_picture_formats(cl_narg narg, cl_object v1display, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13, CLV14, CLV15, CLV16, CLV17;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  ecl_va_list args; ecl_va_start(args,v1display,narg,1);
  {
   cl_object keyvars[34];
   cl_parse_key(args,17,L6find_matching_picture_formatskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   env0 = ECL_NIL;
   CLV0 = env0 = CONS(keyvars[0],env0);           /*  DEPTH-MIN       */
   CLV1 = env0 = CONS(keyvars[1],env0);           /*  DEPTH-MAX       */
   CLV2 = env0 = CONS(keyvars[2],env0);           /*  DEPTH           */
   CLV3 = env0 = CONS(keyvars[3],env0);           /*  RED-MIN         */
   CLV4 = env0 = CONS(keyvars[4],env0);           /*  RED-MAX         */
   CLV5 = env0 = CONS(keyvars[5],env0);           /*  RED             */
   CLV6 = env0 = CONS(keyvars[6],env0);           /*  GREEN-MIN       */
   CLV7 = env0 = CONS(keyvars[7],env0);           /*  GREEN-MAX       */
   CLV8 = env0 = CONS(keyvars[8],env0);           /*  GREEN           */
   CLV9 = env0 = CONS(keyvars[9],env0);           /*  BLUE-MIN        */
   CLV10 = env0 = CONS(keyvars[10],env0);         /*  BLUE-MAX        */
   CLV11 = env0 = CONS(keyvars[11],env0);         /*  BLUE            */
   CLV12 = env0 = CONS(keyvars[12],env0);         /*  ALPHA-MIN       */
   CLV13 = env0 = CONS(keyvars[13],env0);         /*  ALPHA-MAX       */
   CLV14 = env0 = CONS(keyvars[14],env0);         /*  ALPHA           */
   CLV15 = env0 = CONS(keyvars[15],env0);         /*  TYPE            */
   CLV16 = env0 = CONS(keyvars[16],env0);         /*  COLORMAP        */
  }
  L4ensure_render_initialized(v1display);
  {
   cl_object env1 = env0;
   CLV17 = env1 = CONS(ECL_NIL,env1);             /*  RES             */
   {
    cl_object v2;
    v2 = ecl_make_cclosure_va((cl_objectfn)LC5__g20,env1,Cblock);
    T0 = v2;
   }
   T1 = L2display_render_info(v1display);
   T2 = ecl_function_dispatch(cl_env_copy,VV[263])(1, T1) /*  RENDER-INFO-PICTURE-FORMATS */;
   cl_maphash(T0, T2);
   value0 = ECL_CONS_CAR(CLV17);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G20                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g20(cl_narg narg, cl_object v1k, cl_object v2f, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7, CLV8, CLV9, CLV10, CLV11, CLV12, CLV13, CLV14, CLV15, CLV16, CLV17;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV17 = env0;                                    /*  RES             */
 CLV16 = _ecl_cdr(CLV17);
 CLV15 = _ecl_cdr(CLV16);
 CLV14 = _ecl_cdr(CLV15);
 CLV13 = _ecl_cdr(CLV14);
 CLV12 = _ecl_cdr(CLV13);
 CLV11 = _ecl_cdr(CLV12);
 CLV10 = _ecl_cdr(CLV11);
 CLV9 = _ecl_cdr(CLV10);
 CLV8 = _ecl_cdr(CLV9);
 CLV7 = _ecl_cdr(CLV8);
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (ECL_CONS_CAR(CLV15)==ECL_NIL) { goto L4; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[282])(1, v2f) /*  PICTURE-FORMAT-TYPE */;
  if (!(ecl_eql(T0,ECL_CONS_CAR(CLV15)))) { goto L1; }
  goto L3;
L4:;
L3:;
  if (ECL_CONS_CAR(CLV16)==ECL_NIL) { goto L7; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[283])(1, v2f) /*  PICTURE-FORMAT-COLORMAP */;
  if (!(ecl_eql(T0,ECL_CONS_CAR(CLV16)))) { goto L1; }
  goto L6;
L7:;
L6:;
  if (ECL_CONS_CAR(CLV0)==ECL_NIL) { goto L10; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[284])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  if (!(ecl_number_compare(T0,ECL_CONS_CAR(CLV0))>=0)) { goto L1; }
  goto L9;
L10:;
L9:;
  if (ECL_CONS_CAR(CLV3)==ECL_NIL) { goto L13; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[285])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV3))>=0)) { goto L1; }
  goto L12;
L13:;
L12:;
  if (ECL_CONS_CAR(CLV6)==ECL_NIL) { goto L16; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[286])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV6))>=0)) { goto L1; }
  goto L15;
L16:;
L15:;
  if (ECL_CONS_CAR(CLV9)==ECL_NIL) { goto L19; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[287])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV9))>=0)) { goto L1; }
  goto L18;
L19:;
L18:;
  if (ECL_CONS_CAR(CLV12)==ECL_NIL) { goto L22; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[288])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV12))>=0)) { goto L1; }
  goto L21;
L22:;
L21:;
  if (ECL_CONS_CAR(CLV1)==ECL_NIL) { goto L25; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[284])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  if (!(ecl_number_compare(T0,ECL_CONS_CAR(CLV1))<=0)) { goto L1; }
  goto L24;
L25:;
L24:;
  if (ECL_CONS_CAR(CLV4)==ECL_NIL) { goto L28; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[285])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV4))<=0)) { goto L1; }
  goto L27;
L28:;
L27:;
  if (ECL_CONS_CAR(CLV7)==ECL_NIL) { goto L31; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[286])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV7))<=0)) { goto L1; }
  goto L30;
L31:;
L30:;
  if (ECL_CONS_CAR(CLV10)==ECL_NIL) { goto L34; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[287])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV10))<=0)) { goto L1; }
  goto L33;
L34:;
L33:;
  if (ECL_CONS_CAR(CLV13)==ECL_NIL) { goto L37; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[288])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_compare(T1,ECL_CONS_CAR(CLV13))<=0)) { goto L1; }
  goto L36;
L37:;
L36:;
  if (ECL_CONS_CAR(CLV2)==ECL_NIL) { goto L40; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[284])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  if (!(ecl_number_equalp(T0,ECL_CONS_CAR(CLV2)))) { goto L1; }
  goto L39;
L40:;
L39:;
  if (ECL_CONS_CAR(CLV5)==ECL_NIL) { goto L43; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[285])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV5)))) { goto L1; }
  goto L42;
L43:;
L42:;
  if (ECL_CONS_CAR(CLV8)==ECL_NIL) { goto L46; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[286])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV8)))) { goto L1; }
  goto L45;
L46:;
L45:;
  if (ECL_CONS_CAR(CLV11)==ECL_NIL) { goto L49; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[287])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV11)))) { goto L1; }
  goto L48;
L49:;
L48:;
  if (ECL_CONS_CAR(CLV14)==ECL_NIL) { goto L51; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[288])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!(ecl_number_equalp(T1,ECL_CONS_CAR(CLV14)))) { goto L1; }
  goto L2;
L51:;
L2:;
  ECL_CONS_CAR(CLV17) = cl_adjoin(2, v2f, ECL_CONS_CAR(CLV17));
  value0 = ECL_CONS_CAR(CLV17);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	function definition for FIND-WINDOW-PICTURE-FORMAT            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8find_window_picture_format(cl_object volatile v1window)
{
 cl_object T0, T1, T2;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1window,env0);              /*  WINDOW          */
  {
   CLV1 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  FIND-WINDOW-PICTURE-FORMAT */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    cl_object v2display;
    cl_object env1 = env0;
    T0 = ecl_function_dispatch(cl_env_copy,VV[290])(1, ECL_CONS_CAR(CLV0)) /*  WINDOW-VISUAL-INFO */;
    CLV2 = env1 = CONS(T0,env1);                  /*  VI              */
    v2display = ecl_function_dispatch(cl_env_copy,VV[291])(1, ECL_CONS_CAR(CLV0)) /*  WINDOW-DISPLAY */;
    L4ensure_render_initialized(v2display);
    {
     cl_object v3;
     v3 = ecl_function_dispatch(cl_env_copy,VV[292])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-CLASS */;
     if (!(ecl_eql(v3,VV[45]))) { goto L4; }
     {
      cl_object v4;
      v4 = ecl_make_cclosure_va((cl_objectfn)LC7__g24,env1,Cblock);
      T0 = v4;
     }
     T1 = L2display_render_info(v2display);
     T2 = ecl_function_dispatch(cl_env_copy,VV[263])(1, T1) /*  RENDER-INFO-PICTURE-FORMATS */;
     value0 = cl_maphash(T0, T2);
     ecl_frs_pop(cl_env_copy);
     return value0;
L4:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }}
  }
 }
}
/*	closure G24                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7__g24(cl_narg narg, cl_object v1k, cl_object v2f, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  VI              */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[282])(1, v2f) /*  PICTURE-FORMAT-TYPE */;
  if (!(ecl_eql(T0,VV[47]))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[284])(1, v2f) /*  PICTURE-FORMAT-DEPTH */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[293])(1, ECL_CONS_CAR(CLV0)) /*  DRAWABLE-DEPTH */;
  if (!(ecl_eql(T0,T1))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[285])(1, v2f) /*  PICTURE-FORMAT-RED-BYTE */;
  T1 = cl_dpb(ecl_make_fixnum(-1), T0, ecl_make_fixnum(0));
  T2 = ecl_function_dispatch(cl_env_copy,VV[294])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-RED-MASK */;
  if (!(ecl_eql(T1,T2))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[286])(1, v2f) /*  PICTURE-FORMAT-GREEN-BYTE */;
  T1 = cl_dpb(ecl_make_fixnum(-1), T0, ecl_make_fixnum(0));
  T2 = ecl_function_dispatch(cl_env_copy,VV[295])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-GREEN-MASK */;
  if (!(ecl_eql(T1,T2))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[287])(1, v2f) /*  PICTURE-FORMAT-BLUE-BYTE */;
  T1 = cl_dpb(ecl_make_fixnum(-1), T0, ecl_make_fixnum(0));
  T2 = ecl_function_dispatch(cl_env_copy,VV[296])(1, ECL_CONS_CAR(CLV2)) /*  VISUAL-INFO-BLUE-MASK */;
  if (!(ecl_eql(T1,T2))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[288])(1, v2f) /*  PICTURE-FORMAT-ALPHA-BYTE */;
  T1 = cl_byte_size(T0);
  if (!((ecl_to_fixnum(T1))==(0))) { goto L1; }
  cl_env_copy->values[0] = v2f;
  cl_env_copy->nvalues = 1;
  cl_return_from(ECL_CONS_CAR(CLV1),ECL_NIL);
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	local function PICTURE-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9picture_get(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = VV[51];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PICTURE-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10picture_put(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, VV[54], v5thing);
   value0 = cl_list(3, VV[53], v4index, T0);
   return value0;
  }
 }
}
/*	local function GLYPH-SET-GET                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11glyph_set_get(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = VV[51];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function GLYPH-SET-PUT                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12glyph_set_put(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, VV[58], v5thing);
   value0 = cl_list(3, VV[53], v4index, T0);
   return value0;
  }
 }
}
/*	function definition for MAKE-PICTURE-FORMAT                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13make_picture_format(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  cl_object v5;
  cl_object v6;
  cl_object v7;
  cl_object v8;
  cl_object v9;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[18];
   cl_parse_key(args,9,L13make_picture_formatkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1 = keyvars[0];
   if (Null(keyvars[10])) {
    v2 = ecl_make_fixnum(0);
   } else {
    v2 = keyvars[1];
   }
   v3 = keyvars[2];
   v4 = keyvars[3];
   v5 = keyvars[4];
   v6 = keyvars[5];
   v7 = keyvars[6];
   v8 = keyvars[7];
   v9 = keyvars[8];
  }
  {
   cl_fixnum v10;
   v10 = 0;
   if (!(ECL_FIXNUMP(v2))) { goto L6; }
   v10 = ecl_fixnum(v2);
   if (!((v10)<=(536870911))) { goto L11; }
   if ((v10)>=(0)) { goto L2; }
   goto L3;
L11:;
   goto L3;
L6:;
   goto L3;
  }
L3:;
  si_structure_type_error(4, v2, VV[63], VV[60], VV[64]);
L2:;
  value0 = si_make_structure(10, VV[65], v1, v2, v3, v4, v5, v6, v7, v8, v9);
  return value0;
 }
}
/*	local function G66                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16__g66(cl_object v1object, cl_object v2stream)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 cl_object env0 = ECL_NIL;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1object,env0);              /*  OBJECT          */
  CLV1 = env0 = CONS(v2stream,env0);              /*  STREAM          */
  {
   cl_object env1 = env0;
   {
    cl_object v3bag;
    v3bag = cl_make_string_output_stream(0);
    {
     cl_object v4bytes;
     T1 = ecl_function_dispatch(cl_env_copy,VV[285])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-RED-BYTE */;
     T2 = CONS(_ecl_static_3,T1);
     T3 = ecl_function_dispatch(cl_env_copy,VV[286])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-GREEN-BYTE */;
     T4 = CONS(_ecl_static_4,T3);
     T5 = ecl_function_dispatch(cl_env_copy,VV[287])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-BLUE-BYTE */;
     T6 = CONS(_ecl_static_5,T5);
     T7 = ecl_function_dispatch(cl_env_copy,VV[288])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-ALPHA-BYTE */;
     T8 = CONS(_ecl_static_6,T7);
     T9 = cl_list(4, T2, T4, T6, T8);
     T10 = (ECL_SYM(">",75)->symbol.gfdef);
     {
      cl_object v5;
      v5 = ecl_make_cfun((cl_objectfn_fixed)LC14__g67,ECL_NIL,Cblock,1);
      T11 = v5;
     }
     v4bytes = cl_sort(4, T9, T10, ECL_SYM("KEY",1262), T11);
     {
      cl_object v5;
      v5 = v4bytes;
      goto L10;
L9:;
      {
       cl_object v6k;
       v6k = ecl_car(v5);
       T1 = ecl_cdr(v6k);
       T2 = cl_byte_size(T1);
       if ((ecl_to_fixnum(T2))==0) { goto L14; }
       T1 = ecl_car(v6k);
       T2 = ecl_cdr(v6k);
       T3 = cl_byte_size(T2);
       cl_format(4, v3bag, _ecl_static_7, T1, T3);
L14:;
      }
      v5 = ecl_cdr(v5);
L10:;
      if (Null(v5)) { goto L18; }
      goto L9;
L18:;
     }
    }
    T0 = cl_get_output_stream_string(v3bag);
   }
   CLV2 = env1 = CONS(T0,env1);                   /*  ABBREV          */
   {
    cl_object v3;
    v3 = ecl_make_cclosure_va((cl_objectfn)LC15si___print_unreadable_object_body_,env1,Cblock);
    value0 = si_print_unreadable_object_function(ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), ECL_T, ECL_NIL, v3);
    return value0;
   }
  }
 }
}
/*	local function G67                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g67(cl_object v1x)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_cdr(v1x);
  value0 = cl_byte_position(T0);
  return value0;
 }
}
/*	closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15si___print_unreadable_object_body_(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0, CLV1, CLV2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  ABBREV          */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-ID */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[283])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-COLORMAP */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[284])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-DEPTH */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[282])(1, ECL_CONS_CAR(CLV0)) /*  PICTURE-FORMAT-TYPE */;
  value0 = cl_format(7, ECL_CONS_CAR(CLV1), _ecl_static_8, T0, T1, T2, T3, ECL_CONS_CAR(CLV2));
  return value0;
 }
 }
}
/*	local function PICTURE-FORMAT-GET                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17picture_format_get(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   T0 = cl_list(2, VV[67], v4index);
   value0 = cl_list(3, ECL_SYM("GETHASH",413), T0, VV[68]);
   return value0;
  }
 }
}
/*	local function PICTURE-FORMAT-PUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18picture_format_put(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   T0 = cl_list(2, VV[71], v5thing);
   value0 = cl_list(3, VV[70], v4index, T0);
   return value0;
  }
 }
}
/*	local function RENDER-OP-GET                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19render_op_get(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v5;
   }
   if (Null(v3)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   value0 = cl_listX(3, VV[74], v4index, VV[75]);
   return value0;
  }
 }
}
/*	local function RENDER-OP-PUT                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20render_op_put(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4index;
   cl_object v5thing;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4index = v6;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5thing = v6;
   }
   if (Null(v3)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   value0 = cl_listX(4, VV[77], v4index, v5thing, VV[78]);
   return value0;
  }
 }
}
/*	function definition for MAKE-PICTURE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21make_picture(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  cl_object v5;
  cl_object v6;
  cl_object v7;
  cl_object v8;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L21make_picturekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[8])) {
    v1 = ecl_make_fixnum(0);
   } else {
    v1 = keyvars[0];
   }
   v2 = keyvars[1];
   v3 = keyvars[2];
   v4 = keyvars[3];
   v5 = keyvars[4];
   v6 = keyvars[5];
   v7 = keyvars[6];
   v8 = keyvars[7];
  }
  if (ECL_LISTP(v3)) { goto L2; }
  si_structure_type_error(4, v3, ECL_SYM("LIST",481), VV[49], VV[81]);
L2:;
  if (v2==ECL_NIL) { goto L4; }
  if ((si_of_class_p(2, v2, VV[41]))!=ECL_NIL) { goto L4; }
  si_structure_type_error(4, v2, VV[82], VV[49], VV[41]);
L4:;
  {
   cl_fixnum v9;
   v9 = 0;
   if (!(ECL_FIXNUMP(v1))) { goto L11; }
   v9 = ecl_fixnum(v1);
   if (!((v9)<=(536870911))) { goto L16; }
   if ((v9)>=(0)) { goto L7; }
   goto L8;
L16:;
   goto L8;
L11:;
   goto L8;
  }
L8:;
  si_structure_type_error(4, v1, VV[83], VV[49], VV[64]);
L7:;
  value0 = si_make_structure(9, VV[84], v1, v2, v3, v4, v5, v6, v7, v8);
  return value0;
 }
}
/*	function definition for PICTURE-DRAWABLE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22picture_drawable(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[325])(1, v1picture) /*  PICTURE-%DRAWABLE */;
  return value0;
 }
}
/*	function definition for %RENDER-CHANGE-PICTURE-CLIP-RECTANGLES */
/*	optimize speed 0, debug 1, space 1, safety 2                  */
static cl_object L23_render_change_picture_clip_rectangles(cl_object volatile v1picture, cl_object volatile v2rectangles)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v3display);
   {
    volatile cl_object v4_display_;
    T0 = si_of_class_p(2, v3display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v3display);
    v4_display_ = v3display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v4_display_) /*  BUFFER-DEAD */)) { goto L5; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v4_display_) /*  X-ERROR */;
L5:;
    {
     volatile cl_object v5;
     volatile cl_object v6;
     volatile cl_object v7;
     v5 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v4_display_) /*  BUFFER-LOCK */;
     v6 = mp_lock_owner(v5);
     v7 = mp_lock_count(v5);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v8;
       v8 = _ecl_inner_frame;
       {
        volatile cl_object v9;
        v9 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v10=ECL_STACK_INDEX(cl_env_copy),v11;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v9); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v5);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v12;
          v12 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v4_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v4_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L21; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v4_display_) /*  BUFFER-FLUSH */;
L21:;
          {
          cl_fixnum v13buffer_boffset;
          cl_object v14buffer_bbuf;
          v13buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v4_display_) /*  BUFFER-BOFFSET */);
          v14buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v4_display_) /*  BUFFER-OBUF8 */;
          (v4_display_)->instance.slots[4]=ecl_make_fixnum(v13buffer_boffset);
          {
          uint8_t v15;
          cl_fixnum v16;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L31; }
          v15 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v3display) /*  X-ERROR */);
          goto L29;
L31:;
          v15 = ecl_fixnum(value0);
          goto L29;
L29:;
          v16 = (v13buffer_boffset)+(0);
          (v14buffer_bbuf)->vector.self.b8[v16]= v15;
          }
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(1);
          (v14buffer_bbuf)->vector.self.b8[v15]= (uint8_t)(6);
          }
          if (Null(si_of_class_p(2, v1picture, VV[49]))) { goto L38; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v14buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L37;
L38:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1picture, VV[49]) /*  X-TYPE-ERROR */;
L37:;
          {
          cl_object v15_value_;
          v15_value_ = L32picture_clip_x_origin(v1picture);
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(ECL_FIXNUMP(v15_value_))) { goto L42; }
          v16 = ecl_fixnum(v15_value_);
          if (!((v16)<=(32767))) { goto L42; }
          if (!((v16)>=(-32768))) { goto L42; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v15_value_, v14buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L40;
L42:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v15_value_, VV[90]) /*  X-TYPE-ERROR */;
          }
L40:;
          {
          cl_object v15_value_;
          v15_value_ = L34picture_clip_y_origin(v1picture);
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(ECL_FIXNUMP(v15_value_))) { goto L51; }
          v16 = ecl_fixnum(v15_value_);
          if (!((v16)<=(32767))) { goto L51; }
          if (!((v16)>=(-32768))) { goto L51; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(10));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v15_value_, v14buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L49;
L51:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v15_value_, VV[90]) /*  X-TYPE-ERROR */;
          }
L49:;
          if (ECL_CONSP(v2rectangles)) { goto L61; }
          if (v2rectangles==ECL_NIL) { goto L61; }
          if (!(ECL_VECTORP(v2rectangles))) { goto L59; }
          goto L60;
L61:;
L60:;
          {
          cl_fixnum v15;
          v15 = ecl_length(v2rectangles);
          T0 = ecl_minus(ecl_make_fixnum(v15),ecl_make_fixnum(0));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(2));
          T2 = ecl_plus(T1,ecl_make_fixnum(3));
          T3 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T2, v14buffer_bbuf, T3) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[339])(6, v4_display_, T0, v2rectangles, ecl_make_fixnum(0), ecl_make_fixnum(v15), ECL_NIL) /*  WRITE-SEQUENCE-INT16 */;
          goto L58;
          }
L59:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2rectangles, VV[91]) /*  X-TYPE-ERROR */;
L58:;
          {
          cl_object v15;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v4_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v16;
          v16 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v16));
          v15 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v4_display_)->instance.slots[3]=v15;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v12);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v4_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v11=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v5);
         if (!((T0)==(T1))) { goto L68; }
         if (!((v6)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L71; }
         T0 = mp_lock_count(v5);
         if (!(ecl_number_compare(T0,v7)>0)) { goto L68; }
         goto L69;
L71:;
L69:;
         mp_giveup_lock(v5);
L68:;
         ecl_stack_pop_values(cl_env_copy,v11);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v10);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v8);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L73; }
       si_check_pending_interrupts();
L73:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v8);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for PICTURE-REPEAT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24picture_repeat(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((0)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(0),(v2)->vector.dim);
    v3 = 0;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-REPEAT)                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25_setf_picture_repeat_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((0)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(0),(v3)->vector.dim);
    v4 = 0;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-ALPHA-MAP                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26picture_alpha_map(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((1)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(1),(v2)->vector.dim);
    v3 = 1;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-ALPHA-MAP)              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27_setf_picture_alpha_map_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((1)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(1),(v3)->vector.dim);
    v4 = 1;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-ALPHA-X-ORIGIN                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28picture_alpha_x_origin(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((2)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(2),(v2)->vector.dim);
    v3 = 2;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-ALPHA-X-ORIGIN)         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29_setf_picture_alpha_x_origin_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((2)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(2),(v3)->vector.dim);
    v4 = 2;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-ALPHA-Y-ORIGIN                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30picture_alpha_y_origin(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((3)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(3),(v2)->vector.dim);
    v3 = 3;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-ALPHA-Y-ORIGIN)         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31_setf_picture_alpha_y_origin_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((3)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(3),(v3)->vector.dim);
    v4 = 3;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-CLIP-X-ORIGIN                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32picture_clip_x_origin(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((4)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(4),(v2)->vector.dim);
    v3 = 4;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-CLIP-X-ORIGIN)          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33_setf_picture_clip_x_origin_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((4)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(4),(v3)->vector.dim);
    v4 = 4;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-CLIP-Y-ORIGIN                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34picture_clip_y_origin(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((5)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(5),(v2)->vector.dim);
    v3 = 5;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-CLIP-Y-ORIGIN)          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35_setf_picture_clip_y_origin_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((5)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(5),(v3)->vector.dim);
    v4 = 5;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-CLIP-MASK                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36picture_clip_mask(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-CLIP-MASK)              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37_setf_picture_clip_mask_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((6)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(6),(v3)->vector.dim);
    v4 = 6;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-GRAPHICS-EXPOSURES            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38picture_graphics_exposures(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((7)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(7),(v2)->vector.dim);
    v3 = 7;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-GRAPHICS-EXPOSURES)     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39_setf_picture_graphics_exposures_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((7)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(7),(v3)->vector.dim);
    v4 = 7;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-SUBWINDOW-MODE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40picture_subwindow_mode(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((8)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(8),(v2)->vector.dim);
    v3 = 8;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-SUBWINDOW-MODE)         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41_setf_picture_subwindow_mode_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((8)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(8),(v3)->vector.dim);
    v4 = 8;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-POLY-EDGE                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42picture_poly_edge(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((9)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(9),(v2)->vector.dim);
    v3 = 9;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-POLY-EDGE)              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43_setf_picture_poly_edge_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((9)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(9),(v3)->vector.dim);
    v4 = 9;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-POLY-MODE                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44picture_poly_mode(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((10)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(10),(v2)->vector.dim);
    v3 = 10;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-POLY-MODE)              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45_setf_picture_poly_mode_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((10)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(10),(v3)->vector.dim);
    v4 = 10;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-DITHER                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46picture_dither(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((11)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(11),(v2)->vector.dim);
    v3 = 11;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-DITHER)                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47_setf_picture_dither_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((11)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(11),(v3)->vector.dim);
    v4 = 11;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PICTURE-COMPONENT-ALPHA               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48picture_component_alpha(cl_object v1picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((12)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(12),(v2)->vector.dim);
    v3 = 12;
    value0 = ecl_aref_unsafe(v2,v3);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for (SETF PICTURE-COMPONENT-ALPHA)        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49_setf_picture_component_alpha_(cl_object v1new_value, cl_object v2picture)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2picture,VV[49],4,ECL_T);
  {
   cl_object v3;
   v3 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v2picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v4;
    if (ecl_unlikely((12)>=(v3)->vector.dim))
           FEwrong_index(ECL_NIL,v3,-1,ecl_make_fixnum(12),(v3)->vector.dim);
    v4 = 12;
    value0 = ecl_aset_unsafe(v3,v4,v1new_value);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SYNCHRONISE-PICTURE-STATE             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50synchronise_picture_state(cl_object volatile v1picture)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[371])(1, v1picture) /*  PICTURE-%CHANGED-P */)) { goto L1; }
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v2display);
   {
    volatile cl_object v3_display_;
    T0 = si_of_class_p(2, v2display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v2display);
    v3_display_ = v2display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L8; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v3_display_) /*  X-ERROR */;
L8:;
    {
     volatile cl_object v4;
     volatile cl_object v5;
     volatile cl_object v6;
     v4 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v3_display_) /*  BUFFER-LOCK */;
     v5 = mp_lock_owner(v4);
     v6 = mp_lock_count(v4);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v7;
       v7 = _ecl_inner_frame;
       {
        volatile cl_object v8;
        v8 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v4);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v11;
          v11 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L24; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v3_display_) /*  BUFFER-FLUSH */;
L24:;
          {
          cl_fixnum v12buffer_boffset;
          cl_object v13buffer_bbuf;
          v12buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v13buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v3_display_) /*  BUFFER-OBUF8 */;
          (v3_display_)->instance.slots[4]=ecl_make_fixnum(v12buffer_boffset);
          {
          uint8_t v14;
          cl_fixnum v15;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L34; }
          v14 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v2display) /*  X-ERROR */);
          goto L32;
L34:;
          v14 = ecl_fixnum(value0);
          goto L32;
L32:;
          v15 = (v12buffer_boffset)+(0);
          (v13buffer_bbuf)->vector.self.b8[v15]= v14;
          }
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(1);
          (v13buffer_bbuf)->vector.self.b8[v14]= (uint8_t)(5);
          }
          if (Null(si_of_class_p(2, v1picture, VV[49]))) { goto L41; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L40;
L41:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1picture, VV[49]) /*  X-TYPE-ERROR */;
L40:;
          {
          cl_object v14_mask;
          cl_object v15_index;
          v14_mask = ecl_make_fixnum(0);
          v15_index = ecl_make_fixnum(8);
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,0);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,0);
          }
          if ((T0)==(T1)) { goto L49; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,0);
          }
          v16_item_ = ecl_aset_unsafe(v17,0,T0);
          goto L47;
          }
L49:;
          v16_item_ = ECL_NIL;
          goto L47;
L47:;
          if (v16_item_==ECL_NIL) { goto L46; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(1)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[119], ECL_SYM("TEST",1316), T0);
          if (Null(v17)) { goto L68; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L64;
          }
L68:;
          value0 = ECL_NIL;
          goto L64;
          }
L64:;
          if ((value0)!=ECL_NIL) { goto L63; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[120]) /*  X-TYPE-ERROR */;
          goto L46;
L63:;
          goto L46;
          }
L46:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,1);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,1);
          }
          if ((T0)==(T1)) { goto L76; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,1);
          }
          v16_item_ = ecl_aset_unsafe(v17,1,T0);
          goto L74;
          }
L76:;
          v16_item_ = ECL_NIL;
          goto L74;
L74:;
          if (v16_item_==ECL_NIL) { goto L73; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(2)));
          {
          cl_object v17;
          if (!((v16_item_)==(ECL_SYM("NONE",1599)))) { goto L91; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          v17 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L89;
          }
L91:;
          v17 = ECL_NIL;
          goto L89;
L89:;
          if (Null(v17)) { goto L96; }
          goto L73;
L96:;
          if (Null(si_of_class_p(2, v16_item_, VV[49]))) { goto L98; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v16_item_) /*  PICTURE-ID */;
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L73;
          }
L98:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[121]) /*  X-TYPE-ERROR */;
          }
          }
L73:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,2);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,2);
          }
          if ((T0)==(T1)) { goto L106; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,2);
          }
          v16_item_ = ecl_aset_unsafe(v17,2,T0);
          goto L104;
          }
L106:;
          v16_item_ = ECL_NIL;
          goto L104;
L104:;
          if (v16_item_==ECL_NIL) { goto L103; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(4)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L119; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L119; }
          if (!((v17)>=(-32768))) { goto L119; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L103;
          }
L119:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[90]) /*  X-TYPE-ERROR */;
          }
L103:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,3);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,3);
          }
          if ((T0)==(T1)) { goto L132; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,3);
          }
          v16_item_ = ecl_aset_unsafe(v17,3,T0);
          goto L130;
          }
L132:;
          v16_item_ = ECL_NIL;
          goto L130;
L130:;
          if (v16_item_==ECL_NIL) { goto L129; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(8)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L145; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L145; }
          if (!((v17)>=(-32768))) { goto L145; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L129;
          }
L145:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[90]) /*  X-TYPE-ERROR */;
          }
L129:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,4);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,4);
          }
          if ((T0)==(T1)) { goto L158; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,4);
          }
          v16_item_ = ecl_aset_unsafe(v17,4,T0);
          goto L156;
          }
L158:;
          v16_item_ = ECL_NIL;
          goto L156;
L156:;
          if (v16_item_==ECL_NIL) { goto L155; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(16)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L171; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L171; }
          if (!((v17)>=(-32768))) { goto L171; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L155;
          }
L171:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[90]) /*  X-TYPE-ERROR */;
          }
L155:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,5);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,5);
          }
          if ((T0)==(T1)) { goto L184; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,5);
          }
          v16_item_ = ecl_aset_unsafe(v17,5,T0);
          goto L182;
          }
L184:;
          v16_item_ = ECL_NIL;
          goto L182;
L182:;
          if (v16_item_==ECL_NIL) { goto L181; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(32)));
          {
          cl_fixnum v17;
          v17 = 0;
          if (!(ECL_FIXNUMP(v16_item_))) { goto L197; }
          v17 = ecl_fixnum(v16_item_);
          if (!((v17)<=(32767))) { goto L197; }
          if (!((v17)>=(-32768))) { goto L197; }
          }
          {
          cl_fixnum v17;
          {
          cl_fixnum v18;
          v18 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v18);
          v17 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v17));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v16_item_, v13buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L181;
          }
L197:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[90]) /*  X-TYPE-ERROR */;
          }
L181:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          v17 = ecl_aref_unsafe(v18,6);
          }
          if (ECL_CONSP(v17)) { goto L210; }
          if (v17==ECL_NIL) { goto L210; }
          if (ECL_VECTORP(v17)) { goto L210; }
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,6);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,6);
          }
          if ((T0)==(T1)) { goto L210; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,6);
          }
          v16_item_ = ecl_aset_unsafe(v17,6,T0);
          goto L208;
          }
L210:;
          v16_item_ = ECL_NIL;
          goto L208;
L208:;
          if (v16_item_==ECL_NIL) { goto L207; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(64)));
          {
          cl_object v17;
          if (!((v16_item_)==(ECL_SYM("NONE",1599)))) { goto L229; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          v17 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L227;
          }
L229:;
          v17 = ECL_NIL;
          goto L227;
L227:;
          if (Null(v17)) { goto L234; }
          goto L207;
L234:;
          if (Null(ecl_function_dispatch(cl_env_copy,VV[373])(1, v16_item_) /*  PIXMAP-P */)) { goto L236; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[374])(1, v16_item_) /*  PIXMAP-ID */;
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L207;
          }
L236:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[122]) /*  X-TYPE-ERROR */;
          }
          }
L207:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,7);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,7);
          }
          if ((T0)==(T1)) { goto L244; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,7);
          }
          v16_item_ = ecl_aset_unsafe(v17,7,T0);
          goto L242;
          }
L244:;
          v16_item_ = ECL_NIL;
          goto L242;
L242:;
          if (v16_item_==ECL_NIL) { goto L241; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(128)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[123], ECL_SYM("TEST",1316), T0);
          if (Null(v17)) { goto L263; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L259;
          }
L263:;
          value0 = ECL_NIL;
          goto L259;
          }
L259:;
          if ((value0)!=ECL_NIL) { goto L258; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[120]) /*  X-TYPE-ERROR */;
          goto L241;
L258:;
          goto L241;
          }
L241:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,8);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,8);
          }
          if ((T0)==(T1)) { goto L271; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,8);
          }
          v16_item_ = ecl_aset_unsafe(v17,8,T0);
          goto L269;
          }
L271:;
          v16_item_ = ECL_NIL;
          goto L269;
L269:;
          if (v16_item_==ECL_NIL) { goto L268; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(256)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[124], ECL_SYM("TEST",1316), T0);
          if (Null(v17)) { goto L290; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L286;
          }
L290:;
          value0 = ECL_NIL;
          goto L286;
          }
L286:;
          if ((value0)!=ECL_NIL) { goto L285; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[125]) /*  X-TYPE-ERROR */;
          goto L268;
L285:;
          goto L268;
          }
L268:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,9);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,9);
          }
          if ((T0)==(T1)) { goto L298; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,9);
          }
          v16_item_ = ecl_aset_unsafe(v17,9,T0);
          goto L296;
          }
L298:;
          v16_item_ = ECL_NIL;
          goto L296;
L296:;
          if (v16_item_==ECL_NIL) { goto L295; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(512)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[126], ECL_SYM("TEST",1316), T0);
          if (Null(v17)) { goto L317; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L313;
          }
L317:;
          value0 = ECL_NIL;
          goto L313;
          }
L313:;
          if ((value0)!=ECL_NIL) { goto L312; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[127]) /*  X-TYPE-ERROR */;
          goto L295;
L312:;
          goto L295;
          }
L295:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,10);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,10);
          }
          if ((T0)==(T1)) { goto L325; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,10);
          }
          v16_item_ = ecl_aset_unsafe(v17,10,T0);
          goto L323;
          }
L325:;
          v16_item_ = ECL_NIL;
          goto L323;
L323:;
          if (v16_item_==ECL_NIL) { goto L322; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(1024)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[128], ECL_SYM("TEST",1316), T0);
          if (Null(v17)) { goto L344; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L340;
          }
L344:;
          value0 = ECL_NIL;
          goto L340;
          }
L340:;
          if ((value0)!=ECL_NIL) { goto L339; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[129]) /*  X-TYPE-ERROR */;
          goto L322;
L339:;
          goto L322;
          }
L322:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,11);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,11);
          }
          if ((T0)==(T1)) { goto L352; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,11);
          }
          v16_item_ = ecl_aset_unsafe(v17,11,T0);
          goto L350;
          }
L352:;
          v16_item_ = ECL_NIL;
          goto L350;
L350:;
          if (v16_item_==ECL_NIL) { goto L349; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(2048)));
          {
          cl_object v17;
          if (!((v16_item_)==(ECL_SYM("NONE",1599)))) { goto L367; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          v17 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L365;
          }
L367:;
          v17 = ECL_NIL;
          goto L365;
L365:;
          if (Null(v17)) { goto L372; }
          goto L349;
L372:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[130]) /*  X-TYPE-ERROR */;
          }
          }
L349:;
          {
          cl_object v16_item_;
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v17,12);
          }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          T1 = ecl_aref_unsafe(v17,12);
          }
          if ((T0)==(T1)) { goto L377; }
          {
          cl_object v17;
          v17 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
          {
          cl_object v18;
          v18 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
          T0 = ecl_aref_unsafe(v18,12);
          }
          v16_item_ = ecl_aset_unsafe(v17,12,T0);
          goto L375;
          }
L377:;
          v16_item_ = ECL_NIL;
          goto L375;
L375:;
          if (v16_item_==ECL_NIL) { goto L374; }
          v14_mask = ecl_boole(ECL_BOOLIOR,(v14_mask),(ecl_make_fixnum(4096)));
          {
          cl_object v17;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v17 = cl_position(4, v16_item_, VV[131], ECL_SYM("TEST",1316), T0);
          if (Null(v17)) { goto L396; }
          {
          cl_fixnum v18;
          {
          cl_fixnum v19;
          v19 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v19);
          v18 = ecl_fixnum(v15_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(v18));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v17, v13buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L392;
          }
L396:;
          value0 = ECL_NIL;
          goto L392;
          }
L392:;
          if ((value0)!=ECL_NIL) { goto L391; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16_item_, VV[120]) /*  X-TYPE-ERROR */;
          goto L374;
L391:;
          goto L374;
          }
L374:;
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v14_mask, v13buffer_bbuf, T0) /*  ASET-CARD32 */;
          {
          cl_fixnum v16;
          {
          cl_fixnum v17;
          v17 = (ecl_fixnum(v15_index))+(4);
          v15_index = ecl_make_fixnum(v17);
          v16 = ecl_fixnum(v15_index);
          }
          T0 = ecl_ceiling2(ecl_make_fixnum(v16),ecl_make_fixnum(4));
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD16 */;
          }
          {
          cl_object v16;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */;
          v16 = ecl_plus(T0,v15_index);
          (v3_display_)->instance.slots[6]=v16;
          }
          }
          {
          cl_object v14;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v15;
          v15 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v15));
          v14 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v3_display_)->instance.slots[3]=v14;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v11);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v10=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v4);
         if (!((T0)==(T1))) { goto L409; }
         if (!((v5)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L412; }
         T0 = mp_lock_count(v4);
         if (!(ecl_number_compare(T0,v6)>0)) { goto L409; }
         goto L410;
L412:;
L410:;
         mp_giveup_lock(v4);
L409:;
         ecl_stack_pop_values(cl_env_copy,v10);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v9);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v7);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L414; }
       si_check_pending_interrupts();
L414:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
    }
   }
  }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    T0 = ecl_aref_unsafe(v2,v3);
   }
  }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    T1 = ecl_aref_unsafe(v2,v3);
   }
  }
  if (ecl_eql(T0,T1)) { goto L416; }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    T0 = ecl_aref_unsafe(v2,v3);
   }
  }
  L23_render_change_picture_clip_rectangles(v1picture, T0);
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v1picture) /*  PICTURE-%SERVER-VALUES */;
   {
    cl_fixnum v3;
    if (ecl_unlikely((6)>=(v2)->vector.dim))
           FEwrong_index(ECL_NIL,v2,-1,ecl_make_fixnum(6),(v2)->vector.dim);
    v3 = 6;
    {
     cl_object v4;
     v4 = ecl_function_dispatch(cl_env_copy,VV[370])(1, v1picture) /*  PICTURE-%VALUES */;
     T0 = ecl_aref_unsafe(v4,6);
    }
    ecl_aset_unsafe(v2,v3,T0);
   }
  }
L416:;
  value0 = ecl_structure_set(v1picture,VV[49],4,ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for RENDER-CREATE-PICTURE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51render_create_picture(volatile cl_narg narg, cl_object volatile v1drawable, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2format;
  cl_object volatile v3picture;
  cl_object volatile v4repeat;
  cl_object volatile v5alpha_map;
  cl_object volatile v6alpha_x_origin;
  cl_object volatile v7alpha_y_origin;
  cl_object volatile v8clip_x_origin;
  cl_object volatile v9clip_y_origin;
  cl_object volatile v10clip_mask;
  cl_object volatile v11graphics_exposures;
  cl_object volatile v12subwindow_mode;
  cl_object volatile v13poly_edge;
  cl_object volatile v14poly_mode;
  cl_object volatile v15dither;
  cl_object volatile v16component_alpha;
  ecl_va_list args; ecl_va_start(args,v1drawable,narg,1);
  {
   cl_object keyvars[30];
   cl_parse_key(args,15,L51render_create_picturekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2format = keyvars[0];
   if (Null(keyvars[16])) {
    T0 = ecl_function_dispatch(cl_env_copy,VV[376])(1, v1drawable) /*  DRAWABLE-DISPLAY */;
    v3picture = L21make_picture(2, VV[88], T0);
   } else {
    v3picture = keyvars[1];
   }
   v4repeat = keyvars[2];
   v5alpha_map = keyvars[3];
   v6alpha_x_origin = keyvars[4];
   v7alpha_y_origin = keyvars[5];
   v8clip_x_origin = keyvars[6];
   v9clip_y_origin = keyvars[7];
   if (Null(keyvars[23])) {
    v10clip_mask = ECL_SYM("NONE",1599);
   } else {
    v10clip_mask = keyvars[8];
   }
   v11graphics_exposures = keyvars[9];
   v12subwindow_mode = keyvars[10];
   v13poly_edge = keyvars[11];
   v14poly_mode = keyvars[12];
   v15dither = keyvars[13];
   v16component_alpha = keyvars[14];
  }
  {
   volatile cl_object v17display;
   v17display = ecl_function_dispatch(cl_env_copy,VV[376])(1, v1drawable) /*  DRAWABLE-DISPLAY */;
   L4ensure_render_initialized(v17display);
   if ((v2format)!=ECL_NIL) { goto L5; }
   v2format = L8find_window_picture_format(v1drawable);
L5:;
   {
    volatile cl_object v18pid;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v17display) /*  BUFFER-DEAD */)) { goto L10; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v17display) /*  X-ERROR */;
L10:;
    {
     volatile cl_object v19;
     volatile cl_object v20;
     volatile cl_object v21;
     v19 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v17display) /*  BUFFER-LOCK */;
     v20 = mp_lock_owner(v19);
     v21 = mp_lock_count(v19);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v22;
       v22 = _ecl_inner_frame;
       {
        volatile cl_object v23;
        v23 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v24=ECL_STACK_INDEX(cl_env_copy),v25;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v23); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v19);
         T0 = ecl_function_dispatch(cl_env_copy,VV[392])(1, v17display) /*  DISPLAY-XID */;
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,T0)(1, v17display);
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v25=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v19);
         if (!((T0)==(T1))) { goto L23; }
         if (!((v20)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L26; }
         T0 = mp_lock_count(v19);
         if (!(ecl_number_compare(T0,v21)>0)) { goto L23; }
         goto L24;
L26:;
L24:;
         mp_giveup_lock(v19);
L23:;
         ecl_stack_pop_values(cl_env_copy,v25);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v24);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v22);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L28; }
       si_check_pending_interrupts();
L28:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v22);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     v18pid = value0;
    }
    ecl_structure_set(v3picture,VV[49],0,v18pid);
    {
     volatile cl_object v19_display_;
     T0 = si_of_class_p(2, v17display, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v17display);
     v19_display_ = v17display;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v19_display_) /*  BUFFER-DEAD */)) { goto L33; }
     ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v19_display_) /*  X-ERROR */;
L33:;
     {
      volatile cl_object v20;
      volatile cl_object v21;
      volatile cl_object v22;
      v20 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v19_display_) /*  BUFFER-LOCK */;
      v21 = mp_lock_owner(v20);
      v22 = mp_lock_count(v20);
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v23;
        v23 = _ecl_inner_frame;
        {
         volatile cl_object v24;
         v24 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v25=ECL_STACK_INDEX(cl_env_copy),v26;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v24); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v20);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v27;
          v27 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v19_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v19_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L49; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v19_display_) /*  BUFFER-FLUSH */;
L49:;
          {
          cl_fixnum v28buffer_boffset;
          cl_object v29buffer_bbuf;
          v28buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v19_display_) /*  BUFFER-BOFFSET */);
          v29buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v19_display_) /*  BUFFER-OBUF8 */;
          (v19_display_)->instance.slots[4]=ecl_make_fixnum(v28buffer_boffset);
          {
          uint8_t v30;
          cl_fixnum v31;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v17display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L59; }
          v30 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v17display) /*  X-ERROR */);
          goto L57;
L59:;
          v30 = ecl_fixnum(value0);
          goto L57;
L57:;
          v31 = (v28buffer_boffset)+(0);
          (v29buffer_bbuf)->vector.self.b8[v31]= v30;
          }
          {
          cl_fixnum v30;
          v30 = (v28buffer_boffset)+(1);
          (v29buffer_bbuf)->vector.self.b8[v30]= (uint8_t)(4);
          }
          {
          cl_fixnum v30;
          v30 = 0;
          if (!(ECL_FIXNUMP(v18pid))) { goto L66; }
          v30 = ecl_fixnum(v18pid);
          if (!((v30)<=(536870911))) { goto L66; }
          if (!((v30)>=(0))) { goto L66; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v18pid, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L65;
L66:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v18pid, VV[83]) /*  X-TYPE-ERROR */;
L65:;
          if (Null(ecl_function_dispatch(cl_env_copy,VV[393])(1, v1drawable) /*  DRAWABLE-P */)) { goto L74; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[394])(1, v1drawable) /*  DRAWABLE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L73;
L74:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1drawable, VV[133]) /*  X-TYPE-ERROR */;
L73:;
          if (Null(si_of_class_p(2, v2format, VV[60]))) { goto L77; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v2format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L76;
L77:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2format, VV[60]) /*  X-TYPE-ERROR */;
L76:;
          {
          cl_object v30_mask;
          cl_object v31_index;
          v30_mask = ecl_make_fixnum(0);
          v31_index = ecl_make_fixnum(16);
          if (v4repeat==ECL_NIL) { goto L82; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(1)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v4repeat, VV[134], ECL_SYM("TEST",1316), T0);
          if (Null(v32)) { goto L92; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L88;
          }
L92:;
          value0 = ECL_NIL;
          goto L88;
          }
L88:;
          if ((value0)!=ECL_NIL) { goto L87; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4repeat, VV[120]) /*  X-TYPE-ERROR */;
          goto L82;
L87:;
          goto L82;
L82:;
          if (v5alpha_map==ECL_NIL) { goto L97; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(2)));
          {
          cl_object v32;
          if (!((v5alpha_map)==(ECL_SYM("NONE",1599)))) { goto L103; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          v32 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L101;
          }
L103:;
          v32 = ECL_NIL;
          goto L101;
L101:;
          if (Null(v32)) { goto L108; }
          goto L97;
L108:;
          if (Null(si_of_class_p(2, v5alpha_map, VV[49]))) { goto L110; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v5alpha_map) /*  PICTURE-ID */;
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L97;
          }
L110:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5alpha_map, VV[121]) /*  X-TYPE-ERROR */;
          }
L97:;
          if (v6alpha_x_origin==ECL_NIL) { goto L115; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(4)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v6alpha_x_origin))) { goto L119; }
          v32 = ecl_fixnum(v6alpha_x_origin);
          if (!((v32)<=(32767))) { goto L119; }
          if (!((v32)>=(-32768))) { goto L119; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v6alpha_x_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L115;
          }
L119:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6alpha_x_origin, VV[90]) /*  X-TYPE-ERROR */;
L115:;
          if (v7alpha_y_origin==ECL_NIL) { goto L129; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(8)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v7alpha_y_origin))) { goto L133; }
          v32 = ecl_fixnum(v7alpha_y_origin);
          if (!((v32)<=(32767))) { goto L133; }
          if (!((v32)>=(-32768))) { goto L133; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v7alpha_y_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L129;
          }
L133:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7alpha_y_origin, VV[90]) /*  X-TYPE-ERROR */;
L129:;
          if (v8clip_x_origin==ECL_NIL) { goto L143; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(16)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v8clip_x_origin))) { goto L147; }
          v32 = ecl_fixnum(v8clip_x_origin);
          if (!((v32)<=(32767))) { goto L147; }
          if (!((v32)>=(-32768))) { goto L147; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v8clip_x_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L143;
          }
L147:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8clip_x_origin, VV[90]) /*  X-TYPE-ERROR */;
L143:;
          if (v9clip_y_origin==ECL_NIL) { goto L157; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(32)));
          {
          cl_fixnum v32;
          v32 = 0;
          if (!(ECL_FIXNUMP(v9clip_y_origin))) { goto L161; }
          v32 = ecl_fixnum(v9clip_y_origin);
          if (!((v32)<=(32767))) { goto L161; }
          if (!((v32)>=(-32768))) { goto L161; }
          }
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v32));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9clip_y_origin, v29buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L157;
          }
L161:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9clip_y_origin, VV[90]) /*  X-TYPE-ERROR */;
L157:;
          {
          cl_object v32_item_;
          if (ECL_CONSP(v10clip_mask)) { goto L174; }
          if (v10clip_mask==ECL_NIL) { goto L174; }
          if (ECL_VECTORP(v10clip_mask)) { goto L174; }
          v32_item_ = v10clip_mask;
          goto L172;
L174:;
          v32_item_ = ECL_NIL;
          goto L172;
L172:;
          if (v32_item_==ECL_NIL) { goto L171; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(64)));
          {
          cl_object v33;
          if (!((v32_item_)==(ECL_SYM("NONE",1599)))) { goto L183; }
          {
          cl_fixnum v34;
          {
          cl_fixnum v35;
          v35 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v35);
          v34 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v34));
          v33 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L181;
          }
L183:;
          v33 = ECL_NIL;
          goto L181;
L181:;
          if (Null(v33)) { goto L188; }
          goto L171;
L188:;
          if (Null(ecl_function_dispatch(cl_env_copy,VV[373])(1, v32_item_) /*  PIXMAP-P */)) { goto L190; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[374])(1, v32_item_) /*  PIXMAP-ID */;
          {
          cl_fixnum v34;
          {
          cl_fixnum v35;
          v35 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v35);
          v34 = ecl_fixnum(v31_index);
          }
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v34));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L171;
          }
L190:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v32_item_, VV[122]) /*  X-TYPE-ERROR */;
          }
          }
L171:;
          if (v11graphics_exposures==ECL_NIL) { goto L195; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(128)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v11graphics_exposures, VV[135], ECL_SYM("TEST",1316), T0);
          if (Null(v32)) { goto L205; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L201;
          }
L205:;
          value0 = ECL_NIL;
          goto L201;
          }
L201:;
          if ((value0)!=ECL_NIL) { goto L200; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11graphics_exposures, VV[120]) /*  X-TYPE-ERROR */;
          goto L195;
L200:;
          goto L195;
L195:;
          if (v12subwindow_mode==ECL_NIL) { goto L210; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(256)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v12subwindow_mode, VV[136], ECL_SYM("TEST",1316), T0);
          if (Null(v32)) { goto L220; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L216;
          }
L220:;
          value0 = ECL_NIL;
          goto L216;
          }
L216:;
          if ((value0)!=ECL_NIL) { goto L215; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v12subwindow_mode, VV[125]) /*  X-TYPE-ERROR */;
          goto L210;
L215:;
          goto L210;
L210:;
          if (v13poly_edge==ECL_NIL) { goto L225; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(512)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v13poly_edge, VV[137], ECL_SYM("TEST",1316), T0);
          if (Null(v32)) { goto L235; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L231;
          }
L235:;
          value0 = ECL_NIL;
          goto L231;
          }
L231:;
          if ((value0)!=ECL_NIL) { goto L230; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v13poly_edge, VV[127]) /*  X-TYPE-ERROR */;
          goto L225;
L230:;
          goto L225;
L225:;
          if (v14poly_mode==ECL_NIL) { goto L240; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(1024)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v14poly_mode, VV[138], ECL_SYM("TEST",1316), T0);
          if (Null(v32)) { goto L250; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L246;
          }
L250:;
          value0 = ECL_NIL;
          goto L246;
          }
L246:;
          if ((value0)!=ECL_NIL) { goto L245; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v14poly_mode, VV[129]) /*  X-TYPE-ERROR */;
          goto L240;
L245:;
          goto L240;
L240:;
          if (v15dither==ECL_NIL) { goto L255; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(2048)));
          {
          cl_object v32;
          if (!((v15dither)==(ECL_SYM("NONE",1599)))) { goto L261; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          v32 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L259;
          }
L261:;
          v32 = ECL_NIL;
          goto L259;
L259:;
          if (Null(v32)) { goto L266; }
          goto L255;
L266:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v15dither, VV[130]) /*  X-TYPE-ERROR */;
          }
L255:;
          if (v16component_alpha==ECL_NIL) { goto L268; }
          v30_mask = ecl_boole(ECL_BOOLIOR,(v30_mask),(ecl_make_fixnum(4096)));
          {
          cl_object v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v32 = cl_position(4, v16component_alpha, VV[139], ECL_SYM("TEST",1316), T0);
          if (Null(v32)) { goto L278; }
          {
          cl_fixnum v33;
          {
          cl_fixnum v34;
          v34 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v34);
          v33 = ecl_fixnum(v31_index);
          }
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(v33));
          value0 = ecl_function_dispatch(cl_env_copy,VV[335])(3, v32, v29buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L274;
          }
L278:;
          value0 = ECL_NIL;
          goto L274;
          }
L274:;
          if ((value0)!=ECL_NIL) { goto L273; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v16component_alpha, VV[120]) /*  X-TYPE-ERROR */;
          goto L268;
L273:;
          goto L268;
L268:;
          T0 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v30_mask, v29buffer_bbuf, T0) /*  ASET-CARD32 */;
          {
          cl_fixnum v32;
          {
          cl_fixnum v33;
          v33 = (ecl_fixnum(v31_index))+(4);
          v31_index = ecl_make_fixnum(v33);
          v32 = ecl_fixnum(v31_index);
          }
          T0 = ecl_ceiling2(ecl_make_fixnum(v32),ecl_make_fixnum(4));
          T1 = ecl_plus(ecl_make_fixnum(v28buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T0, v29buffer_bbuf, T1) /*  ASET-CARD16 */;
          }
          {
          cl_object v32;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v19_display_) /*  BUFFER-BOFFSET */;
          v32 = ecl_plus(T0,v31_index);
          (v19_display_)->instance.slots[6]=v32;
          }
          }
          {
          cl_object v30;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v19_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v31;
          v31 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v31));
          v30 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v19_display_)->instance.slots[3]=v30;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v27);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v19_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v27);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v26=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v20);
          if (!((T0)==(T1))) { goto L291; }
          if (!((v21)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L294; }
          T0 = mp_lock_count(v20);
          if (!(ecl_number_compare(T0,v22)>0)) { goto L291; }
          goto L292;
L294:;
L292:;
          mp_giveup_lock(v20);
L291:;
          ecl_stack_pop_values(cl_env_copy,v26);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v25);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v23);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L296; }
        si_check_pending_interrupts();
L296:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v23);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
   }
   if (ECL_CONSP(v10clip_mask)) { goto L300; }
   if (v10clip_mask==ECL_NIL) { goto L300; }
   if (!(ECL_VECTORP(v10clip_mask))) { goto L298; }
   goto L299;
L300:;
L299:;
   L23_render_change_picture_clip_rectangles(v3picture, v10clip_mask);
L298:;
   ecl_structure_set(v3picture,VV[49],3,v2format);
   {
    cl_object v18;
    value0 = v4repeat;
    if ((value0)!=ECL_NIL) { goto L308; }
    T0 = VV[140];
    goto L306;
L308:;
    T0 = value0;
    goto L306;
L306:;
    value0 = v5alpha_map;
    if ((value0)!=ECL_NIL) { goto L312; }
    T1 = ECL_SYM("NONE",1599);
    goto L310;
L312:;
    T1 = value0;
    goto L310;
L310:;
    value0 = v6alpha_x_origin;
    if ((value0)!=ECL_NIL) { goto L316; }
    T2 = ecl_make_fixnum(0);
    goto L314;
L316:;
    T2 = value0;
    goto L314;
L314:;
    value0 = v7alpha_y_origin;
    if ((value0)!=ECL_NIL) { goto L320; }
    T3 = ecl_make_fixnum(0);
    goto L318;
L320:;
    T3 = value0;
    goto L318;
L318:;
    value0 = v8clip_x_origin;
    if ((value0)!=ECL_NIL) { goto L324; }
    T4 = ecl_make_fixnum(0);
    goto L322;
L324:;
    T4 = value0;
    goto L322;
L322:;
    value0 = v9clip_y_origin;
    if ((value0)!=ECL_NIL) { goto L328; }
    T5 = ecl_make_fixnum(0);
    goto L326;
L328:;
    T5 = value0;
    goto L326;
L326:;
    value0 = v10clip_mask;
    if ((value0)!=ECL_NIL) { goto L332; }
    T6 = ECL_SYM("NONE",1599);
    goto L330;
L332:;
    T6 = value0;
    goto L330;
L330:;
    value0 = v11graphics_exposures;
    if ((value0)!=ECL_NIL) { goto L336; }
    T7 = VV[141];
    goto L334;
L336:;
    T7 = value0;
    goto L334;
L334:;
    value0 = v12subwindow_mode;
    if ((value0)!=ECL_NIL) { goto L340; }
    T8 = VV[142];
    goto L338;
L340:;
    T8 = value0;
    goto L338;
L338:;
    value0 = v13poly_edge;
    if ((value0)!=ECL_NIL) { goto L344; }
    T9 = VV[143];
    goto L342;
L344:;
    T9 = value0;
    goto L342;
L342:;
    value0 = v14poly_mode;
    if ((value0)!=ECL_NIL) { goto L348; }
    T10 = VV[144];
    goto L346;
L348:;
    T10 = value0;
    goto L346;
L346:;
    value0 = v15dither;
    if ((value0)!=ECL_NIL) { goto L352; }
    T11 = ECL_SYM("NONE",1599);
    goto L350;
L352:;
    T11 = value0;
    goto L350;
L350:;
    value0 = v16component_alpha;
    if ((value0)!=ECL_NIL) { goto L356; }
    T12 = VV[140];
    goto L354;
L356:;
    T12 = value0;
    goto L354;
L354:;
    v18 = cl_vector(13, T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12);
    ecl_structure_set(v3picture,VV[49],5,v18);
   }
   {
    cl_object v18;
    T0 = ecl_function_dispatch(cl_env_copy,VV[372])(1, v3picture) /*  PICTURE-%SERVER-VALUES */;
    v18 = ecl_copy_seq(T0);
    ecl_structure_set(v3picture,VV[49],6,v18);
   }
   ecl_structure_set(v3picture,VV[49],7,v1drawable);
   value0 = v3picture;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for RENDER-FREE-PICTURE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52render_free_picture(cl_object volatile v1picture)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   {
    volatile cl_object v3_display_;
    T0 = si_of_class_p(2, v2display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v2display);
    v3_display_ = v2display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L4; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v3_display_) /*  X-ERROR */;
L4:;
    {
     volatile cl_object v4;
     volatile cl_object v5;
     volatile cl_object v6;
     v4 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v3_display_) /*  BUFFER-LOCK */;
     v5 = mp_lock_owner(v4);
     v6 = mp_lock_count(v4);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v7;
       v7 = _ecl_inner_frame;
       {
        volatile cl_object v8;
        v8 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v4);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v11;
          v11 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L20; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v3_display_) /*  BUFFER-FLUSH */;
L20:;
          {
          cl_fixnum v12buffer_boffset;
          cl_object v13buffer_bbuf;
          v12buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v13buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v3_display_) /*  BUFFER-OBUF8 */;
          (v3_display_)->instance.slots[4]=ecl_make_fixnum(v12buffer_boffset);
          {
          uint8_t v14;
          cl_fixnum v15;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L30; }
          v14 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v2display) /*  X-ERROR */);
          goto L28;
L30:;
          v14 = ecl_fixnum(value0);
          goto L28;
L28:;
          v15 = (v12buffer_boffset)+(0);
          (v13buffer_bbuf)->vector.self.b8[v15]= v14;
          }
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(1);
          (v13buffer_bbuf)->vector.self.b8[v14]= (uint8_t)(7);
          }
          if (Null(si_of_class_p(2, v1picture, VV[49]))) { goto L37; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L36;
L37:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1picture, VV[49]) /*  X-TYPE-ERROR */;
L36:;
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(2), v13buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(8);
          (v3_display_)->instance.slots[6]=ecl_make_fixnum(v14);
          }
          {
          cl_object v14;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v15;
          v15 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v15));
          v14 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v3_display_)->instance.slots[3]=v14;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v11);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v10=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v4);
         if (!((T0)==(T1))) { goto L44; }
         if (!((v5)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L47; }
         T0 = mp_lock_count(v4);
         if (!(ecl_number_compare(T0,v6)>0)) { goto L44; }
         goto L45;
L47:;
L45:;
         mp_giveup_lock(v4);
L44:;
         ecl_stack_pop_values(cl_env_copy,v10);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v9);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v7);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L49; }
       si_check_pending_interrupts();
L49:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-FREE-GLYPH-SET                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53render_free_glyph_set(cl_object volatile v1glyph_set)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[397])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v3_display_;
    T0 = si_of_class_p(2, v2display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v2display);
    v3_display_ = v2display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L4; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v3_display_) /*  X-ERROR */;
L4:;
    {
     volatile cl_object v4;
     volatile cl_object v5;
     volatile cl_object v6;
     v4 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v3_display_) /*  BUFFER-LOCK */;
     v5 = mp_lock_owner(v4);
     v6 = mp_lock_count(v4);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v7;
       v7 = _ecl_inner_frame;
       {
        volatile cl_object v8;
        v8 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v4);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v11;
          v11 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L20; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v3_display_) /*  BUFFER-FLUSH */;
L20:;
          {
          cl_fixnum v12buffer_boffset;
          cl_object v13buffer_bbuf;
          v12buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v13buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v3_display_) /*  BUFFER-OBUF8 */;
          (v3_display_)->instance.slots[4]=ecl_make_fixnum(v12buffer_boffset);
          {
          uint8_t v14;
          cl_fixnum v15;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L30; }
          v14 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v2display) /*  X-ERROR */);
          goto L28;
L30:;
          v14 = ecl_fixnum(value0);
          goto L28;
L28:;
          v15 = (v12buffer_boffset)+(0);
          (v13buffer_bbuf)->vector.self.b8[v15]= v14;
          }
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(1);
          (v13buffer_bbuf)->vector.self.b8[v14]= (uint8_t)(19);
          }
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L37; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v13buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L36;
L37:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L36:;
          T0 = ecl_plus(ecl_make_fixnum(v12buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(2), v13buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v14;
          v14 = (v12buffer_boffset)+(8);
          (v3_display_)->instance.slots[6]=ecl_make_fixnum(v14);
          }
          {
          cl_object v14;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v15;
          v15 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v15));
          v14 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v3_display_)->instance.slots[3]=v14;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v11);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v10=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v4);
         if (!((T0)==(T1))) { goto L44; }
         if (!((v5)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L47; }
         T0 = mp_lock_count(v4);
         if (!(ecl_number_compare(T0,v6)>0)) { goto L44; }
         goto L45;
L47:;
L45:;
         mp_giveup_lock(v4);
L44:;
         ecl_stack_pop_values(cl_env_copy,v10);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v9);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v7);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L49; }
       si_check_pending_interrupts();
L49:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-QUERY-VERSION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54render_query_version(cl_object volatile v1display)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2_display_;
   volatile cl_object v3_pending_command_;
   volatile cl_object v4_reply_buffer_;
   T0 = si_of_class_p(2, v1display, VV[41]);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v1display);
   v2_display_ = v1display;
   v3_pending_command_ = ECL_NIL;
   v4_reply_buffer_ = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v2_display_) /*  BUFFER-DEAD */)) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v2_display_) /*  X-ERROR */;
L7:;
    {
     volatile cl_object v7;
     volatile cl_object v8;
     volatile cl_object v9;
     v7 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v2_display_) /*  BUFFER-LOCK */;
     v8 = mp_lock_owner(v7);
     v9 = mp_lock_count(v7);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v10;
       v10 = _ecl_inner_frame;
       {
        volatile cl_object v11;
        v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v7);
         v3_pending_command_ = ecl_function_dispatch(cl_env_copy,VV[399])(1, v2_display_) /*  START-PENDING-COMMAND */;
         T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v2_display_) /*  BUFFER-BOFFSET */;
         T1 = ecl_plus(T0,ecl_make_fixnum(160));
         T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v2_display_) /*  BUFFER-SIZE */;
         if (!(ecl_number_compare(T1,T2)>=0)) { goto L22; }
         ecl_function_dispatch(cl_env_copy,VV[332])(1, v2_display_) /*  BUFFER-FLUSH */;
L22:;
         {
          cl_fixnum v14buffer_boffset;
          cl_object v15buffer_bbuf;
          v14buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v2_display_) /*  BUFFER-BOFFSET */);
          v15buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v2_display_) /*  BUFFER-OBUF8 */;
          (v2_display_)->instance.slots[4]=ecl_make_fixnum(v14buffer_boffset);
          {
          uint8_t v16;
          cl_fixnum v17;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L32; }
          v16 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v1display) /*  X-ERROR */);
          goto L30;
L32:;
          v16 = ecl_fixnum(value0);
          goto L30;
L30:;
          v17 = (v14buffer_boffset)+(0);
          (v15buffer_bbuf)->vector.self.b8[v17]= v16;
          }
          {
          cl_fixnum v16;
          v16 = (v14buffer_boffset)+(1);
          (v15buffer_bbuf)->vector.self.b8[v16]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, ecl_make_fixnum(0), v15buffer_bbuf, T0) /*  ASET-CARD32 */;
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, ecl_make_fixnum(1), v15buffer_bbuf, T0) /*  ASET-CARD32 */;
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(3), v15buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v16;
          v16 = (v14buffer_boffset)+(12);
          (v2_display_)->instance.slots[6]=ecl_make_fixnum(v16);
          }
          {
          cl_object v16;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v2_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v17;
          v17 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v17));
          v16 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          (v2_display_)->instance.slots[3]=v16;
          }
         }
         ecl_function_dispatch(cl_env_copy,VV[400])(1, v2_display_) /*  BUFFER-FORCE-OUTPUT */;
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[341])(1, v2_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v13=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v7);
         if (!((T0)==(T1))) { goto L45; }
         if (!((v8)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L48; }
         T0 = mp_lock_count(v7);
         if (!(ecl_number_compare(T0,v9)>0)) { goto L45; }
         goto L46;
L48:;
L46:;
         mp_giveup_lock(v7);
L45:;
         ecl_stack_pop_values(cl_env_copy,v13);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v12);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v10);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L50; }
       si_check_pending_interrupts();
L50:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
    }
    {
     cl_object v7;
     v7 = ecl_function_dispatch(cl_env_copy,VV[401])(2, v2_display_, v3_pending_command_) /*  READ-REPLY */;
     value0 = ecl_make_bool(v7==ECL_NIL);
     if ((value0)!=ECL_NIL) { goto L58; }
     T0 = si_of_class_p(2, v7, VV[149]);
     goto L56;
L58:;
     T0 = value0;
     goto L56;
L56:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[150],v7);
     v4_reply_buffer_ = v7;
    }
    {
     cl_object v7_reply_buffer;
     T0 = si_of_class_p(2, v4_reply_buffer_, VV[149]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[149],v4_reply_buffer_);
     v7_reply_buffer = v4_reply_buffer_;
     {
      cl_object v8buffer_bbuf;
      v8buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[402])(1, v7_reply_buffer) /*  REPLY-IBUF8 */;
      T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(8));
      T1 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
      T2 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(12));
      T3 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T2) /*  AREF-CARD32 */;
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = T3;
      cl_env_copy->values[0] = T1;
     }
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    if (Null(v4_reply_buffer_)) { goto L68; }
    ecl_function_dispatch(cl_env_copy,VV[404])(1, v4_reply_buffer_) /*  DEALLOCATE-REPLY-BUFFER */;
L68:;
    if (Null(v3_pending_command_)) { goto L67; }
    ecl_function_dispatch(cl_env_copy,VV[405])(2, v2_display_, v3_pending_command_) /*  STOP-PENDING-COMMAND */;
L67:;
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for RENDER-QUERY-PICTURE-FORMATS          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55render_query_picture_formats(cl_object volatile v1display)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2_display_;
   volatile cl_object v3_pending_command_;
   volatile cl_object v4_reply_buffer_;
   T0 = si_of_class_p(2, v1display, VV[41]);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v1display);
   v2_display_ = v1display;
   v3_pending_command_ = ECL_NIL;
   v4_reply_buffer_ = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v2_display_) /*  BUFFER-DEAD */)) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v2_display_) /*  X-ERROR */;
L7:;
    {
     volatile cl_object v7;
     volatile cl_object v8;
     volatile cl_object v9;
     v7 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v2_display_) /*  BUFFER-LOCK */;
     v8 = mp_lock_owner(v7);
     v9 = mp_lock_count(v7);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v10;
       v10 = _ecl_inner_frame;
       {
        volatile cl_object v11;
        v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v7);
         v3_pending_command_ = ecl_function_dispatch(cl_env_copy,VV[399])(1, v2_display_) /*  START-PENDING-COMMAND */;
         T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v2_display_) /*  BUFFER-BOFFSET */;
         T1 = ecl_plus(T0,ecl_make_fixnum(160));
         T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v2_display_) /*  BUFFER-SIZE */;
         if (!(ecl_number_compare(T1,T2)>=0)) { goto L22; }
         ecl_function_dispatch(cl_env_copy,VV[332])(1, v2_display_) /*  BUFFER-FLUSH */;
L22:;
         {
          cl_fixnum v14buffer_boffset;
          cl_object v15buffer_bbuf;
          v14buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v2_display_) /*  BUFFER-BOFFSET */);
          v15buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v2_display_) /*  BUFFER-OBUF8 */;
          (v2_display_)->instance.slots[4]=ecl_make_fixnum(v14buffer_boffset);
          {
          uint8_t v16;
          cl_fixnum v17;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v1display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L32; }
          v16 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v1display) /*  X-ERROR */);
          goto L30;
L32:;
          v16 = ecl_fixnum(value0);
          goto L30;
L30:;
          v17 = (v14buffer_boffset)+(0);
          (v15buffer_bbuf)->vector.self.b8[v17]= v16;
          }
          {
          cl_fixnum v16;
          v16 = (v14buffer_boffset)+(1);
          (v15buffer_bbuf)->vector.self.b8[v16]= (uint8_t)(1);
          }
          T0 = ecl_plus(ecl_make_fixnum(v14buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(1), v15buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v16;
          v16 = (v14buffer_boffset)+(4);
          (v2_display_)->instance.slots[6]=ecl_make_fixnum(v16);
          }
          {
          cl_object v16;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v2_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v17;
          v17 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v17));
          v16 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          (v2_display_)->instance.slots[3]=v16;
          }
         }
         ecl_function_dispatch(cl_env_copy,VV[400])(1, v2_display_) /*  BUFFER-FORCE-OUTPUT */;
         cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[341])(1, v2_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v13=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v7);
         if (!((T0)==(T1))) { goto L43; }
         if (!((v8)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L46; }
         T0 = mp_lock_count(v7);
         if (!(ecl_number_compare(T0,v9)>0)) { goto L43; }
         goto L44;
L46:;
L44:;
         mp_giveup_lock(v7);
L43:;
         ecl_stack_pop_values(cl_env_copy,v13);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v12);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v10);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L48; }
       si_check_pending_interrupts();
L48:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
    }
    {
     cl_object v7;
     v7 = ecl_function_dispatch(cl_env_copy,VV[401])(2, v2_display_, v3_pending_command_) /*  READ-REPLY */;
     value0 = ecl_make_bool(v7==ECL_NIL);
     if ((value0)!=ECL_NIL) { goto L56; }
     T0 = si_of_class_p(2, v7, VV[149]);
     goto L54;
L56:;
     T0 = value0;
     goto L54;
L54:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[150],v7);
     v4_reply_buffer_ = v7;
    }
    {
     cl_object v7_reply_buffer;
     T0 = si_of_class_p(2, v4_reply_buffer_, VV[149]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[149],v4_reply_buffer_);
     v7_reply_buffer = v4_reply_buffer_;
     {
      cl_object v8buffer_bbuf;
      v8buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[402])(1, v7_reply_buffer) /*  REPLY-IBUF8 */;
      {
       cl_object v9;
       cl_object v10;
       cl_object v11;
       cl_object v12;
       cl_object v13;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(8));
       v9 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(12));
       v10 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(16));
       v11 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(20));
       v12 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(24));
       v13 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
       {
        cl_object v14i;
        v14i = ecl_make_fixnum(0);
        {
         cl_object v15;
         cl_object v16;
         v15 = ecl_list1(ECL_NIL);
         v16 = v15;
L73:;
         if (!(ecl_number_compare(v14i,v9)>=0)) { goto L75; }
         goto L74;
L75:;
         T0 = v16;
         {
          cl_object v17off;
          T2 = ecl_times(v14i,ecl_make_fixnum(28));
          v17off = ecl_plus(ecl_make_fixnum(32),T2);
          T2 = ecl_plus(v17off,ecl_make_fixnum(0));
          T3 = ecl_plus(ecl_make_fixnum(0),T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T3) /*  AREF-CARD32 */;
          {
          int8_t v18;
          {
          cl_fixnum v19;
          T6 = ecl_plus(v17off,ecl_make_fixnum(4));
          v19 = (0)+(ecl_fixnum(T6));
          v18 = (int8_t)((v8buffer_bbuf)->vector.self.b8[v19]);
          }
          T5 = (VV[153])->vector.self.t[(cl_fixnum)(v18)];
          }
          {
          uint8_t v18;
          {
          cl_fixnum v19;
          T6 = ecl_plus(v17off,ecl_make_fixnum(5));
          v19 = (0)+(ecl_fixnum(T6));
          v18 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v19]);
          }
          T6 = ecl_plus(v17off,ecl_make_fixnum(10));
          T7 = ecl_plus(ecl_make_fixnum(0),T6);
          T8 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T7) /*  AREF-CARD16 */;
          {
          cl_index v19;
          v19 = ecl_integer_length(T8);
          T9 = ecl_plus(v17off,ecl_make_fixnum(8));
          T10 = ecl_plus(ecl_make_fixnum(0),T9);
          T11 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T10) /*  AREF-CARD16 */;
          T12 = cl_byte(ecl_make_unsigned_integer(v19), T11);
          T13 = ecl_plus(v17off,ecl_make_fixnum(14));
          T14 = ecl_plus(ecl_make_fixnum(0),T13);
          T15 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T14) /*  AREF-CARD16 */;
          {
          cl_index v20;
          v20 = ecl_integer_length(T15);
          T16 = ecl_plus(v17off,ecl_make_fixnum(12));
          T17 = ecl_plus(ecl_make_fixnum(0),T16);
          T18 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T17) /*  AREF-CARD16 */;
          T19 = cl_byte(ecl_make_unsigned_integer(v20), T18);
          T20 = ecl_plus(v17off,ecl_make_fixnum(18));
          T21 = ecl_plus(ecl_make_fixnum(0),T20);
          T22 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T21) /*  AREF-CARD16 */;
          {
          cl_index v21;
          v21 = ecl_integer_length(T22);
          T23 = ecl_plus(v17off,ecl_make_fixnum(16));
          T24 = ecl_plus(ecl_make_fixnum(0),T23);
          T25 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T24) /*  AREF-CARD16 */;
          T26 = cl_byte(ecl_make_unsigned_integer(v21), T25);
          T27 = ecl_plus(v17off,ecl_make_fixnum(22));
          T28 = ecl_plus(ecl_make_fixnum(0),T27);
          T29 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T28) /*  AREF-CARD16 */;
          {
          cl_index v22;
          v22 = ecl_integer_length(T29);
          T30 = ecl_plus(v17off,ecl_make_fixnum(20));
          T31 = ecl_plus(ecl_make_fixnum(0),T30);
          T32 = ecl_function_dispatch(cl_env_copy,VV[407])(2, v8buffer_bbuf, T31) /*  AREF-CARD16 */;
          T33 = cl_byte(ecl_make_unsigned_integer(v22), T32);
          {
          cl_object v23cmid;
          T35 = ecl_plus(v17off,ecl_make_fixnum(24));
          T36 = ecl_plus(ecl_make_fixnum(0),T35);
          v23cmid = ecl_function_dispatch(cl_env_copy,VV[403])(2, v8buffer_bbuf, T36) /*  AREF-CARD32 */;
          if (ecl_zerop(v23cmid)) { goto L89; }
          T34 = ecl_function_dispatch(cl_env_copy,VV[408])(2, v1display, v23cmid) /*  LOOKUP-COLORMAP */;
          goto L87;
L89:;
          T34 = ECL_NIL;
          }
L87:;
          T1 = L13make_picture_format(18, VV[88], v1display, VV[152], T4, ECL_SYM("TYPE",1318), T5, VV[154], ecl_make_uint8_t(v18), VV[155], T12, VV[156], T19, VV[157], T26, VV[158], T33, VV[159], T34);
          }
          }
          }
          }
          }
         }
         v16 = ecl_list1(T1);
         (ECL_CONS_CDR(T0)=v16,T0);
         v14i = ecl_one_plus(v14i);
         goto L73;
L74:;
         cl_env_copy->values[0] = _ecl_cdr(v15);
         cl_env_copy->nvalues = 1;
         goto L5;
        }
       }
      }
     }
    }
L5:;
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    if (Null(v4_reply_buffer_)) { goto L96; }
    ecl_function_dispatch(cl_env_copy,VV[404])(1, v4_reply_buffer_) /*  DEALLOCATE-REPLY-BUFFER */;
L96:;
    if (Null(v3_pending_command_)) { goto L95; }
    ecl_function_dispatch(cl_env_copy,VV[405])(2, v2_display_, v3_pending_command_) /*  STOP-PENDING-COMMAND */;
L95:;
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for RENDER-FILL-RECTANGLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56render_fill_rectangle(cl_object volatile v1picture, cl_object volatile v2op, cl_object volatile v3color, cl_object volatile v4x1, cl_object volatile v5y1, cl_object volatile v6w, cl_object volatile v7h)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v8display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v9_display_;
    T0 = si_of_class_p(2, v8display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v8display);
    v9_display_ = v8display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v9_display_) /*  BUFFER-DEAD */)) { goto L6; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v9_display_) /*  X-ERROR */;
L6:;
    {
     volatile cl_object v10;
     volatile cl_object v11;
     volatile cl_object v12;
     v10 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v9_display_) /*  BUFFER-LOCK */;
     v11 = mp_lock_owner(v10);
     v12 = mp_lock_count(v10);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v13;
       v13 = _ecl_inner_frame;
       {
        volatile cl_object v14;
        v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v15=ECL_STACK_INDEX(cl_env_copy),v16;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v14); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v10);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v17;
          v17 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v9_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v9_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L22; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v9_display_) /*  BUFFER-FLUSH */;
L22:;
          {
          cl_fixnum v18buffer_boffset;
          cl_object v19buffer_bbuf;
          v18buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v9_display_) /*  BUFFER-BOFFSET */);
          v19buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v9_display_) /*  BUFFER-OBUF8 */;
          (v9_display_)->instance.slots[4]=ecl_make_fixnum(v18buffer_boffset);
          {
          uint8_t v20;
          cl_fixnum v21;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L32; }
          v20 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v8display) /*  X-ERROR */);
          goto L30;
L32:;
          v20 = ecl_fixnum(value0);
          goto L30;
L30:;
          v21 = (v18buffer_boffset)+(0);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          }
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(1);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(26);
          }
          if (Null(ecl_memql(v2op,VV[161]))) { goto L39; }
          {
          uint8_t v20;
          cl_fixnum v21;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v20 = ecl_fixnum(cl_position(4, v2op, VV[162], ECL_SYM("TEST",1316), T0));
          v21 = (v18buffer_boffset)+(4);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          goto L38;
          }
L39:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2op, VV[73]) /*  X-TYPE-ERROR */;
L38:;
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(5);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L49; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L49; }
          if (!((v21)>=(0))) { goto L49; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L47;
L49:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L47:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,0);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L58; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L58; }
          if (!((v21)>=(0))) { goto L58; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L56;
L58:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[163]) /*  X-TYPE-ERROR */;
          }
L56:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,1);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L67; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L67; }
          if (!((v21)>=(0))) { goto L67; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(14));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L65;
L67:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[163]) /*  X-TYPE-ERROR */;
          }
L65:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,2);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L76; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L76; }
          if (!((v21)>=(0))) { goto L76; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L74;
L76:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[163]) /*  X-TYPE-ERROR */;
          }
L74:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_elt(v3color,3);
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L85; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(65535))) { goto L85; }
          if (!((v21)>=(0))) { goto L85; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(18));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L83;
L85:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[163]) /*  X-TYPE-ERROR */;
          }
L83:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v4x1))) { goto L93; }
          v20 = ecl_fixnum(v4x1);
          if (!((v20)<=(32767))) { goto L93; }
          if (!((v20)>=(-32768))) { goto L93; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v4x1, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L92;
L93:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4x1, VV[90]) /*  X-TYPE-ERROR */;
L92:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v5y1))) { goto L101; }
          v20 = ecl_fixnum(v5y1);
          if (!((v20)<=(32767))) { goto L101; }
          if (!((v20)>=(-32768))) { goto L101; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v5y1, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L100;
L101:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5y1, VV[90]) /*  X-TYPE-ERROR */;
L100:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v6w))) { goto L109; }
          v20 = ecl_fixnum(v6w);
          if (!((v20)<=(65535))) { goto L109; }
          if (!((v20)>=(0))) { goto L109; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v6w, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L108;
L109:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6w, VV[163]) /*  X-TYPE-ERROR */;
L108:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v7h))) { goto L117; }
          v20 = ecl_fixnum(v7h);
          if (!((v20)<=(65535))) { goto L117; }
          if (!((v20)>=(0))) { goto L117; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v7h, v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L116;
L117:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7h, VV[163]) /*  X-TYPE-ERROR */;
L116:;
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(7), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(28);
          (v9_display_)->instance.slots[6]=ecl_make_fixnum(v20);
          }
          {
          cl_object v20;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v9_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v21;
          v21 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v21));
          v20 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v9_display_)->instance.slots[3]=v20;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v17);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v9_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v17);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v16=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v10);
         if (!((T0)==(T1))) { goto L129; }
         if (!((v11)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L132; }
         T0 = mp_lock_count(v10);
         if (!(ecl_number_compare(T0,v12)>0)) { goto L129; }
         goto L130;
L132:;
L130:;
         mp_giveup_lock(v10);
L129:;
         ecl_stack_pop_values(cl_env_copy,v16);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v15);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v13);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L134; }
       si_check_pending_interrupts();
L134:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v13);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-TRIANGLES-1                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57render_triangles_1(cl_object volatile v1picture, cl_object volatile v2op, cl_object volatile v3source, cl_object volatile v4src_x, cl_object volatile v5src_y, cl_object volatile v6format, cl_object volatile v7coord_sequence)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_typep(2, v7coord_sequence, VV[165]))) { goto L1; }
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v1picture);
   L50synchronise_picture_state(v3source);
   {
    volatile cl_object v9_display_;
    T0 = si_of_class_p(2, v8display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v8display);
    v9_display_ = v8display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v9_display_) /*  BUFFER-DEAD */)) { goto L8; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v9_display_) /*  X-ERROR */;
L8:;
    {
     volatile cl_object v10;
     volatile cl_object v11;
     volatile cl_object v12;
     v10 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v9_display_) /*  BUFFER-LOCK */;
     v11 = mp_lock_owner(v10);
     v12 = mp_lock_count(v10);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v13;
       v13 = _ecl_inner_frame;
       {
        volatile cl_object v14;
        v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v15=ECL_STACK_INDEX(cl_env_copy),v16;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v14); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v10);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v17;
          v17 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v9_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v9_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L24; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v9_display_) /*  BUFFER-FLUSH */;
L24:;
          {
          cl_fixnum v18buffer_boffset;
          cl_object v19buffer_bbuf;
          v18buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v9_display_) /*  BUFFER-BOFFSET */);
          v19buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v9_display_) /*  BUFFER-OBUF8 */;
          (v9_display_)->instance.slots[4]=ecl_make_fixnum(v18buffer_boffset);
          {
          uint8_t v20;
          cl_fixnum v21;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L34; }
          v20 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v8display) /*  X-ERROR */);
          goto L32;
L34:;
          v20 = ecl_fixnum(value0);
          goto L32;
L32:;
          v21 = (v18buffer_boffset)+(0);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          }
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(1);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(11);
          }
          if (Null(ecl_memql(v2op,VV[161]))) { goto L41; }
          {
          uint8_t v20;
          cl_fixnum v21;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v20 = ecl_fixnum(cl_position(4, v2op, VV[166], ECL_SYM("TEST",1316), T0));
          v21 = (v18buffer_boffset)+(4);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          goto L40;
          }
L41:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2op, VV[73]) /*  X-TYPE-ERROR */;
L40:;
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(5);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L51; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L51; }
          if (!((v21)>=(0))) { goto L51; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L49;
L51:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L49:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L60; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L60; }
          if (!((v21)>=(0))) { goto L60; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L58;
L60:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L58:;
          if (Null(si_of_class_p(2, v6format, VV[60]))) { goto L68; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v6format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v19buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L67;
L68:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6format, VV[60]) /*  X-TYPE-ERROR */;
L67:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v4src_x))) { goto L71; }
          v20 = ecl_fixnum(v4src_x);
          if (!((v20)<=(32767))) { goto L71; }
          if (!((v20)>=(-32768))) { goto L71; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v4src_x, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L70;
L71:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4src_x, VV[90]) /*  X-TYPE-ERROR */;
L70:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v5src_y))) { goto L79; }
          v20 = ecl_fixnum(v5src_y);
          if (!((v20)<=(32767))) { goto L79; }
          if (!((v20)>=(-32768))) { goto L79; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v5src_y, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L78;
L79:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5src_y, VV[90]) /*  X-TYPE-ERROR */;
L78:;
          if (ECL_CONSP(v7coord_sequence)) { goto L89; }
          if (v7coord_sequence==ECL_NIL) { goto L89; }
          if (!(ECL_VECTORP(v7coord_sequence))) { goto L87; }
          goto L88;
L89:;
L88:;
          {
          cl_fixnum v20;
          v20 = ecl_length(v7coord_sequence);
          T0 = ecl_minus(ecl_make_fixnum(v20),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(6));
          T2 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T1, v19buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[411])(6, v9_display_, T0, v7coord_sequence, ecl_make_fixnum(0), ecl_make_fixnum(v20), ECL_NIL) /*  WRITE-SEQUENCE-INT32 */;
          goto L86;
          }
L87:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7coord_sequence, VV[167]) /*  X-TYPE-ERROR */;
L86:;
          {
          cl_object v20;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v9_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v21;
          v21 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v21));
          v20 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v9_display_)->instance.slots[3]=v20;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v17);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v9_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v17);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v16=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v10);
         if (!((T0)==(T1))) { goto L96; }
         if (!((v11)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L99; }
         T0 = mp_lock_count(v10);
         if (!(ecl_number_compare(T0,v12)>0)) { goto L96; }
         goto L97;
L99:;
L97:;
         mp_giveup_lock(v10);
L96:;
         ecl_stack_pop_values(cl_env_copy,v16);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v15);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v13);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L101; }
       si_check_pending_interrupts();
L101:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v13);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
L1:;
  {
   volatile cl_object v13display;
   v13display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v1picture);
   L50synchronise_picture_state(v3source);
   {
    volatile cl_object v14_display_;
    T0 = si_of_class_p(2, v13display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v13display);
    v14_display_ = v13display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v14_display_) /*  BUFFER-DEAD */)) { goto L108; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v14_display_) /*  X-ERROR */;
L108:;
    {
     volatile cl_object v15;
     volatile cl_object v16;
     volatile cl_object v17;
     v15 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v14_display_) /*  BUFFER-LOCK */;
     v16 = mp_lock_owner(v15);
     v17 = mp_lock_count(v15);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v18;
       v18 = _ecl_inner_frame;
       {
        volatile cl_object v19;
        v19 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v20=ECL_STACK_INDEX(cl_env_copy),v21;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v19); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v15);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v22;
          v22 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v14_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v14_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L124; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v14_display_) /*  BUFFER-FLUSH */;
L124:;
          {
          cl_fixnum v23buffer_boffset;
          cl_object v24buffer_bbuf;
          v23buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v14_display_) /*  BUFFER-BOFFSET */);
          v24buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v14_display_) /*  BUFFER-OBUF8 */;
          (v14_display_)->instance.slots[4]=ecl_make_fixnum(v23buffer_boffset);
          {
          uint8_t v25;
          cl_fixnum v26;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v13display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L134; }
          v25 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v13display) /*  X-ERROR */);
          goto L132;
L134:;
          v25 = ecl_fixnum(value0);
          goto L132;
L132:;
          v26 = (v23buffer_boffset)+(0);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          }
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(1);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(11);
          }
          if (Null(ecl_memql(v2op,VV[161]))) { goto L141; }
          {
          uint8_t v25;
          cl_fixnum v26;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v25 = ecl_fixnum(cl_position(4, v2op, VV[168], ECL_SYM("TEST",1316), T0));
          v26 = (v23buffer_boffset)+(4);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          goto L140;
          }
L141:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2op, VV[73]) /*  X-TYPE-ERROR */;
L140:;
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(5);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L151; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L151; }
          if (!((v26)>=(0))) { goto L151; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L149;
L151:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v25_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L149:;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L160; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L160; }
          if (!((v26)>=(0))) { goto L160; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L158;
L160:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v25_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L158:;
          if (Null(si_of_class_p(2, v6format, VV[60]))) { goto L168; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v6format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v24buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L167;
L168:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6format, VV[60]) /*  X-TYPE-ERROR */;
L167:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v4src_x))) { goto L171; }
          v25 = ecl_fixnum(v4src_x);
          if (!((v25)<=(32767))) { goto L171; }
          if (!((v25)>=(-32768))) { goto L171; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v4src_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L170;
L171:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4src_x, VV[90]) /*  X-TYPE-ERROR */;
L170:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v5src_y))) { goto L179; }
          v25 = ecl_fixnum(v5src_y);
          if (!((v25)<=(32767))) { goto L179; }
          if (!((v25)>=(-32768))) { goto L179; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v5src_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L178;
L179:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5src_y, VV[90]) /*  X-TYPE-ERROR */;
L178:;
          if (ECL_CONSP(v7coord_sequence)) { goto L189; }
          if (v7coord_sequence==ECL_NIL) { goto L189; }
          if (!(ECL_VECTORP(v7coord_sequence))) { goto L187; }
          goto L188;
L189:;
L188:;
          {
          cl_fixnum v25;
          v25 = ecl_length(v7coord_sequence);
          T0 = ecl_minus(ecl_make_fixnum(v25),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(6));
          T2 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T1, v24buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[411])(6, v14_display_, T0, v7coord_sequence, ecl_make_fixnum(0), ecl_make_fixnum(v25), ECL_NIL) /*  WRITE-SEQUENCE-INT32 */;
          goto L186;
          }
L187:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7coord_sequence, VV[167]) /*  X-TYPE-ERROR */;
L186:;
          {
          cl_object v25;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v14_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v26;
          v26 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v26));
          v25 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v14_display_)->instance.slots[3]=v25;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v22);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v14_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v22);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v21=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v15);
         if (!((T0)==(T1))) { goto L196; }
         if (!((v16)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L199; }
         T0 = mp_lock_count(v15);
         if (!(ecl_number_compare(T0,v17)>0)) { goto L196; }
         goto L197;
L199:;
L197:;
         mp_giveup_lock(v15);
L196:;
         ecl_stack_pop_values(cl_env_copy,v21);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v20);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v18);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L201; }
       si_check_pending_interrupts();
L201:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v18);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-SET-PICTURE-TRANSFORM          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58render_set_picture_transform(cl_object volatile v1picture, cl_object volatile v2a, cl_object volatile v3b, cl_object volatile v4c, cl_object volatile v5d, cl_object volatile v6e, cl_object volatile v7f, cl_object volatile v8p, cl_object volatile v9q, cl_object volatile v10r)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v11display;
   v11display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v11display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v12_display_;
    T0 = si_of_class_p(2, v11display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v11display);
    v12_display_ = v11display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v12_display_) /*  BUFFER-DEAD */)) { goto L6; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v12_display_) /*  X-ERROR */;
L6:;
    {
     volatile cl_object v13;
     volatile cl_object v14;
     volatile cl_object v15;
     v13 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v12_display_) /*  BUFFER-LOCK */;
     v14 = mp_lock_owner(v13);
     v15 = mp_lock_count(v13);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v16;
       v16 = _ecl_inner_frame;
       {
        volatile cl_object v17;
        v17 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v18=ECL_STACK_INDEX(cl_env_copy),v19;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v17); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v13);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v20;
          v20 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v12_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v12_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L22; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v12_display_) /*  BUFFER-FLUSH */;
L22:;
          {
          cl_fixnum v21buffer_boffset;
          cl_object v22buffer_bbuf;
          v21buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v12_display_) /*  BUFFER-BOFFSET */);
          v22buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v12_display_) /*  BUFFER-OBUF8 */;
          (v12_display_)->instance.slots[4]=ecl_make_fixnum(v21buffer_boffset);
          {
          uint8_t v23;
          cl_fixnum v24;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v11display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L32; }
          v23 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v11display) /*  X-ERROR */);
          goto L30;
L32:;
          v23 = ecl_fixnum(value0);
          goto L30;
L30:;
          v24 = (v21buffer_boffset)+(0);
          (v22buffer_bbuf)->vector.self.b8[v24]= v23;
          }
          {
          cl_fixnum v23;
          v23 = (v21buffer_boffset)+(1);
          (v22buffer_bbuf)->vector.self.b8[v23]= (uint8_t)(28);
          }
          {
          cl_object v23_value_;
          v23_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v24;
          v24 = 0;
          if (!(ECL_FIXNUMP(v23_value_))) { goto L40; }
          v24 = ecl_fixnum(v23_value_);
          if (!((v24)<=(536870911))) { goto L40; }
          if (!((v24)>=(0))) { goto L40; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v23_value_, v22buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L38;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v23_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L38:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v2a))) { goto L48; }
          v23 = ecl_fixnum(v2a);
          if (!((v23)<=(4294967295))) { goto L48; }
          if (!((v23)>=(0))) { goto L48; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v2a, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L47;
L48:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2a, VV[170]) /*  X-TYPE-ERROR */;
L47:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v3b))) { goto L56; }
          v23 = ecl_fixnum(v3b);
          if (!((v23)<=(4294967295))) { goto L56; }
          if (!((v23)>=(0))) { goto L56; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v3b, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L55;
L56:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3b, VV[170]) /*  X-TYPE-ERROR */;
L55:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v4c))) { goto L64; }
          v23 = ecl_fixnum(v4c);
          if (!((v23)<=(4294967295))) { goto L64; }
          if (!((v23)>=(0))) { goto L64; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v4c, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L63;
L64:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4c, VV[170]) /*  X-TYPE-ERROR */;
L63:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v5d))) { goto L72; }
          v23 = ecl_fixnum(v5d);
          if (!((v23)<=(4294967295))) { goto L72; }
          if (!((v23)>=(0))) { goto L72; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v5d, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L71;
L72:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5d, VV[170]) /*  X-TYPE-ERROR */;
L71:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v6e))) { goto L80; }
          v23 = ecl_fixnum(v6e);
          if (!((v23)<=(4294967295))) { goto L80; }
          if (!((v23)>=(0))) { goto L80; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v6e, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L79;
L80:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6e, VV[170]) /*  X-TYPE-ERROR */;
L79:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v7f))) { goto L88; }
          v23 = ecl_fixnum(v7f);
          if (!((v23)<=(4294967295))) { goto L88; }
          if (!((v23)>=(0))) { goto L88; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(28));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v7f, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L87;
L88:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7f, VV[170]) /*  X-TYPE-ERROR */;
L87:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v8p))) { goto L96; }
          v23 = ecl_fixnum(v8p);
          if (!((v23)<=(4294967295))) { goto L96; }
          if (!((v23)>=(0))) { goto L96; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(32));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v8p, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L95;
L96:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8p, VV[170]) /*  X-TYPE-ERROR */;
L95:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v9q))) { goto L104; }
          v23 = ecl_fixnum(v9q);
          if (!((v23)<=(4294967295))) { goto L104; }
          if (!((v23)>=(0))) { goto L104; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(36));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v9q, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L103;
L104:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9q, VV[170]) /*  X-TYPE-ERROR */;
L103:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v10r))) { goto L112; }
          v23 = ecl_fixnum(v10r);
          if (!((v23)<=(4294967295))) { goto L112; }
          if (!((v23)>=(0))) { goto L112; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(40));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v10r, v22buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L111;
L112:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10r, VV[170]) /*  X-TYPE-ERROR */;
L111:;
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(11), v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v23;
          v23 = (v21buffer_boffset)+(44);
          (v12_display_)->instance.slots[6]=ecl_make_fixnum(v23);
          }
          {
          cl_object v23;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v12_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v24;
          v24 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v24));
          v23 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v12_display_)->instance.slots[3]=v23;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v20);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v12_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v20);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v19=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v13);
         if (!((T0)==(T1))) { goto L124; }
         if (!((v14)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L127; }
         T0 = mp_lock_count(v13);
         if (!(ecl_number_compare(T0,v15)>0)) { goto L124; }
         goto L125;
L127:;
L125:;
         mp_giveup_lock(v13);
L124:;
         ecl_stack_pop_values(cl_env_copy,v19);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v18);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v16);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L129; }
       si_check_pending_interrupts();
L129:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v16);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-QUERY-FILTERS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60render_query_filters(cl_object volatile v1drawable)
{
 cl_object T0, T1, T2, T3, T4, T5;
 volatile cl_object lex0[2];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2display;
   v2display = ecl_function_dispatch(cl_env_copy,VV[376])(1, v1drawable) /*  DRAWABLE-DISPLAY */;
   {
    volatile cl_object v3_display_;
    volatile cl_object v4_pending_command_;
    volatile cl_object v5_reply_buffer_;
    T0 = si_of_class_p(2, v2display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v2display);
    v3_display_ = v2display;
    v4_pending_command_ = ECL_NIL;
    v5_reply_buffer_ = ECL_NIL;
    {
     volatile bool unwinding = FALSE;
     cl_index v6=ECL_STACK_INDEX(cl_env_copy),v7;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v3_display_) /*  BUFFER-DEAD */)) { goto L8; }
     ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v3_display_) /*  X-ERROR */;
L8:;
     {
      volatile cl_object v8;
      volatile cl_object v9;
      volatile cl_object v10;
      v8 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v3_display_) /*  BUFFER-LOCK */;
      v9 = mp_lock_owner(v8);
      v10 = mp_lock_count(v8);
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v11;
        v11 = _ecl_inner_frame;
        {
         volatile cl_object v12;
         v12 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v13=ECL_STACK_INDEX(cl_env_copy),v14;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v12); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v8);
          v4_pending_command_ = ecl_function_dispatch(cl_env_copy,VV[399])(1, v3_display_) /*  START-PENDING-COMMAND */;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v3_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L23; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v3_display_) /*  BUFFER-FLUSH */;
L23:;
          {
          cl_fixnum v15buffer_boffset;
          cl_object v16buffer_bbuf;
          v15buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v3_display_) /*  BUFFER-BOFFSET */);
          v16buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v3_display_) /*  BUFFER-OBUF8 */;
          (v3_display_)->instance.slots[4]=ecl_make_fixnum(v15buffer_boffset);
          {
          uint8_t v17;
          cl_fixnum v18;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v2display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L33; }
          v17 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v2display) /*  X-ERROR */);
          goto L31;
L33:;
          v17 = ecl_fixnum(value0);
          goto L31;
L31:;
          v18 = (v15buffer_boffset)+(0);
          (v16buffer_bbuf)->vector.self.b8[v18]= v17;
          }
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(1);
          (v16buffer_bbuf)->vector.self.b8[v17]= (uint8_t)(29);
          }
          if (Null(ecl_function_dispatch(cl_env_copy,VV[393])(1, v1drawable) /*  DRAWABLE-P */)) { goto L40; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[394])(1, v1drawable) /*  DRAWABLE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L39;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1drawable, VV[133]) /*  X-TYPE-ERROR */;
L39:;
          T0 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(2), v16buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(8);
          (v3_display_)->instance.slots[6]=ecl_make_fixnum(v17);
          }
          {
          cl_object v17;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v3_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v18;
          v18 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v18));
          v17 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          (v3_display_)->instance.slots[3]=v17;
          }
          }
          ecl_function_dispatch(cl_env_copy,VV[400])(1, v3_display_) /*  BUFFER-FORCE-OUTPUT */;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[341])(1, v3_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v14=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v8);
          if (!((T0)==(T1))) { goto L47; }
          if (!((v9)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L50; }
          T0 = mp_lock_count(v8);
          if (!(ecl_number_compare(T0,v10)>0)) { goto L47; }
          goto L48;
L50:;
L48:;
          mp_giveup_lock(v8);
L47:;
          ecl_stack_pop_values(cl_env_copy,v14);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v13);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v11);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L52; }
        si_check_pending_interrupts();
L52:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
     {
      cl_object v8;
      v8 = ecl_function_dispatch(cl_env_copy,VV[401])(2, v3_display_, v4_pending_command_) /*  READ-REPLY */;
      value0 = ecl_make_bool(v8==ECL_NIL);
      if ((value0)!=ECL_NIL) { goto L60; }
      T0 = si_of_class_p(2, v8, VV[149]);
      goto L58;
L60:;
      T0 = value0;
      goto L58;
L58:;
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[150],v8);
      v5_reply_buffer_ = v8;
     }
     {
      cl_object v8_reply_buffer;
      T0 = si_of_class_p(2, v5_reply_buffer_, VV[149]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[149],v5_reply_buffer_);
      v8_reply_buffer = v5_reply_buffer_;
      lex0[0] = ecl_make_fixnum(0);               /*  BUFFER-BOFFSET  */
      T0 = ecl_function_dispatch(cl_env_copy,VV[402])(1, v8_reply_buffer) /*  REPLY-IBUF8 */;
      lex0[1] = T0;                               /*  BUFFER-BBUF     */
      {
       cl_object v9len;
       cl_object v10n_aliases;
       cl_object v11n_filters;
       cl_object v12off;
       T0 = ecl_plus(lex0[0],ecl_make_fixnum(4));
       v9len = ecl_function_dispatch(cl_env_copy,VV[403])(2, lex0[1], T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(lex0[0],ecl_make_fixnum(8));
       v10n_aliases = ecl_function_dispatch(cl_env_copy,VV[403])(2, lex0[1], T0) /*  AREF-CARD32 */;
       T0 = ecl_plus(lex0[0],ecl_make_fixnum(12));
       v11n_filters = ecl_function_dispatch(cl_env_copy,VV[403])(2, lex0[1], T0) /*  AREF-CARD32 */;
       T0 = ecl_times(ecl_make_fixnum(2),v10n_aliases);
       T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
       T2 = ecl_times(ecl_make_fixnum(4),T1);
       v12off = ecl_plus(ecl_make_fixnum(32),T2);
       {
        cl_object v13i;
        v13i = ecl_make_fixnum(0);
        {
         cl_object v14;
         cl_object v15;
         v14 = ecl_list1(ECL_NIL);
         v15 = v14;
L77:;
         if (!(ecl_number_compare(v13i,v10n_aliases)>=0)) { goto L79; }
         goto L78;
L79:;
         T1 = v15;
         T2 = ecl_times(v13i,ecl_make_fixnum(2));
         T3 = ecl_plus(ecl_make_fixnum(32),T2);
         T4 = ecl_plus(lex0[0],T3);
         T5 = ecl_function_dispatch(cl_env_copy,VV[407])(2, lex0[1], T4) /*  AREF-CARD16 */;
         v15 = ecl_list1(T5);
         (ECL_CONS_CDR(T1)=v15,T1);
         v13i = ecl_one_plus(v13i);
         goto L77;
L78:;
         T0 = _ecl_cdr(v14);
         goto L73;
        }
       }
L73:;
       T1 = cl_list(2, VV[172], T0);
       ecl_print(T1,ECL_NIL);
       {
        cl_object v13i;
        v13i = ecl_make_fixnum(0);
        {
         cl_object v14;
         cl_object v15;
         v14 = ecl_list1(ECL_NIL);
         v15 = v14;
L92:;
         if (!(ecl_number_compare(v13i,v9len)>=0)) { goto L94; }
         goto L93;
L94:;
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(0));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(1));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(2));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         T1 = v15;
         {
          uint8_t v16;
          {
          cl_fixnum v17;
          T2 = ecl_plus(v12off,ecl_make_fixnum(3));
          T3 = ecl_times(ecl_make_fixnum(4),v13i);
          T4 = ecl_plus(T2,T3);
          v17 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(T4));
          v16 = (uint8_t)((lex0[1])->vector.self.b8[v17]);
          }
          v15 = ecl_list1(ecl_make_uint8_t(v16));
         }
         (ECL_CONS_CDR(T1)=v15,T1);
         v13i = ecl_one_plus(v13i);
         goto L92;
L93:;
         T0 = _ecl_cdr(v14);
         goto L88;
        }
       }
L88:;
       T1 = cl_list(5, VV[173], v9len, v10n_aliases, v11n_filters, T0);
       ecl_print(T1,ECL_NIL);
       {
        cl_object v13;
        v13 = v11n_filters;
        {
         cl_object v14;
         cl_object v15;
         v14 = ecl_list1(ECL_NIL);
         v15 = v14;
L120:;
         v13 = ecl_minus(v13,ecl_make_fixnum(1));
         T1 = v13;
         if (!(ecl_minusp(T1))) { goto L122; }
         goto L121;
L122:;
         T1 = v15;
         {
          cl_object v17;                          /*  S               */
          cl_object v18;                          /*  J               */
          value0 = LC59grab_string(lex0, v12off);
          v17 = value0;
          {
          const int v19 = cl_env_copy->nvalues;
          cl_object v20;
          v20 = (v19<=1)? ECL_NIL : cl_env_copy->values[1];
          v18 = v20;
          }
          v12off = v18;
          T3 = cl_string_upcase(1, v17);
          T2 = cl_intern(2, T3, VV[174]);
         }
         v15 = ecl_list1(T2);
         (ECL_CONS_CDR(T1)=v15,T1);
         goto L120;
L121:;
         T0 = _ecl_cdr(v14);
         goto L116;
        }
       }
L116:;
       cl_env_copy->values[0] = ecl_print(T0,ECL_NIL);
       cl_env_copy->nvalues = 1;
      }
     }
       next_fr = NULL;
     }
     ecl_frs_pop(cl_env_copy);
     v7=ecl_stack_push_values(cl_env_copy);
     if (Null(v5_reply_buffer_)) { goto L135; }
     ecl_function_dispatch(cl_env_copy,VV[404])(1, v5_reply_buffer_) /*  DEALLOCATE-REPLY-BUFFER */;
L135:;
     if (Null(v4_pending_command_)) { goto L134; }
     ecl_function_dispatch(cl_env_copy,VV[405])(2, v3_display_, v4_pending_command_) /*  STOP-PENDING-COMMAND */;
L134:;
     ecl_stack_pop_values(cl_env_copy,v7);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,v6);
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*	local function GRAB-STRING                                    */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object LC59grab_string(volatile cl_object *lex0, cl_object v1j)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  uint8_t v2n;
  {
   cl_fixnum v3;
   v3 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(v1j));
   v2n = (uint8_t)((lex0[1])->vector.self.b8[v3]);
  }
  v1j = ecl_plus(v1j,ecl_make_fixnum(1));
  T0 = (ECL_SYM("CODE-CHAR",230)->symbol.gfdef);
  {
   cl_object v3;
   v3 = ecl_make_uint8_t(v2n);
   {
    cl_object v4;
    cl_object v5;
    v4 = ecl_list1(ECL_NIL);
    v5 = v4;
L10:;
    v3 = ecl_minus(v3,ecl_make_fixnum(1));
    T2 = v3;
    if (!(ecl_minusp(T2))) { goto L12; }
    goto L11;
L12:;
    T2 = v5;
    {
     uint8_t v6;
     {
      cl_fixnum v7;
      v7 = (ecl_fixnum(lex0[0]))+(ecl_fixnum(v1j));
      v6 = (uint8_t)((lex0[1])->vector.self.b8[v7]);
     }
     v5 = ecl_list1(ecl_make_uint8_t(v6));
    }
    (ECL_CONS_CDR(T2)=v5,T2);
    v1j = ecl_plus(v1j,ecl_make_fixnum(1));
    goto L10;
L11:;
    T1 = _ecl_cdr(v4);
    goto L6;
   }
  }
L6:;
  T2 = cl_map(3, ECL_SYM("STRING",805), T0, T1);
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = v1j;
  cl_env_copy->values[0] = T2;
  return cl_env_copy->values[0];
 }
}
/*	function definition for RENDER-SET-FILTER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61render_set_filter(cl_object volatile v1picture, cl_object volatile v2filter)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v3display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v4_display_;
    T0 = si_of_class_p(2, v3display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v3display);
    v4_display_ = v3display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v4_display_) /*  BUFFER-DEAD */)) { goto L6; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v4_display_) /*  X-ERROR */;
L6:;
    {
     volatile cl_object v5;
     volatile cl_object v6;
     volatile cl_object v7;
     v5 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v4_display_) /*  BUFFER-LOCK */;
     v6 = mp_lock_owner(v5);
     v7 = mp_lock_count(v5);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v8;
       v8 = _ecl_inner_frame;
       {
        volatile cl_object v9;
        v9 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v10=ECL_STACK_INDEX(cl_env_copy),v11;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v9); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v5);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v12;
          v12 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v4_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v4_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L22; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v4_display_) /*  BUFFER-FLUSH */;
L22:;
          {
          cl_fixnum v13buffer_boffset;
          cl_object v14buffer_bbuf;
          v13buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v4_display_) /*  BUFFER-BOFFSET */);
          v14buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v4_display_) /*  BUFFER-OBUF8 */;
          (v4_display_)->instance.slots[4]=ecl_make_fixnum(v13buffer_boffset);
          {
          uint8_t v15;
          cl_fixnum v16;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L32; }
          v15 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v3display) /*  X-ERROR */);
          goto L30;
L32:;
          v15 = ecl_fixnum(value0);
          goto L30;
L30:;
          v16 = (v13buffer_boffset)+(0);
          (v14buffer_bbuf)->vector.self.b8[v16]= v15;
          }
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(1);
          (v14buffer_bbuf)->vector.self.b8[v15]= (uint8_t)(30);
          }
          {
          cl_object v15_value_;
          v15_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(ECL_FIXNUMP(v15_value_))) { goto L40; }
          v16 = ecl_fixnum(v15_value_);
          if (!((v16)<=(536870911))) { goto L40; }
          if (!((v16)>=(0))) { goto L40; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v15_value_, v14buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L38;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v15_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L38:;
          {
          cl_fixnum v15_value_;
          v15_value_ = ecl_length(v2filter);
          {
          cl_fixnum v16;
          v16 = 0;
          if (!(1)) { goto L49; }
          v16 = v15_value_;
          if (!((v16)<=(65535))) { goto L49; }
          if (!((v16)>=(0))) { goto L49; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(v15_value_), v14buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L47;
L49:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, ecl_make_fixnum(v15_value_), VV[163]) /*  X-TYPE-ERROR */;
          }
L47:;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(10));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v14buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v15_value_;
          T0 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
          v15_value_ = cl_map(3, ECL_SYM("VECTOR",898), T0, v2filter);
          if (ECL_CONSP(v15_value_)) { goto L62; }
          if (v15_value_==ECL_NIL) { goto L62; }
          if (!(ECL_VECTORP(v15_value_))) { goto L60; }
          goto L61;
L62:;
L61:;
          {
          cl_fixnum v16;
          v16 = ecl_length(v15_value_);
          T0 = ecl_minus(ecl_make_fixnum(v16),ecl_make_fixnum(0));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_plus(T1,ecl_make_fixnum(3));
          T3 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T2, v14buffer_bbuf, T3) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[415])(6, v4_display_, T0, v15_value_, ecl_make_fixnum(0), ecl_make_fixnum(v16), ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L57;
          }
L60:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v15_value_, VV[176]) /*  X-TYPE-ERROR */;
          }
L57:;
          {
          cl_object v15;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v4_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v16;
          v16 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v16));
          v15 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v4_display_)->instance.slots[3]=v15;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v12);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v4_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v11=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v5);
         if (!((T0)==(T1))) { goto L69; }
         if (!((v6)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L72; }
         T0 = mp_lock_count(v5);
         if (!(ecl_number_compare(T0,v7)>0)) { goto L69; }
         goto L70;
L72:;
L70:;
         mp_giveup_lock(v5);
L69:;
         ecl_stack_pop_values(cl_env_copy,v11);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v10);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v8);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L74; }
       si_check_pending_interrupts();
L74:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v8);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-TRAPEZOIDS-1                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62render_trapezoids_1(cl_object volatile v1picture, cl_object volatile v2op, cl_object volatile v3source, cl_object volatile v4src_x, cl_object volatile v5src_y, cl_object volatile v6mask_format, cl_object volatile v7coord_sequence)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v1picture);
   L50synchronise_picture_state(v3source);
   {
    volatile cl_object v9_display_;
    T0 = si_of_class_p(2, v8display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v8display);
    v9_display_ = v8display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v9_display_) /*  BUFFER-DEAD */)) { goto L6; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v9_display_) /*  X-ERROR */;
L6:;
    {
     volatile cl_object v10;
     volatile cl_object v11;
     volatile cl_object v12;
     v10 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v9_display_) /*  BUFFER-LOCK */;
     v11 = mp_lock_owner(v10);
     v12 = mp_lock_count(v10);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v13;
       v13 = _ecl_inner_frame;
       {
        volatile cl_object v14;
        v14 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v15=ECL_STACK_INDEX(cl_env_copy),v16;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v14); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v10);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v17;
          v17 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v9_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v9_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L22; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v9_display_) /*  BUFFER-FLUSH */;
L22:;
          {
          cl_fixnum v18buffer_boffset;
          cl_object v19buffer_bbuf;
          v18buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v9_display_) /*  BUFFER-BOFFSET */);
          v19buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v9_display_) /*  BUFFER-OBUF8 */;
          (v9_display_)->instance.slots[4]=ecl_make_fixnum(v18buffer_boffset);
          {
          uint8_t v20;
          cl_fixnum v21;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L32; }
          v20 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v8display) /*  X-ERROR */);
          goto L30;
L32:;
          v20 = ecl_fixnum(value0);
          goto L30;
L30:;
          v21 = (v18buffer_boffset)+(0);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          }
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(1);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(10);
          }
          if (Null(ecl_memql(v2op,VV[161]))) { goto L39; }
          {
          uint8_t v20;
          cl_fixnum v21;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v20 = ecl_fixnum(cl_position(4, v2op, VV[178], ECL_SYM("TEST",1316), T0));
          v21 = (v18buffer_boffset)+(4);
          (v19buffer_bbuf)->vector.self.b8[v21]= v20;
          goto L38;
          }
L39:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2op, VV[73]) /*  X-TYPE-ERROR */;
L38:;
          {
          cl_fixnum v20;
          v20 = (v18buffer_boffset)+(5);
          (v19buffer_bbuf)->vector.self.b8[v20]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L49; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L49; }
          if (!((v21)>=(0))) { goto L49; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L47;
L49:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L47:;
          {
          cl_object v20_value_;
          v20_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v21;
          v21 = 0;
          if (!(ECL_FIXNUMP(v20_value_))) { goto L58; }
          v21 = ecl_fixnum(v20_value_);
          if (!((v21)<=(536870911))) { goto L58; }
          if (!((v21)>=(0))) { goto L58; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v20_value_, v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L56;
L58:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v20_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L56:;
          {
          cl_object v20;
          if (!((v6mask_format)==(ECL_SYM("NONE",1599)))) { goto L68; }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          v20 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v19buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L66;
L68:;
          v20 = ECL_NIL;
          goto L66;
L66:;
          if (Null(v20)) { goto L70; }
          goto L65;
L70:;
          if (Null(si_of_class_p(2, v6mask_format, VV[60]))) { goto L72; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v6mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v19buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L65;
L72:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6mask_format, VV[179]) /*  X-TYPE-ERROR */;
          }
L65:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v4src_x))) { goto L75; }
          v20 = ecl_fixnum(v4src_x);
          if (!((v20)<=(32767))) { goto L75; }
          if (!((v20)>=(-32768))) { goto L75; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v4src_x, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L74;
L75:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4src_x, VV[90]) /*  X-TYPE-ERROR */;
L74:;
          {
          cl_fixnum v20;
          v20 = 0;
          if (!(ECL_FIXNUMP(v5src_y))) { goto L83; }
          v20 = ecl_fixnum(v5src_y);
          if (!((v20)<=(32767))) { goto L83; }
          if (!((v20)>=(-32768))) { goto L83; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v5src_y, v19buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L82;
L83:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5src_y, VV[90]) /*  X-TYPE-ERROR */;
L82:;
          if (ECL_CONSP(v7coord_sequence)) { goto L93; }
          if (v7coord_sequence==ECL_NIL) { goto L93; }
          if (!(ECL_VECTORP(v7coord_sequence))) { goto L91; }
          goto L92;
L93:;
L92:;
          {
          cl_fixnum v20;
          v20 = ecl_length(v7coord_sequence);
          T0 = ecl_minus(ecl_make_fixnum(v20),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(6));
          T2 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T1, v19buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v18buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[411])(6, v9_display_, T0, v7coord_sequence, ecl_make_fixnum(0), ecl_make_fixnum(v20), ECL_NIL) /*  WRITE-SEQUENCE-INT32 */;
          goto L90;
          }
L91:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7coord_sequence, VV[167]) /*  X-TYPE-ERROR */;
L90:;
          {
          cl_object v20;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v9_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v21;
          v21 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v21));
          v20 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v9_display_)->instance.slots[3]=v20;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v17);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v9_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v17);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v16=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v10);
         if (!((T0)==(T1))) { goto L100; }
         if (!((v11)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L103; }
         T0 = mp_lock_count(v10);
         if (!(ecl_number_compare(T0,v12)>0)) { goto L100; }
         goto L101;
L103:;
L101:;
         mp_giveup_lock(v10);
L100:;
         ecl_stack_pop_values(cl_env_copy,v16);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v15);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v13);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L105; }
       si_check_pending_interrupts();
L105:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v13);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-COMPOSITE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63render_composite(cl_object volatile v1op, cl_object volatile v2source, cl_object volatile v3mask, cl_object volatile v4dest, cl_object volatile v5src_x, cl_object volatile v6src_y, cl_object volatile v7mask_x, cl_object volatile v8mask_y, cl_object volatile v9dst_x, cl_object volatile v10dst_y, cl_object volatile v11width, cl_object volatile v12height)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v13display;
   v13display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v2source) /*  PICTURE-DISPLAY */;
   L50synchronise_picture_state(v2source);
   if (Null(v3mask)) { goto L3; }
   L50synchronise_picture_state(v3mask);
L3:;
   L50synchronise_picture_state(v4dest);
   {
    volatile cl_object v14_display_;
    T0 = si_of_class_p(2, v13display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v13display);
    v14_display_ = v13display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v14_display_) /*  BUFFER-DEAD */)) { goto L8; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v14_display_) /*  X-ERROR */;
L8:;
    {
     volatile cl_object v15;
     volatile cl_object v16;
     volatile cl_object v17;
     v15 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v14_display_) /*  BUFFER-LOCK */;
     v16 = mp_lock_owner(v15);
     v17 = mp_lock_count(v15);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v18;
       v18 = _ecl_inner_frame;
       {
        volatile cl_object v19;
        v19 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v20=ECL_STACK_INDEX(cl_env_copy),v21;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v19); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v15);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v22;
          v22 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v14_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v14_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L24; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v14_display_) /*  BUFFER-FLUSH */;
L24:;
          {
          cl_fixnum v23buffer_boffset;
          cl_object v24buffer_bbuf;
          v23buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v14_display_) /*  BUFFER-BOFFSET */);
          v24buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v14_display_) /*  BUFFER-OBUF8 */;
          (v14_display_)->instance.slots[4]=ecl_make_fixnum(v23buffer_boffset);
          {
          uint8_t v25;
          cl_fixnum v26;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v13display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L34; }
          v25 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v13display) /*  X-ERROR */);
          goto L32;
L34:;
          v25 = ecl_fixnum(value0);
          goto L32;
L32:;
          v26 = (v23buffer_boffset)+(0);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          }
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(1);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(8);
          }
          if (Null(ecl_memql(v1op,VV[161]))) { goto L41; }
          {
          uint8_t v25;
          cl_fixnum v26;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v25 = ecl_fixnum(cl_position(4, v1op, VV[181], ECL_SYM("TEST",1316), T0));
          v26 = (v23buffer_boffset)+(4);
          (v24buffer_bbuf)->vector.self.b8[v26]= v25;
          goto L40;
          }
L41:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1op, VV[73]) /*  X-TYPE-ERROR */;
L40:;
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(5);
          (v24buffer_bbuf)->vector.self.b8[v25]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v2source) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L51; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L51; }
          if (!((v26)>=(0))) { goto L51; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L49;
L51:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v25_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L49:;
          {
          cl_object v25_value_;
          if (Null(v3mask)) { goto L60; }
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3mask) /*  PICTURE-ID */;
          goto L59;
L60:;
          v25_value_ = ecl_make_fixnum(0);
L59:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L62; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L62; }
          if (!((v26)>=(0))) { goto L62; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L58;
L62:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v25_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L58:;
          {
          cl_object v25_value_;
          v25_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v4dest) /*  PICTURE-ID */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v25_value_))) { goto L71; }
          v26 = ecl_fixnum(v25_value_);
          if (!((v26)<=(536870911))) { goto L71; }
          if (!((v26)>=(0))) { goto L71; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v25_value_, v24buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L69;
L71:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v25_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L69:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v5src_x))) { goto L79; }
          v25 = ecl_fixnum(v5src_x);
          if (!((v25)<=(32767))) { goto L79; }
          if (!((v25)>=(-32768))) { goto L79; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v5src_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L78;
L79:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5src_x, VV[90]) /*  X-TYPE-ERROR */;
L78:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v6src_y))) { goto L87; }
          v25 = ecl_fixnum(v6src_y);
          if (!((v25)<=(32767))) { goto L87; }
          if (!((v25)>=(-32768))) { goto L87; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v6src_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L86;
L87:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6src_y, VV[90]) /*  X-TYPE-ERROR */;
L86:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v7mask_x))) { goto L95; }
          v25 = ecl_fixnum(v7mask_x);
          if (!((v25)<=(32767))) { goto L95; }
          if (!((v25)>=(-32768))) { goto L95; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v7mask_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L94;
L95:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7mask_x, VV[90]) /*  X-TYPE-ERROR */;
L94:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v8mask_y))) { goto L103; }
          v25 = ecl_fixnum(v8mask_y);
          if (!((v25)<=(32767))) { goto L103; }
          if (!((v25)>=(-32768))) { goto L103; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v8mask_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L102;
L103:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8mask_y, VV[90]) /*  X-TYPE-ERROR */;
L102:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v9dst_x))) { goto L111; }
          v25 = ecl_fixnum(v9dst_x);
          if (!((v25)<=(32767))) { goto L111; }
          if (!((v25)>=(-32768))) { goto L111; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(28));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9dst_x, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L110;
L111:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9dst_x, VV[90]) /*  X-TYPE-ERROR */;
L110:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v10dst_y))) { goto L119; }
          v25 = ecl_fixnum(v10dst_y);
          if (!((v25)<=(32767))) { goto L119; }
          if (!((v25)>=(-32768))) { goto L119; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(30));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v10dst_y, v24buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L118;
L119:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10dst_y, VV[90]) /*  X-TYPE-ERROR */;
L118:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v11width))) { goto L127; }
          v25 = ecl_fixnum(v11width);
          if (!((v25)<=(65535))) { goto L127; }
          if (!((v25)>=(0))) { goto L127; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(32));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v11width, v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L126;
L127:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11width, VV[163]) /*  X-TYPE-ERROR */;
L126:;
          {
          cl_fixnum v25;
          v25 = 0;
          if (!(ECL_FIXNUMP(v12height))) { goto L135; }
          v25 = ecl_fixnum(v12height);
          if (!((v25)<=(65535))) { goto L135; }
          if (!((v25)>=(0))) { goto L135; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(34));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v12height, v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L134;
L135:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v12height, VV[163]) /*  X-TYPE-ERROR */;
L134:;
          T0 = ecl_plus(ecl_make_fixnum(v23buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(9), v24buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v25;
          v25 = (v23buffer_boffset)+(36);
          (v14_display_)->instance.slots[6]=ecl_make_fixnum(v25);
          }
          {
          cl_object v25;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v14_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v26;
          v26 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v26));
          v25 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v14_display_)->instance.slots[3]=v25;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v22);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v14_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v22);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v21=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v15);
         if (!((T0)==(T1))) { goto L147; }
         if (!((v16)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L150; }
         T0 = mp_lock_count(v15);
         if (!(ecl_number_compare(T0,v17)>0)) { goto L147; }
         goto L148;
L150:;
L148:;
         mp_giveup_lock(v15);
L147:;
         ecl_stack_pop_values(cl_env_copy,v21);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v20);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v18);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L152; }
       si_check_pending_interrupts();
L152:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v18);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for MAKE-GLYPH-SET                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64make_glyph_set(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1;
  cl_object v2;
  cl_object v3;
  cl_object v4;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L64make_glyph_setkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    v1 = ecl_make_fixnum(0);
   } else {
    v1 = keyvars[0];
   }
   v2 = keyvars[1];
   v3 = keyvars[2];
   v4 = keyvars[3];
  }
  if (ECL_LISTP(v3)) { goto L2; }
  si_structure_type_error(4, v3, ECL_SYM("LIST",481), VV[56], VV[81]);
L2:;
  if (v2==ECL_NIL) { goto L4; }
  if ((si_of_class_p(2, v2, VV[41]))!=ECL_NIL) { goto L4; }
  si_structure_type_error(4, v2, VV[82], VV[56], VV[41]);
L4:;
  {
   cl_fixnum v5;
   v5 = 0;
   if (!(ECL_FIXNUMP(v1))) { goto L11; }
   v5 = ecl_fixnum(v1);
   if (!((v5)<=(536870911))) { goto L16; }
   if ((v5)>=(0)) { goto L7; }
   goto L8;
L16:;
   goto L8;
L11:;
   goto L8;
  }
L8:;
  si_structure_type_error(4, v1, VV[83], VV[56], VV[64]);
L7:;
  value0 = si_make_structure(5, VV[184], v1, v2, v3, v4);
  return value0;
 }
}
/*	function definition for RENDER-CREATE-GLYPH-SET               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65render_create_glyph_set(volatile cl_narg narg, cl_object volatile v1format, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2glyph_set;
  ecl_va_list args; ecl_va_start(args,v1format,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L65render_create_glyph_setkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2glyph_set = keyvars[0];
  }
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[421])(1, v1format) /*  PICTURE-FORMAT-DISPLAY */;
   {
    volatile cl_object v4glyph_set;
    volatile cl_object v5gsid;
    value0 = v2glyph_set;
    if ((value0)!=ECL_NIL) { goto L4; }
    v4glyph_set = L64make_glyph_set(2, VV[88], v3display);
    goto L2;
L4:;
    v4glyph_set = value0;
    goto L2;
L2:;
    {
     volatile cl_object v6;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v3display) /*  BUFFER-DEAD */)) { goto L8; }
     ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v3display) /*  X-ERROR */;
L8:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_object v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v3display) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = mp_lock_count(v7);
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          T0 = ecl_function_dispatch(cl_env_copy,VV[392])(1, v3display) /*  DISPLAY-XID */;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,T0)(1, v3display);
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v7);
          if (!((T0)==(T1))) { goto L21; }
          if (!((v8)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L24; }
          T0 = mp_lock_count(v7);
          if (!(ecl_number_compare(T0,v9)>0)) { goto L21; }
          goto L22;
L24:;
L22:;
          mp_giveup_lock(v7);
L21:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L26; }
        si_check_pending_interrupts();
L26:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
        value0 = cl_env_copy->values[0];
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
      v6 = value0;
     }
     v5gsid = ecl_structure_set(v4glyph_set,VV[56],0,v6);
    }
    ecl_structure_set(v4glyph_set,VV[56],3,v1format);
    {
     volatile cl_object v6_display_;
     T0 = si_of_class_p(2, v3display, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v3display);
     v6_display_ = v3display;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v6_display_) /*  BUFFER-DEAD */)) { goto L32; }
     ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v6_display_) /*  X-ERROR */;
L32:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_object v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v6_display_) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = mp_lock_count(v7);
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v14;
          v14 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v6_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v6_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L48; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v6_display_) /*  BUFFER-FLUSH */;
L48:;
          {
          cl_fixnum v15buffer_boffset;
          cl_object v16buffer_bbuf;
          v15buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v6_display_) /*  BUFFER-BOFFSET */);
          v16buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v6_display_) /*  BUFFER-OBUF8 */;
          (v6_display_)->instance.slots[4]=ecl_make_fixnum(v15buffer_boffset);
          {
          uint8_t v17;
          cl_fixnum v18;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L58; }
          v17 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v3display) /*  X-ERROR */);
          goto L56;
L58:;
          v17 = ecl_fixnum(value0);
          goto L56;
L56:;
          v18 = (v15buffer_boffset)+(0);
          (v16buffer_bbuf)->vector.self.b8[v18]= v17;
          }
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(1);
          (v16buffer_bbuf)->vector.self.b8[v17]= (uint8_t)(17);
          }
          if (Null(si_of_class_p(2, v4glyph_set, VV[56]))) { goto L65; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v4glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L64;
L65:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L64:;
          if (Null(si_of_class_p(2, v1format, VV[60]))) { goto L68; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v1format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L67;
L68:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1format, VV[60]) /*  X-TYPE-ERROR */;
L67:;
          T0 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(3), v16buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(12);
          (v6_display_)->instance.slots[6]=ecl_make_fixnum(v17);
          }
          {
          cl_object v17;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v6_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v18;
          v18 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v18));
          v17 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v6_display_)->instance.slots[3]=v17;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v14);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v6_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v14);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v7);
          if (!((T0)==(T1))) { goto L75; }
          if (!((v8)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L78; }
          T0 = mp_lock_count(v7);
          if (!(ecl_number_compare(T0,v9)>0)) { goto L75; }
          goto L76;
L78:;
L76:;
          mp_giveup_lock(v7);
L75:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L80; }
        si_check_pending_interrupts();
L80:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
    value0 = v4glyph_set;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for RENDER-REFERENCE-GLYPH-SET            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66render_reference_glyph_set(volatile cl_narg narg, cl_object volatile v1existing_glyph_set, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2glyph_set;
  ecl_va_list args; ecl_va_start(args,v1existing_glyph_set,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L66render_reference_glyph_setkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2glyph_set = keyvars[0];
  }
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[397])(1, v1existing_glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v4glyph_set;
    volatile cl_object v5gsid;
    value0 = v2glyph_set;
    if ((value0)!=ECL_NIL) { goto L4; }
    v4glyph_set = L64make_glyph_set(2, VV[88], v3display);
    goto L2;
L4:;
    v4glyph_set = value0;
    goto L2;
L2:;
    {
     volatile cl_object v6;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v3display) /*  BUFFER-DEAD */)) { goto L8; }
     ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v3display) /*  X-ERROR */;
L8:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_object v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v3display) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = mp_lock_count(v7);
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          T0 = ecl_function_dispatch(cl_env_copy,VV[392])(1, v3display) /*  DISPLAY-XID */;
          cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,T0)(1, v3display);
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v7);
          if (!((T0)==(T1))) { goto L21; }
          if (!((v8)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L24; }
          T0 = mp_lock_count(v7);
          if (!(ecl_number_compare(T0,v9)>0)) { goto L21; }
          goto L22;
L24:;
L22:;
          mp_giveup_lock(v7);
L21:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L26; }
        si_check_pending_interrupts();
L26:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
        value0 = cl_env_copy->values[0];
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
      v6 = value0;
     }
     v5gsid = ecl_structure_set(v4glyph_set,VV[56],0,v6);
    }
    {
     cl_object v6;
     v6 = ecl_function_dispatch(cl_env_copy,VV[423])(1, v1existing_glyph_set) /*  GLYPH-SET-FORMAT */;
     ecl_structure_set(v4glyph_set,VV[56],3,v6);
    }
    {
     volatile cl_object v6_display_;
     T0 = si_of_class_p(2, v3display, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v3display);
     v6_display_ = v3display;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v6_display_) /*  BUFFER-DEAD */)) { goto L33; }
     ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v6_display_) /*  X-ERROR */;
L33:;
     {
      volatile cl_object v7;
      volatile cl_object v8;
      volatile cl_object v9;
      v7 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v6_display_) /*  BUFFER-LOCK */;
      v8 = mp_lock_owner(v7);
      v9 = mp_lock_count(v7);
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v10;
        v10 = _ecl_inner_frame;
        {
         volatile cl_object v11;
         v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v7);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v14;
          v14 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v6_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v6_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L49; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v6_display_) /*  BUFFER-FLUSH */;
L49:;
          {
          cl_fixnum v15buffer_boffset;
          cl_object v16buffer_bbuf;
          v15buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v6_display_) /*  BUFFER-BOFFSET */);
          v16buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v6_display_) /*  BUFFER-OBUF8 */;
          (v6_display_)->instance.slots[4]=ecl_make_fixnum(v15buffer_boffset);
          {
          uint8_t v17;
          cl_fixnum v18;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L59; }
          v17 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v3display) /*  X-ERROR */);
          goto L57;
L59:;
          v17 = ecl_fixnum(value0);
          goto L57;
L57:;
          v18 = (v15buffer_boffset)+(0);
          (v16buffer_bbuf)->vector.self.b8[v18]= v17;
          }
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(1);
          (v16buffer_bbuf)->vector.self.b8[v17]= (uint8_t)(18);
          }
          if (Null(si_of_class_p(2, v4glyph_set, VV[56]))) { goto L66; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v4glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L65;
L66:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L65:;
          if (Null(si_of_class_p(2, v1existing_glyph_set, VV[56]))) { goto L69; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1existing_glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v16buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L68;
L69:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1existing_glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L68:;
          T0 = ecl_plus(ecl_make_fixnum(v15buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(3), v16buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v17;
          v17 = (v15buffer_boffset)+(12);
          (v6_display_)->instance.slots[6]=ecl_make_fixnum(v17);
          }
          {
          cl_object v17;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v6_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v18;
          v18 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v18));
          v17 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v6_display_)->instance.slots[3]=v17;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v14);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v6_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v14);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v13=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v7);
          if (!((T0)==(T1))) { goto L76; }
          if (!((v8)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L79; }
          T0 = mp_lock_count(v7);
          if (!(ecl_number_compare(T0,v9)>0)) { goto L76; }
          goto L77;
L79:;
L77:;
          mp_giveup_lock(v7);
L76:;
          ecl_stack_pop_values(cl_env_copy,v13);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v12);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v10);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L81; }
        si_check_pending_interrupts();
L81:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
    value0 = v4glyph_set;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for RENDER-COMPOSITE-GLYPHS-8             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L67render_composite_glyphs_8(volatile cl_narg narg, cl_object volatile v1dest, cl_object volatile v2glyph_set, cl_object volatile v3source, cl_object volatile v4dest_x, cl_object volatile v5dest_y, cl_object volatile v6sequence, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<6)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v7op;
  cl_object volatile v8alu;
  cl_object volatile v9src_x;
  cl_object volatile v10src_y;
  cl_object volatile v11mask_format;
  cl_object volatile v12start;
  cl_object volatile v13end;
  ecl_va_list args; ecl_va_start(args,v6sequence,narg,6);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,L67render_composite_glyphs_8keys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[7])) {
    v7op = VV[188];
   } else {
    v7op = keyvars[0];
   }
   if (Null(keyvars[8])) {
    v8alu = v7op;
   } else {
    v8alu = keyvars[1];
   }
   if (Null(keyvars[9])) {
    v9src_x = ecl_make_fixnum(0);
   } else {
    v9src_x = keyvars[2];
   }
   if (Null(keyvars[10])) {
    v10src_y = ecl_make_fixnum(0);
   } else {
    v10src_y = keyvars[3];
   }
   if (Null(keyvars[11])) {
    v11mask_format = ECL_SYM("NONE",1599);
   } else {
    v11mask_format = keyvars[4];
   }
   if (Null(keyvars[12])) {
    v12start = ecl_make_fixnum(0);
   } else {
    v12start = keyvars[5];
   }
   if (Null(keyvars[13])) {
    v13end = ecl_make_fixnum(ecl_length(v6sequence));
   } else {
    v13end = keyvars[6];
   }
  }
  {
   volatile cl_object v14display;
   v14display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1dest) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v14display);
   L50synchronise_picture_state(v1dest);
   L50synchronise_picture_state(v3source);
   if (!(ECL_STRINGP(v6sequence))) { goto L12; }
   T0 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
   v6sequence = cl_map(3, ECL_SYM("VECTOR",898), T0, v6sequence);
L12:;
   {
    volatile cl_object v15_display_;
    T0 = si_of_class_p(2, v14display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v14display);
    v15_display_ = v14display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v15_display_) /*  BUFFER-DEAD */)) { goto L18; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v15_display_) /*  X-ERROR */;
L18:;
    {
     volatile cl_object v16;
     volatile cl_object v17;
     volatile cl_object v18;
     v16 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v15_display_) /*  BUFFER-LOCK */;
     v17 = mp_lock_owner(v16);
     v18 = mp_lock_count(v16);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v19;
       v19 = _ecl_inner_frame;
       {
        volatile cl_object v20;
        v20 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v21=ECL_STACK_INDEX(cl_env_copy),v22;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v20); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v16);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v23;
          v23 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v15_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v15_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L34; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v15_display_) /*  BUFFER-FLUSH */;
L34:;
          {
          cl_fixnum v24buffer_boffset;
          cl_object v25buffer_bbuf;
          v24buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v15_display_) /*  BUFFER-BOFFSET */);
          v25buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v15_display_) /*  BUFFER-OBUF8 */;
          (v15_display_)->instance.slots[4]=ecl_make_fixnum(v24buffer_boffset);
          {
          uint8_t v26;
          cl_fixnum v27;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L44; }
          v26 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v14display) /*  X-ERROR */);
          goto L42;
L44:;
          v26 = ecl_fixnum(value0);
          goto L42;
L42:;
          v27 = (v24buffer_boffset)+(0);
          (v25buffer_bbuf)->vector.self.b8[v27]= v26;
          }
          {
          cl_fixnum v26;
          v26 = (v24buffer_boffset)+(1);
          (v25buffer_bbuf)->vector.self.b8[v26]= (uint8_t)(23);
          }
          if (Null(ecl_memql(v8alu,VV[161]))) { goto L51; }
          {
          uint8_t v26;
          cl_fixnum v27;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v26 = ecl_fixnum(cl_position(4, v8alu, VV[189], ECL_SYM("TEST",1316), T0));
          v27 = (v24buffer_boffset)+(4);
          (v25buffer_bbuf)->vector.self.b8[v27]= v26;
          goto L50;
          }
L51:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8alu, VV[73]) /*  X-TYPE-ERROR */;
L50:;
          {
          cl_fixnum v26;
          v26 = (v24buffer_boffset)+(5);
          (v25buffer_bbuf)->vector.self.b8[v26]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v25buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L60; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L59;
L60:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L59:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L63; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L62;
L63:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L62:;
          {
          cl_object v26;
          if (!((v11mask_format)==(ECL_SYM("NONE",1599)))) { goto L68; }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(16));
          v26 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v25buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L66;
L68:;
          v26 = ECL_NIL;
          goto L66;
L66:;
          if (Null(v26)) { goto L70; }
          goto L65;
L70:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L72; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L65;
L72:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11mask_format, VV[179]) /*  X-TYPE-ERROR */;
          }
L65:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L75; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v25buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L74;
L75:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L74:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L78; }
          v26 = ecl_fixnum(v9src_x);
          if (!((v26)<=(32767))) { goto L78; }
          if (!((v26)>=(-32768))) { goto L78; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9src_x, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L77;
L78:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9src_x, VV[90]) /*  X-TYPE-ERROR */;
L77:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L86; }
          v26 = ecl_fixnum(v10src_y);
          if (!((v26)<=(32767))) { goto L86; }
          if (!((v26)>=(-32768))) { goto L86; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v10src_y, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L85;
L86:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10src_y, VV[90]) /*  X-TYPE-ERROR */;
L85:;
          {
          cl_object v26_value_;
          v26_value_ = ecl_minus(v13end,v12start);
          {
          cl_fixnum v27;
          v27 = 0;
          if (!(ECL_FIXNUMP(v26_value_))) { goto L95; }
          v27 = ecl_fixnum(v26_value_);
          if (!((v27)<=(255))) { goto L95; }
          if (!((v27)>=(0))) { goto L95; }
          }
          {
          cl_fixnum v27;
          v27 = (v24buffer_boffset)+(28);
          (v25buffer_bbuf)->vector.self.b8[v27]= ecl_fixnum(v26_value_);
          goto L93;
          }
L95:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v26_value_, VV[190]) /*  X-TYPE-ERROR */;
          }
L93:;
          {
          cl_fixnum v26;
          v26 = (v24buffer_boffset)+(29);
          (v25buffer_bbuf)->vector.self.b8[v26]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(30));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v25buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v4dest_x))) { goto L107; }
          v26 = ecl_fixnum(v4dest_x);
          if (!((v26)<=(32767))) { goto L107; }
          if (!((v26)>=(-32768))) { goto L107; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(32));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v4dest_x, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L106;
L107:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4dest_x, VV[90]) /*  X-TYPE-ERROR */;
L106:;
          {
          cl_fixnum v26;
          v26 = 0;
          if (!(ECL_FIXNUMP(v5dest_y))) { goto L115; }
          v26 = ecl_fixnum(v5dest_y);
          if (!((v26)<=(32767))) { goto L115; }
          if (!((v26)>=(-32768))) { goto L115; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(34));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v5dest_y, v25buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L114;
L115:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5dest_y, VV[90]) /*  X-TYPE-ERROR */;
L114:;
          if (ECL_CONSP(v6sequence)) { goto L125; }
          if (v6sequence==ECL_NIL) { goto L125; }
          if (!(ECL_VECTORP(v6sequence))) { goto L123; }
          goto L124;
L125:;
L124:;
          {
          cl_fixnum v26;
          v26 = ecl_length(v6sequence);
          T0 = ecl_minus(ecl_make_fixnum(v26),ecl_make_fixnum(0));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_plus(T1,ecl_make_fixnum(9));
          T3 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T2, v25buffer_bbuf, T3) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v24buffer_boffset),ecl_make_fixnum(36));
          ecl_function_dispatch(cl_env_copy,VV[415])(6, v15_display_, T0, v6sequence, ecl_make_fixnum(0), ecl_make_fixnum(v26), ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L122;
          }
L123:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[176]) /*  X-TYPE-ERROR */;
L122:;
          {
          cl_object v26;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v15_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v27;
          v27 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v27));
          v26 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v15_display_)->instance.slots[3]=v26;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v23);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v15_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v23);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v22=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v16);
         if (!((T0)==(T1))) { goto L132; }
         if (!((v17)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L135; }
         T0 = mp_lock_count(v16);
         if (!(ecl_number_compare(T0,v18)>0)) { goto L132; }
         goto L133;
L135:;
L133:;
         mp_giveup_lock(v16);
L132:;
         ecl_stack_pop_values(cl_env_copy,v22);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v21);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v19);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L137; }
       si_check_pending_interrupts();
L137:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v19);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	local function %RENDER-COMPOSITE-GLYPHS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68_render_composite_glyphs(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36, T37, T38, T39, T40, T41, T42, T43, T44, T45, T46, T47, T48, T49, T50, T51;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4opcode;
   cl_object v5type;
   cl_object v6transform;
   cl_object v7display;
   cl_object v8dest;
   cl_object v9glyph_set;
   cl_object v10source;
   cl_object v11dest_x;
   cl_object v12dest_y;
   cl_object v13sequence;
   cl_object v14alu;
   cl_object v15src_x;
   cl_object v16src_y;
   cl_object v17mask_format;
   cl_object v18start;
   cl_object v19end;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4opcode = v20;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5type = v20;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6transform = v20;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7display = v20;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8dest = v20;
   }
   if (!(v3==ECL_NIL)) { goto L33; }
   si_dm_too_few_arguments(v1);
L33:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v9glyph_set = v20;
   }
   if (!(v3==ECL_NIL)) { goto L39; }
   si_dm_too_few_arguments(v1);
L39:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v10source = v20;
   }
   if (!(v3==ECL_NIL)) { goto L45; }
   si_dm_too_few_arguments(v1);
L45:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v11dest_x = v20;
   }
   if (!(v3==ECL_NIL)) { goto L51; }
   si_dm_too_few_arguments(v1);
L51:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v12dest_y = v20;
   }
   if (!(v3==ECL_NIL)) { goto L57; }
   si_dm_too_few_arguments(v1);
L57:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v13sequence = v20;
   }
   if (!(v3==ECL_NIL)) { goto L63; }
   si_dm_too_few_arguments(v1);
L63:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v14alu = v20;
   }
   if (!(v3==ECL_NIL)) { goto L69; }
   si_dm_too_few_arguments(v1);
L69:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v15src_x = v20;
   }
   if (!(v3==ECL_NIL)) { goto L75; }
   si_dm_too_few_arguments(v1);
L75:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v16src_y = v20;
   }
   if (!(v3==ECL_NIL)) { goto L81; }
   si_dm_too_few_arguments(v1);
L81:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v17mask_format = v20;
   }
   if (!(v3==ECL_NIL)) { goto L87; }
   si_dm_too_few_arguments(v1);
L87:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v18start = v20;
   }
   if (!(v3==ECL_NIL)) { goto L93; }
   si_dm_too_few_arguments(v1);
L93:;
   {
    cl_object v20;
    v20 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v19end = v20;
   }
   if (Null(v3)) { goto L98; }
   si_dm_too_many_arguments(v1);
L98:;
   {
    cl_object v20;
    cl_object v21;
    if (!((v5type)==(VV[190]))) { goto L101; }
    v20 = ecl_make_fixnum(1);
    goto L100;
L101:;
    if (!((v5type)==(VV[163]))) { goto L103; }
    v20 = ecl_make_fixnum(2);
    goto L100;
L103:;
    if (!((v5type)==(VV[170]))) { goto L105; }
    v20 = ecl_make_fixnum(4);
    goto L100;
L105:;
    v20 = si_ecase_error(v5type, VV[192]);
L100:;
    if (!((v5type)==(VV[190]))) { goto L108; }
    v21 = ecl_make_fixnum(252);
    goto L107;
L108:;
    if (!((v5type)==(VV[163]))) { goto L110; }
    v21 = ecl_make_fixnum(254);
    goto L107;
L110:;
    if (!((v5type)==(VV[170]))) { goto L112; }
    v21 = ecl_make_fixnum(254);
    goto L107;
L112:;
    v21 = si_ecase_error(v5type, VV[192]);
L107:;
    T0 = cl_list(3, ECL_SYM("FLOOR",384), VV[194], v21);
    T1 = cl_list(3, ECL_SYM("*",18), v21, v20);
    T2 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T1);
    T3 = cl_list(3, ECL_SYM("*",18), VV[196], T2);
    T4 = cl_list(3, ECL_SYM("*",18), VV[198], v20);
    T5 = cl_list(3, ECL_SYM("CEILING",199), T4, ecl_make_fixnum(4));
    T6 = cl_list(3, ECL_SYM("*",18), ecl_make_fixnum(4), T5);
    T7 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T6);
    T8 = cl_list(4, ECL_SYM("IF",946), VV[197], T7, ecl_make_fixnum(0));
    T9 = cl_list(3, ECL_SYM("+",14), T3, T8);
    T10 = cl_list(2, VV[195], T9);
    T11 = cl_list(2, T10, VV[199]);
    T12 = cl_list(3, VV[202], v7display, _ecl_static_11);
    T13 = cl_listX(3, v7display, T12, VV[203]);
    T14 = cl_list(2, VV[204], v4opcode);
    T15 = cl_list(2, VV[73], v14alu);
    T16 = cl_list(2, VV[49], v10source);
    T17 = cl_list(2, VV[49], v8dest);
    T18 = cl_list(2, VV[179], v17mask_format);
    T19 = cl_list(2, VV[56], v9glyph_set);
    T20 = cl_list(2, VV[90], v15src_x);
    T21 = cl_list(2, VV[90], v16src_y);
    T22 = cl_list(2, VV[209], v18start);
    T23 = cl_list(2, VV[210], v19end);
    T24 = cl_list(2, VV[211], v11dest_x);
    T25 = cl_list(2, VV[212], v12dest_y);
    T26 = cl_list(5, VV[208], T22, T23, T24, T25);
    T27 = cl_list(2, VV[190], v21);
    T28 = cl_list(3, ECL_SYM("+",14), VV[209], v21);
    T29 = cl_listX(10, ECL_SYM("SEQUENCE",741), ECL_SYM("START",1310), VV[209], ECL_SYM("END",1225), T28, VV[219], v5type, VV[220], v6transform, VV[221]);
    T30 = cl_list(2, T29, v13sequence);
    T31 = cl_list(8, VV[215], VV[216], T27, VV[206], VV[207], VV[217], VV[218], T30);
    T32 = cl_list(3, ECL_SYM("*",18), v21, v20);
    T33 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T32);
    T34 = cl_list(3, ECL_SYM("INCF",433), VV[223], T33);
    T35 = cl_list(3, ECL_SYM("INCF",433), VV[209], v21);
    T36 = cl_list(7, ECL_SYM("DOTIMES",314), VV[213], VV[214], T31, VV[222], T34, T35);
    T37 = cl_listX(10, ECL_SYM("SEQUENCE",741), ECL_SYM("START",1310), VV[209], ECL_SYM("END",1225), VV[210], VV[219], v5type, VV[220], v6transform, VV[221]);
    T38 = cl_list(2, T37, v13sequence);
    T39 = cl_list(8, VV[215], VV[216], VV[224], VV[206], VV[207], VV[217], VV[218], T38);
    T40 = cl_list(3, ECL_SYM("*",18), VV[198], v20);
    T41 = cl_list(3, ECL_SYM("CEILING",199), T40, ecl_make_fixnum(4));
    T42 = cl_list(3, ECL_SYM("*",18), ecl_make_fixnum(4), T41);
    T43 = cl_list(3, ECL_SYM("+",14), ecl_make_fixnum(8), T42);
    T44 = cl_list(3, ECL_SYM("INCF",433), VV[223], T43);
    T45 = cl_list(5, ECL_SYM("WHEN",905), VV[197], VV[214], T39, T44);
    T46 = cl_list(2, VV[225], v7display);
    T47 = cl_list(3, ECL_SYM("SETF",750), T46, VV[223]);
    T48 = cl_list(5, ECL_SYM("LET",477), T26, T36, T45, T47);
    T49 = cl_list(2, ECL_SYM("PROGN",671), T48);
    T50 = cl_list(14, VV[201], T13, T14, VV[205], T15, VV[206], VV[207], T16, T17, T18, T19, T20, T21, T49);
    T51 = cl_list(4, ECL_SYM("LET*",478), T11, VV[200], T50);
    value0 = cl_list(4, ECL_SYM("MULTIPLE-VALUE-BIND",572), VV[193], T0, T51);
    return value0;
   }
  }
 }
}
/*	function definition for RENDER-COMPOSITE-GLYPHS               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72render_composite_glyphs(volatile cl_narg narg, cl_object volatile v1dest, cl_object volatile v2glyph_set, cl_object volatile v3source, cl_object volatile v4dest_x, cl_object volatile v5dest_y, cl_object volatile v6sequence, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<6)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v7op;
  cl_object volatile v8alu;
  cl_object volatile v9src_x;
  cl_object volatile v10src_y;
  cl_object volatile v11mask_format;
  cl_fixnum volatile v12start;
  cl_fixnum volatile v13end;
  ecl_va_list args; ecl_va_start(args,v6sequence,narg,6);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,L72render_composite_glyphskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[7])) {
    v7op = VV[188];
   } else {
    v7op = keyvars[0];
   }
   if (Null(keyvars[8])) {
    v8alu = v7op;
   } else {
    v8alu = keyvars[1];
   }
   if (Null(keyvars[9])) {
    v9src_x = ecl_make_fixnum(0);
   } else {
    v9src_x = keyvars[2];
   }
   if (Null(keyvars[10])) {
    v10src_y = ecl_make_fixnum(0);
   } else {
    v10src_y = keyvars[3];
   }
   if (Null(keyvars[11])) {
    v11mask_format = ECL_SYM("NONE",1599);
   } else {
    v11mask_format = keyvars[4];
   }
   if (Null(keyvars[12])) {
    v12start = 0;
   } else {
    v12start = ecl_to_fixnum(keyvars[5]);
   }
   if (Null(keyvars[13])) {
    v13end = ecl_length(v6sequence);
   } else {
    v13end = ecl_to_fixnum(keyvars[6]);
   }
  }
  {
   volatile cl_object v14display;
   v14display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1dest) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v14display);
   L50synchronise_picture_state(v1dest);
   L50synchronise_picture_state(v3source);
   if (Null(cl_typep(2, v6sequence, VV[227]))) { goto L12; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(252));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(252));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L17; }
     T3 = ecl_times(v17,ecl_make_fixnum(1));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L16;
L17:;
     T2 = ecl_make_fixnum(0);
L16:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      T0 = si_of_class_p(2, v14display, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v14display);
      v20_display_ = v14display;
      if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L24; }
      ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v20_display_) /*  X-ERROR */;
L24:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_object v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = mp_lock_count(v21);
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L40; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v20_display_) /*  BUFFER-FLUSH */;
L40:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v20_display_) /*  BUFFER-OBUF8 */;
          (v20_display_)->instance.slots[4]=ecl_make_fixnum(v29buffer_boffset);
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L50; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v14display) /*  X-ERROR */);
          goto L48;
L50:;
          v31 = ecl_fixnum(value0);
          goto L48;
L48:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(23);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[338])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L58; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L56;
L58:;
          goto L56;
L56:;
          if (Null(ecl_memql(v8alu,VV[161]))) { goto L61; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[228], ECL_SYM("TEST",1316), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L60;
          }
L61:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8alu, VV[73]) /*  X-TYPE-ERROR */;
L60:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L70; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L69;
L70:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L69:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L73; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L72;
L73:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L72:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1599)))) { goto L78; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L76;
L78:;
          v31 = ECL_NIL;
          goto L76;
L76:;
          if (Null(v31)) { goto L80; }
          goto L75;
L80:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L82; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L75;
L82:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11mask_format, VV[179]) /*  X-TYPE-ERROR */;
          }
L75:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L85; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L84;
L85:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L84:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L88; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L88; }
          if (!((v31)>=(-32768))) { goto L88; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L87;
L88:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9src_x, VV[90]) /*  X-TYPE-ERROR */;
L87:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L96; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L96; }
          if (!((v31)>=(-32768))) { goto L96; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L95;
L96:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10src_y, VV[90]) /*  X-TYPE-ERROR */;
L95:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L113;
L112:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(252);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L124; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L124; }
          if (!((v38)>=(-32768))) { goto L124; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L123;
L124:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L123:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L132; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L132; }
          if (!((v38)>=(-32768))) { goto L132; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L131;
L132:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L131:;
          if (ECL_CONSP(v6sequence)) { goto L141; }
          if (v6sequence==ECL_NIL) { goto L141; }
          if (!(ECL_VECTORP(v6sequence))) { goto L139; }
          goto L140;
L141:;
L140:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(252));
          ecl_function_dispatch(cl_env_copy,VV[415])(6, v20_display_, T0, v6sequence, v34start, T1, ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L117;
L139:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[229]) /*  X-TYPE-ERROR */;
L117:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(252));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(252));
          v37i = ecl_one_plus(v37i);
L113:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L155; }
          goto L112;
L155:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L157; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L163; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L163; }
          if (!((v37)>=(0))) { goto L163; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L162;
          }
L163:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v17, VV[190]) /*  X-TYPE-ERROR */;
L162:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L175; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L175; }
          if (!((v37)>=(-32768))) { goto L175; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L174;
L175:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L174:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L183; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L183; }
          if (!((v37)>=(-32768))) { goto L183; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L182;
L183:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L182:;
          if (ECL_CONSP(v6sequence)) { goto L192; }
          if (v6sequence==ECL_NIL) { goto L192; }
          if (!(ECL_VECTORP(v6sequence))) { goto L190; }
          goto L191;
L192:;
L191:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[415])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), ECL_NIL) /*  WRITE-SEQUENCE-CARD8 */;
          goto L161;
L190:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[230]) /*  X-TYPE-ERROR */;
L161:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(1));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L157:;
          v31_value_ = (v14display)->instance.slots[6]=v33boffset;
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v20_display_)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v21);
          if (!((T0)==(T1))) { goto L199; }
          if (!((v22)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L202; }
          T0 = mp_lock_count(v21);
          if (!(ecl_number_compare(T0,v23)>0)) { goto L199; }
          goto L200;
L202:;
L200:;
          mp_giveup_lock(v21);
L199:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L204; }
         si_check_pending_interrupts();
L204:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L12:;
   if (Null(cl_typep(2, v6sequence, VV[231]))) { goto L206; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(508));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L211; }
     T3 = ecl_times(v17,ecl_make_fixnum(2));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L210;
L211:;
     T2 = ecl_make_fixnum(0);
L210:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      T0 = si_of_class_p(2, v14display, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v14display);
      v20_display_ = v14display;
      if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L218; }
      ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v20_display_) /*  X-ERROR */;
L218:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_object v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = mp_lock_count(v21);
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L234; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v20_display_) /*  BUFFER-FLUSH */;
L234:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v20_display_) /*  BUFFER-OBUF8 */;
          (v20_display_)->instance.slots[4]=ecl_make_fixnum(v29buffer_boffset);
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L244; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v14display) /*  X-ERROR */);
          goto L242;
L244:;
          v31 = ecl_fixnum(value0);
          goto L242;
L242:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(24);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[338])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L252; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L250;
L252:;
          goto L250;
L250:;
          if (Null(ecl_memql(v8alu,VV[161]))) { goto L255; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[232], ECL_SYM("TEST",1316), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L254;
          }
L255:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8alu, VV[73]) /*  X-TYPE-ERROR */;
L254:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L264; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L263;
L264:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L263:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L267; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L266;
L267:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L266:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1599)))) { goto L272; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L270;
L272:;
          v31 = ECL_NIL;
          goto L270;
L270:;
          if (Null(v31)) { goto L274; }
          goto L269;
L274:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L276; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L269;
L276:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11mask_format, VV[179]) /*  X-TYPE-ERROR */;
          }
L269:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L279; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L278;
L279:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L278:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L282; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L282; }
          if (!((v31)>=(-32768))) { goto L282; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L281;
L282:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9src_x, VV[90]) /*  X-TYPE-ERROR */;
L281:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L290; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L290; }
          if (!((v31)>=(-32768))) { goto L290; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L289;
L290:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10src_y, VV[90]) /*  X-TYPE-ERROR */;
L289:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L307;
L306:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L318; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L318; }
          if (!((v38)>=(-32768))) { goto L318; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L317;
L318:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L317:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L326; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L326; }
          if (!((v38)>=(-32768))) { goto L326; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L325;
L326:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L325:;
          if (ECL_CONSP(v6sequence)) { goto L335; }
          if (v6sequence==ECL_NIL) { goto L335; }
          if (!(ECL_VECTORP(v6sequence))) { goto L333; }
          goto L334;
L335:;
L334:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          ecl_function_dispatch(cl_env_copy,VV[434])(6, v20_display_, T0, v6sequence, v34start, T1, ECL_NIL) /*  WRITE-SEQUENCE-CARD16 */;
          goto L311;
L333:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[233]) /*  X-TYPE-ERROR */;
L311:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(508));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L307:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L349; }
          goto L306;
L349:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L351; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L357; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L357; }
          if (!((v37)>=(0))) { goto L357; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L356;
          }
L357:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v17, VV[190]) /*  X-TYPE-ERROR */;
L356:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L369; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L369; }
          if (!((v37)>=(-32768))) { goto L369; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L368;
L369:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L368:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L377; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L377; }
          if (!((v37)>=(-32768))) { goto L377; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L376;
L377:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L376:;
          if (ECL_CONSP(v6sequence)) { goto L386; }
          if (v6sequence==ECL_NIL) { goto L386; }
          if (!(ECL_VECTORP(v6sequence))) { goto L384; }
          goto L385;
L386:;
L385:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[434])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), ECL_NIL) /*  WRITE-SEQUENCE-CARD16 */;
          goto L355;
L384:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[234]) /*  X-TYPE-ERROR */;
L355:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(2));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L351:;
          v31_value_ = (v14display)->instance.slots[6]=v33boffset;
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v20_display_)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v21);
          if (!((T0)==(T1))) { goto L393; }
          if (!((v22)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L396; }
          T0 = mp_lock_count(v21);
          if (!(ecl_number_compare(T0,v23)>0)) { goto L393; }
          goto L394;
L396:;
L394:;
          mp_giveup_lock(v21);
L393:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L398; }
         si_check_pending_interrupts();
L398:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L206:;
   if (Null(cl_typep(2, v6sequence, VV[235]))) { goto L400; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L405; }
     T3 = ecl_times(v17,ecl_make_fixnum(4));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L404;
L405:;
     T2 = ecl_make_fixnum(0);
L404:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      T0 = si_of_class_p(2, v14display, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v14display);
      v20_display_ = v14display;
      if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L412; }
      ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v20_display_) /*  X-ERROR */;
L412:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_object v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = mp_lock_count(v21);
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L428; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v20_display_) /*  BUFFER-FLUSH */;
L428:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v20_display_) /*  BUFFER-OBUF8 */;
          (v20_display_)->instance.slots[4]=ecl_make_fixnum(v29buffer_boffset);
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L438; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v14display) /*  X-ERROR */);
          goto L436;
L438:;
          v31 = ecl_fixnum(value0);
          goto L436;
L436:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(25);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[338])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L446; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L444;
L446:;
          goto L444;
L444:;
          if (Null(ecl_memql(v8alu,VV[161]))) { goto L449; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[236], ECL_SYM("TEST",1316), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L448;
          }
L449:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8alu, VV[73]) /*  X-TYPE-ERROR */;
L448:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L458; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L457;
L458:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L457:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L461; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L460;
L461:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L460:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1599)))) { goto L466; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L464;
L466:;
          v31 = ECL_NIL;
          goto L464;
L464:;
          if (Null(v31)) { goto L468; }
          goto L463;
L468:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L470; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L463;
L470:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11mask_format, VV[179]) /*  X-TYPE-ERROR */;
          }
L463:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L473; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L472;
L473:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L472:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L476; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L476; }
          if (!((v31)>=(-32768))) { goto L476; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L475;
L476:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9src_x, VV[90]) /*  X-TYPE-ERROR */;
L475:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L484; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L484; }
          if (!((v31)>=(-32768))) { goto L484; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L483;
L484:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10src_y, VV[90]) /*  X-TYPE-ERROR */;
L483:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L501;
L500:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L512; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L512; }
          if (!((v38)>=(-32768))) { goto L512; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L511;
L512:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L511:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L520; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L520; }
          if (!((v38)>=(-32768))) { goto L520; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L519;
L520:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L519:;
          if (ECL_CONSP(v6sequence)) { goto L529; }
          if (v6sequence==ECL_NIL) { goto L529; }
          if (!(ECL_VECTORP(v6sequence))) { goto L527; }
          goto L528;
L529:;
L528:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          ecl_function_dispatch(cl_env_copy,VV[435])(6, v20_display_, T0, v6sequence, v34start, T1, ECL_NIL) /*  WRITE-SEQUENCE-CARD32 */;
          goto L505;
L527:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[237]) /*  X-TYPE-ERROR */;
L505:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L501:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L543; }
          goto L500;
L543:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L545; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L551; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L551; }
          if (!((v37)>=(0))) { goto L551; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L550;
          }
L551:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v17, VV[190]) /*  X-TYPE-ERROR */;
L550:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L563; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L563; }
          if (!((v37)>=(-32768))) { goto L563; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L562;
L563:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L562:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L571; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L571; }
          if (!((v37)>=(-32768))) { goto L571; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L570;
L571:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L570:;
          if (ECL_CONSP(v6sequence)) { goto L580; }
          if (v6sequence==ECL_NIL) { goto L580; }
          if (!(ECL_VECTORP(v6sequence))) { goto L578; }
          goto L579;
L580:;
L579:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[435])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), ECL_NIL) /*  WRITE-SEQUENCE-CARD32 */;
          goto L549;
L578:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[238]) /*  X-TYPE-ERROR */;
L549:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(4));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L545:;
          v31_value_ = (v14display)->instance.slots[6]=v33boffset;
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v20_display_)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v21);
          if (!((T0)==(T1))) { goto L587; }
          if (!((v22)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L590; }
          T0 = mp_lock_count(v21);
          if (!(ecl_number_compare(T0,v23)>0)) { goto L587; }
          goto L588;
L590:;
L588:;
          mp_giveup_lock(v21);
L587:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L592; }
         si_check_pending_interrupts();
L592:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L400:;
   if (!(ECL_STRINGP(v6sequence))) { goto L594; }
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L599; }
     T3 = ecl_times(v17,ecl_make_fixnum(4));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L598;
L599:;
     T2 = ecl_make_fixnum(0);
L598:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      T0 = si_of_class_p(2, v14display, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v14display);
      v20_display_ = v14display;
      if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L606; }
      ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v20_display_) /*  X-ERROR */;
L606:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_object v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = mp_lock_count(v21);
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L622; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v20_display_) /*  BUFFER-FLUSH */;
L622:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v20_display_) /*  BUFFER-OBUF8 */;
          (v20_display_)->instance.slots[4]=ecl_make_fixnum(v29buffer_boffset);
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L632; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v14display) /*  X-ERROR */);
          goto L630;
L632:;
          v31 = ecl_fixnum(value0);
          goto L630;
L630:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(25);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[338])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L640; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L638;
L640:;
          goto L638;
L638:;
          if (Null(ecl_memql(v8alu,VV[161]))) { goto L643; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[239], ECL_SYM("TEST",1316), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L642;
          }
L643:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8alu, VV[73]) /*  X-TYPE-ERROR */;
L642:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L652; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L651;
L652:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L651:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L655; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L654;
L655:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L654:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1599)))) { goto L660; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L658;
L660:;
          v31 = ECL_NIL;
          goto L658;
L658:;
          if (Null(v31)) { goto L662; }
          goto L657;
L662:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L664; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L657;
L664:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11mask_format, VV[179]) /*  X-TYPE-ERROR */;
          }
L657:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L667; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L666;
L667:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L666:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L670; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L670; }
          if (!((v31)>=(-32768))) { goto L670; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L669;
L670:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9src_x, VV[90]) /*  X-TYPE-ERROR */;
L669:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L678; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L678; }
          if (!((v31)>=(-32768))) { goto L678; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L677;
L678:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10src_y, VV[90]) /*  X-TYPE-ERROR */;
L677:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L695;
L694:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L706; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L706; }
          if (!((v38)>=(-32768))) { goto L706; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L705;
L706:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L705:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L714; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L714; }
          if (!((v38)>=(-32768))) { goto L714; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L713;
L714:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L713:;
          if (ECL_CONSP(v6sequence)) { goto L723; }
          if (v6sequence==ECL_NIL) { goto L723; }
          if (!(ECL_VECTORP(v6sequence))) { goto L721; }
          goto L722;
L723:;
L722:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          T2 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
          ecl_function_dispatch(cl_env_copy,VV[435])(6, v20_display_, T0, v6sequence, v34start, T1, T2) /*  WRITE-SEQUENCE-CARD32 */;
          goto L699;
L721:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[240]) /*  X-TYPE-ERROR */;
L699:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L695:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L738; }
          goto L694;
L738:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L740; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L746; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L746; }
          if (!((v37)>=(0))) { goto L746; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L745;
          }
L746:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v17, VV[190]) /*  X-TYPE-ERROR */;
L745:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L758; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L758; }
          if (!((v37)>=(-32768))) { goto L758; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L757;
L758:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L757:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L766; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L766; }
          if (!((v37)>=(-32768))) { goto L766; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L765;
L766:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L765:;
          if (ECL_CONSP(v6sequence)) { goto L775; }
          if (v6sequence==ECL_NIL) { goto L775; }
          if (!(ECL_VECTORP(v6sequence))) { goto L773; }
          goto L774;
L775:;
L774:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = (ECL_SYM("CHAR-CODE",204)->symbol.gfdef);
          ecl_function_dispatch(cl_env_copy,VV[435])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), T1) /*  WRITE-SEQUENCE-CARD32 */;
          goto L744;
L773:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[241]) /*  X-TYPE-ERROR */;
L744:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(4));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L740:;
          v31_value_ = (v14display)->instance.slots[6]=v33boffset;
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v20_display_)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v21);
          if (!((T0)==(T1))) { goto L783; }
          if (!((v22)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L786; }
          T0 = mp_lock_count(v21);
          if (!(ecl_number_compare(T0,v23)>0)) { goto L783; }
          goto L784;
L786:;
L784:;
          mp_giveup_lock(v21);
L783:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L788; }
         si_check_pending_interrupts();
L788:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
L594:;
   {
    cl_object volatile v16;                       /*  NCHUNKS         */
    cl_object volatile v17;                       /*  LEFTOVER        */
    T0 = ecl_minus(ecl_make_fixnum(v13end),ecl_make_fixnum(v12start));
    value0 = ecl_floor2(T0,ecl_make_fixnum(254));
    v16 = value0;
    v17 = cl_env_copy->values[1];
    {
     volatile cl_object v18payloadsize;
     volatile cl_object v19request_length;
     T0 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
     T1 = ecl_times(v16,T0);
     if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L793; }
     T3 = ecl_times(v17,ecl_make_fixnum(4));
     T4 = ecl_ceiling2(T3,ecl_make_fixnum(4));
     T5 = ecl_times(ecl_make_fixnum(4),T4);
     T2 = ecl_plus(ecl_make_fixnum(8),T5);
     goto L792;
L793:;
     T2 = ecl_make_fixnum(0);
L792:;
     v18payloadsize = ecl_plus(T1,T2);
     {
      cl_object v20;
      T0 = ecl_divide(v18payloadsize,ecl_make_fixnum(4));
      v20 = ecl_plus(ecl_make_fixnum(7),T0);
      {
       bool v21;
       v21 = ECL_FIXNUMP(v20)||ECL_BIGNUMP(v20);
       if (ecl_unlikely(!(v21)))
         FEwrong_type_argument(ECL_SYM("INTEGER",437),v20);
      }
      v19request_length = v20;
     }
     {
      volatile cl_object v20_display_;
      T0 = si_of_class_p(2, v14display, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v14display);
      v20_display_ = v14display;
      if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v20_display_) /*  BUFFER-DEAD */)) { goto L800; }
      ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v20_display_) /*  X-ERROR */;
L800:;
      {
       volatile cl_object v21;
       volatile cl_object v22;
       volatile cl_object v23;
       v21 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v20_display_) /*  BUFFER-LOCK */;
       v22 = mp_lock_owner(v21);
       v23 = mp_lock_count(v21);
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v24;
         v24 = _ecl_inner_frame;
         {
          volatile cl_object v25;
          v25 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v26=ECL_STACK_INDEX(cl_env_copy),v27;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v25); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v21);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v28;
          v28 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_times(ecl_make_fixnum(4),v19request_length);
          T2 = ecl_plus(T1,ecl_make_fixnum(160));
          T3 = ecl_plus(T0,T2);
          T4 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v20_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T3,T4)>=0)) { goto L816; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v20_display_) /*  BUFFER-FLUSH */;
L816:;
          {
          cl_fixnum v29buffer_boffset;
          cl_object v30buffer_bbuf;
          v29buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v20_display_) /*  BUFFER-BOFFSET */);
          v30buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v20_display_) /*  BUFFER-OBUF8 */;
          (v20_display_)->instance.slots[4]=ecl_make_fixnum(v29buffer_boffset);
          {
          uint8_t v31;
          cl_fixnum v32;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v14display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L826; }
          v31 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v14display) /*  X-ERROR */);
          goto L824;
L826:;
          v31 = ecl_fixnum(value0);
          goto L824;
L824:;
          v32 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          }
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(25);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[338])(3, v19request_length, v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L834; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v19request_length, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L832;
L834:;
          goto L832;
L832:;
          if (Null(ecl_memql(v8alu,VV[161]))) { goto L837; }
          {
          uint8_t v31;
          cl_fixnum v32;
          T0 = (ECL_SYM("EQ",333)->symbol.gfdef);
          v31 = ecl_fixnum(cl_position(4, v8alu, VV[242], ECL_SYM("TEST",1316), T0));
          v32 = (v29buffer_boffset)+(4);
          (v30buffer_bbuf)->vector.self.b8[v32]= v31;
          goto L836;
          }
L837:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8alu, VV[73]) /*  X-TYPE-ERROR */;
L836:;
          {
          cl_fixnum v31;
          v31 = (v29buffer_boffset)+(5);
          (v30buffer_bbuf)->vector.self.b8[v31]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          if (Null(si_of_class_p(2, v3source, VV[49]))) { goto L846; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v3source) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L845;
L846:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3source, VV[49]) /*  X-TYPE-ERROR */;
L845:;
          if (Null(si_of_class_p(2, v1dest, VV[49]))) { goto L849; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1dest) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L848;
L849:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1dest, VV[49]) /*  X-TYPE-ERROR */;
L848:;
          {
          cl_object v31;
          if (!((v11mask_format)==(ECL_SYM("NONE",1599)))) { goto L854; }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          v31 = ecl_function_dispatch(cl_env_copy,VV[335])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L852;
L854:;
          v31 = ECL_NIL;
          goto L852;
L852:;
          if (Null(v31)) { goto L856; }
          goto L851;
L856:;
          if (Null(si_of_class_p(2, v11mask_format, VV[60]))) { goto L858; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[71])(1, v11mask_format) /*  PICTURE-FORMAT-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD32 */;
          goto L851;
L858:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v11mask_format, VV[179]) /*  X-TYPE-ERROR */;
          }
L851:;
          if (Null(si_of_class_p(2, v2glyph_set, VV[56]))) { goto L861; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v30buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L860;
L861:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L860:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v9src_x))) { goto L864; }
          v31 = ecl_fixnum(v9src_x);
          if (!((v31)<=(32767))) { goto L864; }
          if (!((v31)>=(-32768))) { goto L864; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v9src_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L863;
L864:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9src_x, VV[90]) /*  X-TYPE-ERROR */;
L863:;
          {
          cl_fixnum v31;
          v31 = 0;
          if (!(ECL_FIXNUMP(v10src_y))) { goto L872; }
          v31 = ecl_fixnum(v10src_y);
          if (!((v31)<=(32767))) { goto L872; }
          if (!((v31)>=(-32768))) { goto L872; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v10src_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L871;
L872:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10src_y, VV[90]) /*  X-TYPE-ERROR */;
L871:;
          {
          cl_object v31_value_;
          {
          cl_object v32;
          cl_object v33boffset;
          cl_object v34start;
          cl_object v35dest_x;
          cl_object v36dest_y;
          v32 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(28));
          v33boffset = v32;
          v34start = ecl_make_fixnum(v12start);
          v35dest_x = v4dest_x;
          v36dest_y = v5dest_y;
          {
          cl_object v37i;
          v37i = ecl_make_fixnum(0);
          goto L889;
L888:;
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(254);
          }
          {
          cl_fixnum v38;
          v38 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v38]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L900; }
          v38 = ecl_fixnum(v35dest_x);
          if (!((v38)<=(32767))) { goto L900; }
          if (!((v38)>=(-32768))) { goto L900; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L899;
L900:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L899:;
          {
          cl_fixnum v38;
          v38 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L908; }
          v38 = ecl_fixnum(v36dest_y);
          if (!((v38)<=(32767))) { goto L908; }
          if (!((v38)>=(-32768))) { goto L908; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L907;
L908:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L907:;
          if (ECL_CONSP(v6sequence)) { goto L917; }
          if (v6sequence==ECL_NIL) { goto L917; }
          if (!(ECL_VECTORP(v6sequence))) { goto L915; }
          goto L916;
L917:;
L916:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          T1 = ecl_plus(v34start,ecl_make_fixnum(254));
          {
          cl_object v38;
          v38 = ecl_make_cfun((cl_objectfn_fixed)LC70__g2578,ECL_NIL,Cblock,1);
          T2 = v38;
          }
          ecl_function_dispatch(cl_env_copy,VV[435])(6, v20_display_, T0, v6sequence, v34start, T1, T2) /*  WRITE-SEQUENCE-CARD32 */;
          goto L893;
L915:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[243]) /*  X-TYPE-ERROR */;
L893:;
          v35dest_x = ecl_make_fixnum(0);
          v36dest_y = ecl_make_fixnum(0);
          {
          cl_object v38;
          v38 = ecl_plus(ecl_make_fixnum(8),ecl_make_fixnum(1016));
          v33boffset = ecl_plus(v33boffset,v38);
          }
          v34start = ecl_plus(v34start,ecl_make_fixnum(254));
          v37i = ecl_one_plus(v37i);
L889:;
          if (!(ecl_number_compare(v37i,v16)<0)) { goto L932; }
          goto L888;
L932:;
          }
          if (!(ecl_number_compare(v17,ecl_make_fixnum(0))>0)) { goto L934; }
          v29buffer_boffset = ecl_fixnum(v33boffset);
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v17))) { goto L940; }
          v37 = ecl_fixnum(v17);
          if (!((v37)<=(255))) { goto L940; }
          if (!((v37)>=(0))) { goto L940; }
          }
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(0);
          (v30buffer_bbuf)->vector.self.b8[v37]= ecl_fixnum(v17);
          goto L939;
          }
L940:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v17, VV[190]) /*  X-TYPE-ERROR */;
L939:;
          {
          cl_fixnum v37;
          v37 = (v29buffer_boffset)+(1);
          (v30buffer_bbuf)->vector.self.b8[v37]= (uint8_t)(0);
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(0), v30buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v35dest_x))) { goto L952; }
          v37 = ecl_fixnum(v35dest_x);
          if (!((v37)<=(32767))) { goto L952; }
          if (!((v37)>=(-32768))) { goto L952; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v35dest_x, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L951;
L952:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v35dest_x, VV[90]) /*  X-TYPE-ERROR */;
L951:;
          {
          cl_fixnum v37;
          v37 = 0;
          if (!(ECL_FIXNUMP(v36dest_y))) { goto L960; }
          v37 = ecl_fixnum(v36dest_y);
          if (!((v37)<=(32767))) { goto L960; }
          if (!((v37)>=(-32768))) { goto L960; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(6));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v36dest_y, v30buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L959;
L960:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v36dest_y, VV[90]) /*  X-TYPE-ERROR */;
L959:;
          if (ECL_CONSP(v6sequence)) { goto L969; }
          if (v6sequence==ECL_NIL) { goto L969; }
          if (!(ECL_VECTORP(v6sequence))) { goto L967; }
          goto L968;
L969:;
L968:;
          T0 = ecl_plus(ecl_make_fixnum(v29buffer_boffset),ecl_make_fixnum(8));
          {
          cl_object v37;
          v37 = ecl_make_cfun((cl_objectfn_fixed)LC71__g2613,ECL_NIL,Cblock,1);
          T1 = v37;
          }
          ecl_function_dispatch(cl_env_copy,VV[435])(6, v20_display_, T0, v6sequence, v34start, ecl_make_fixnum(v13end), T1) /*  WRITE-SEQUENCE-CARD32 */;
          goto L938;
L967:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6sequence, VV[244]) /*  X-TYPE-ERROR */;
L938:;
          {
          cl_object v37;
          T0 = ecl_times(v17,ecl_make_fixnum(4));
          T1 = ecl_ceiling2(T0,ecl_make_fixnum(4));
          T2 = ecl_times(ecl_make_fixnum(4),T1);
          v37 = ecl_plus(ecl_make_fixnum(8),T2);
          v33boffset = ecl_plus(v33boffset,v37);
          }
L934:;
          v31_value_ = (v14display)->instance.slots[6]=v33boffset;
          }
          }
          {
          cl_object v31;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v20_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v32;
          v32 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v32));
          v31 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v20_display_)->instance.slots[3]=v31;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v28);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v20_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v28);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v27=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v21);
          if (!((T0)==(T1))) { goto L977; }
          if (!((v22)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L980; }
          T0 = mp_lock_count(v21);
          if (!(ecl_number_compare(T0,v23)>0)) { goto L977; }
          goto L978;
L980:;
L978:;
          mp_giveup_lock(v21);
L977:;
          ecl_stack_pop_values(cl_env_copy,v27);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v26);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v24);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L982; }
         si_check_pending_interrupts();
L982:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v24);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	local function G2578                                          */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object LC70__g2578(cl_object v1elt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_CHARACTERP(v1elt))) { goto L1; }
 value0 = ecl_make_fixnum(CHAR_CODE(v1elt));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = v1elt;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	local function G2613                                          */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object LC71__g2613(cl_object v1elt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_CHARACTERP(v1elt))) { goto L1; }
 value0 = ecl_make_fixnum(CHAR_CODE(v1elt));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = v1elt;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for RENDER-ADD-GLYPH                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73render_add_glyph(volatile cl_narg narg, cl_object volatile v1glyph_set, cl_object volatile v2id, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3x_origin;
  cl_object volatile v4y_origin;
  cl_object volatile v5x_advance;
  cl_object volatile v6y_advance;
  cl_object volatile v7data;
  ecl_va_list args; ecl_va_start(args,v2id,narg,2);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L73render_add_glyphkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3x_origin = keyvars[0];
   v4y_origin = keyvars[1];
   v5x_advance = keyvars[2];
   v6y_advance = keyvars[3];
   v7data = keyvars[4];
  }
  {
   volatile cl_object v8display;
   v8display = ecl_function_dispatch(cl_env_copy,VV[397])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   L4ensure_render_initialized(v8display);
   {
    volatile cl_fixnum v9w;
    volatile cl_fixnum v10h;
    volatile cl_object v11bitmap_format;
    volatile cl_object v12unit;
    volatile cl_object v13byte_lsb_first_p;
    volatile cl_object v14bit_lsb_first_p;
    v9w = ecl_array_dimension(v7data,1);
    v10h = ecl_array_dimension(v7data,0);
    v11bitmap_format = ecl_function_dispatch(cl_env_copy,VV[442])(1, v8display) /*  DISPLAY-BITMAP-FORMAT */;
    v12unit = ecl_function_dispatch(cl_env_copy,VV[443])(1, v11bitmap_format) /*  BITMAP-FORMAT-UNIT */;
    v13byte_lsb_first_p = ecl_function_dispatch(cl_env_copy,VV[444])(1, v8display) /*  DISPLAY-IMAGE-LSB-FIRST-P */;
    v14bit_lsb_first_p = ecl_function_dispatch(cl_env_copy,VV[445])(1, v11bitmap_format) /*  BITMAP-FORMAT-LSB-FIRST-P */;
    {
     volatile cl_object v15byte_per_line;
     volatile cl_object v16request_length;
     T0 = ecl_function_dispatch(cl_env_copy,VV[423])(1, v1glyph_set) /*  GLYPH-SET-FORMAT */;
     T1 = ecl_function_dispatch(cl_env_copy,VV[284])(1, T0) /*  PICTURE-FORMAT-DEPTH */;
     T2 = ecl_times(ecl_make_fixnum(v9w),T1);
     T3 = ecl_ceiling2(T2,ecl_make_fixnum(32));
     v15byte_per_line = ecl_times(ecl_make_fixnum(4),T3);
     T0 = ecl_times(ecl_make_fixnum(v10h),v15byte_per_line);
     v16request_length = ecl_plus(ecl_make_fixnum(28),T0);
     {
      volatile cl_object v17_display_;
      T0 = si_of_class_p(2, v8display, VV[41]);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v8display);
      v17_display_ = v8display;
      if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v17_display_) /*  BUFFER-DEAD */)) { goto L13; }
      ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v17_display_) /*  X-ERROR */;
L13:;
      {
       volatile cl_object v18;
       volatile cl_object v19;
       volatile cl_object v20;
       v18 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v17_display_) /*  BUFFER-LOCK */;
       v19 = mp_lock_owner(v18);
       v20 = mp_lock_count(v18);
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         volatile cl_object v21;
         v21 = _ecl_inner_frame;
         {
          volatile cl_object v22;
          v22 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
          ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
          {
          volatile bool unwinding = FALSE;
          cl_index v23=ECL_STACK_INDEX(cl_env_copy),v24;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v22); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v18);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v25;
          v25 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v17_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v17_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L29; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v17_display_) /*  BUFFER-FLUSH */;
L29:;
          {
          cl_fixnum v26buffer_boffset;
          cl_object v27buffer_bbuf;
          v26buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v17_display_) /*  BUFFER-BOFFSET */);
          v27buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v17_display_) /*  BUFFER-OBUF8 */;
          (v17_display_)->instance.slots[4]=ecl_make_fixnum(v26buffer_boffset);
          {
          uint8_t v28;
          cl_fixnum v29;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v8display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L39; }
          v28 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v8display) /*  X-ERROR */);
          goto L37;
L39:;
          v28 = ecl_fixnum(value0);
          goto L37;
L37:;
          v29 = (v26buffer_boffset)+(0);
          (v27buffer_bbuf)->vector.self.b8[v29]= v28;
          }
          {
          cl_fixnum v28;
          v28 = (v26buffer_boffset)+(1);
          (v27buffer_bbuf)->vector.self.b8[v28]= (uint8_t)(20);
          }
          {
          cl_object v28_value_;
          v28_value_ = ecl_ceiling2(v16request_length,ecl_make_fixnum(4));
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(2));
          value0 = ecl_function_dispatch(cl_env_copy,VV[338])(3, v28_value_, v27buffer_bbuf, T0) /*  ASET-CARD16 */;
          if ((value0)!=ECL_NIL) { goto L48; }
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v28_value_, ECL_SYM("LENGTH",476)) /*  X-TYPE-ERROR */;
          goto L45;
L48:;
          goto L45;
          }
L45:;
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L51; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v27buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L50;
L51:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L50:;
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, ecl_make_fixnum(1), v27buffer_bbuf, T0) /*  ASET-CARD32 */;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v2id))) { goto L55; }
          v28 = ecl_fixnum(v2id);
          if (!((v28)<=(4294967295))) { goto L55; }
          if (!((v28)>=(0))) { goto L55; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[375])(3, v2id, v27buffer_bbuf, T0) /*  ASET-CARD32 */;
          goto L54;
L55:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2id, VV[170]) /*  X-TYPE-ERROR */;
L54:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(1)) { goto L63; }
          v28 = v9w;
          if (!((v28)<=(65535))) { goto L63; }
          if (!((v28)>=(0))) { goto L63; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(v9w), v27buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L62;
L63:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, ecl_make_fixnum(v9w), VV[163]) /*  X-TYPE-ERROR */;
L62:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(1)) { goto L71; }
          v28 = v10h;
          if (!((v28)<=(65535))) { goto L71; }
          if (!((v28)>=(0))) { goto L71; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(18));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(v10h), v27buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L70;
L71:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, ecl_make_fixnum(v10h), VV[163]) /*  X-TYPE-ERROR */;
L70:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v3x_origin))) { goto L79; }
          v28 = ecl_fixnum(v3x_origin);
          if (!((v28)<=(32767))) { goto L79; }
          if (!((v28)>=(-32768))) { goto L79; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v3x_origin, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L78;
L79:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3x_origin, VV[90]) /*  X-TYPE-ERROR */;
L78:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v4y_origin))) { goto L87; }
          v28 = ecl_fixnum(v4y_origin);
          if (!((v28)<=(32767))) { goto L87; }
          if (!((v28)>=(-32768))) { goto L87; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v4y_origin, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L86;
L87:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4y_origin, VV[90]) /*  X-TYPE-ERROR */;
L86:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v5x_advance))) { goto L95; }
          v28 = ecl_fixnum(v5x_advance);
          if (!((v28)<=(32767))) { goto L95; }
          if (!((v28)>=(-32768))) { goto L95; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v5x_advance, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L94;
L95:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5x_advance, VV[90]) /*  X-TYPE-ERROR */;
L94:;
          {
          cl_fixnum v28;
          v28 = 0;
          if (!(ECL_FIXNUMP(v6y_advance))) { goto L103; }
          v28 = ecl_fixnum(v6y_advance);
          if (!((v28)<=(32767))) { goto L103; }
          if (!((v28)>=(-32768))) { goto L103; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v26buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[337])(3, v6y_advance, v27buffer_bbuf, T0) /*  ASET-INT16 */;
          goto L102;
L103:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6y_advance, VV[90]) /*  X-TYPE-ERROR */;
L102:;
          {
          cl_object v28_value_;
          {
          cl_fixnum v29;
          {
          cl_fixnum v30_boffset_;
          v30_boffset_ = (v26buffer_boffset)+(28);
          v26buffer_boffset = v30_boffset_;
          v29 = v26buffer_boffset;
          }
          v28_value_ = (v8display)->instance.slots[6]=ecl_make_fixnum(v29);
          }
          }
          {
          cl_object v28_value_;
          {
          cl_object v29im;
          v29im = ecl_function_dispatch(cl_env_copy,VV[446])(8, VV[246], ecl_make_fixnum(v9w), VV[247], ecl_make_fixnum(v10h), VV[154], ecl_make_fixnum(8), VV[248], v7data) /*  CREATE-IMAGE */;
          v28_value_ = ecl_function_dispatch(cl_env_copy,VV[447])(10, v8display, v29im, ecl_make_fixnum(0), ecl_make_fixnum(0), ecl_make_fixnum(v9w), ecl_make_fixnum(v10h), v15byte_per_line, v12unit, v13byte_lsb_first_p, v14bit_lsb_first_p) /*  WRITE-IMAGE-Z */;
          }
          }
          {
          cl_object v28;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v17_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v29;
          v29 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v29));
          v28 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v17_display_)->instance.slots[3]=v28;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v25);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v17_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v25);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v24=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v18);
          if (!((T0)==(T1))) { goto L120; }
          if (!((v19)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L123; }
          T0 = mp_lock_count(v18);
          if (!(ecl_number_compare(T0,v20)>0)) { goto L120; }
          goto L121;
L123:;
L121:;
          mp_giveup_lock(v18);
L120:;
          ecl_stack_pop_values(cl_env_copy,v24);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v23);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
          }
         }
         ecl_stack_frame_push_values(v21);
         if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L125; }
         si_check_pending_interrupts();
L125:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v21);
         value0 = cl_env_copy->values[0];
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for RENDER-ADD-GLYPH-FROM-PICTURE         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74render_add_glyph_from_picture(volatile cl_narg narg, cl_object volatile v1glyph_set, cl_object volatile v2picture, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v3x_origin;
  cl_object volatile v4y_origin;
  cl_object volatile v5x_advance;
  cl_object volatile v6y_advance;
  cl_object volatile v7x;
  cl_object volatile v8y;
  cl_object volatile v9width;
  cl_object volatile v10height;
  ecl_va_list args; ecl_va_start(args,v2picture,narg,2);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L74render_add_glyph_from_picturekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3x_origin = keyvars[0];
   v4y_origin = keyvars[1];
   v5x_advance = keyvars[2];
   v6y_advance = keyvars[3];
   v7x = keyvars[4];
   v8y = keyvars[5];
   v9width = keyvars[6];
   v10height = keyvars[7];
  }
  {
   volatile cl_object v11display;
   v11display = ecl_function_dispatch(cl_env_copy,VV[397])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v12_display_;
    T0 = si_of_class_p(2, v11display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v11display);
    v12_display_ = v11display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v12_display_) /*  BUFFER-DEAD */)) { goto L4; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v12_display_) /*  X-ERROR */;
L4:;
    {
     volatile cl_object v13;
     volatile cl_object v14;
     volatile cl_object v15;
     v13 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v12_display_) /*  BUFFER-LOCK */;
     v14 = mp_lock_owner(v13);
     v15 = mp_lock_count(v13);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v16;
       v16 = _ecl_inner_frame;
       {
        volatile cl_object v17;
        v17 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v18=ECL_STACK_INDEX(cl_env_copy),v19;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v17); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v13);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v20;
          v20 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v12_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v12_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L20; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v12_display_) /*  BUFFER-FLUSH */;
L20:;
          {
          cl_fixnum v21buffer_boffset;
          cl_object v22buffer_bbuf;
          v21buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v12_display_) /*  BUFFER-BOFFSET */);
          v22buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v12_display_) /*  BUFFER-OBUF8 */;
          (v12_display_)->instance.slots[4]=ecl_make_fixnum(v21buffer_boffset);
          {
          uint8_t v23;
          cl_fixnum v24;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v11display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L30; }
          v23 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v11display) /*  X-ERROR */);
          goto L28;
L30:;
          v23 = ecl_fixnum(value0);
          goto L28;
L28:;
          v24 = (v21buffer_boffset)+(0);
          (v22buffer_bbuf)->vector.self.b8[v24]= v23;
          }
          {
          cl_fixnum v23;
          v23 = (v21buffer_boffset)+(1);
          (v22buffer_bbuf)->vector.self.b8[v23]= (uint8_t)(21);
          }
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L37; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v22buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L36;
L37:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L36:;
          if (Null(si_of_class_p(2, v2picture, VV[49]))) { goto L40; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v2picture) /*  PICTURE-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v22buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L39;
L40:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2picture, VV[49]) /*  X-TYPE-ERROR */;
L39:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v9width))) { goto L43; }
          v23 = ecl_fixnum(v9width);
          if (!((v23)<=(65535))) { goto L43; }
          if (!((v23)>=(0))) { goto L43; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v9width, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L42;
L43:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v9width, VV[163]) /*  X-TYPE-ERROR */;
L42:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v10height))) { goto L51; }
          v23 = ecl_fixnum(v10height);
          if (!((v23)<=(65535))) { goto L51; }
          if (!((v23)>=(0))) { goto L51; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(14));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v10height, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L50;
L51:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v10height, VV[163]) /*  X-TYPE-ERROR */;
L50:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v3x_origin))) { goto L59; }
          v23 = ecl_fixnum(v3x_origin);
          if (!((v23)<=(65535))) { goto L59; }
          if (!((v23)>=(0))) { goto L59; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(16));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v3x_origin, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L58;
L59:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3x_origin, VV[163]) /*  X-TYPE-ERROR */;
L58:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v4y_origin))) { goto L67; }
          v23 = ecl_fixnum(v4y_origin);
          if (!((v23)<=(65535))) { goto L67; }
          if (!((v23)>=(0))) { goto L67; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(18));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v4y_origin, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L66;
L67:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v4y_origin, VV[163]) /*  X-TYPE-ERROR */;
L66:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v5x_advance))) { goto L75; }
          v23 = ecl_fixnum(v5x_advance);
          if (!((v23)<=(65535))) { goto L75; }
          if (!((v23)>=(0))) { goto L75; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(20));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v5x_advance, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L74;
L75:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v5x_advance, VV[163]) /*  X-TYPE-ERROR */;
L74:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v6y_advance))) { goto L83; }
          v23 = ecl_fixnum(v6y_advance);
          if (!((v23)<=(65535))) { goto L83; }
          if (!((v23)>=(0))) { goto L83; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(22));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v6y_advance, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L82;
L83:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6y_advance, VV[163]) /*  X-TYPE-ERROR */;
L82:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v7x))) { goto L91; }
          v23 = ecl_fixnum(v7x);
          if (!((v23)<=(65535))) { goto L91; }
          if (!((v23)>=(0))) { goto L91; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(24));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v7x, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L90;
L91:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v7x, VV[163]) /*  X-TYPE-ERROR */;
L90:;
          {
          cl_fixnum v23;
          v23 = 0;
          if (!(ECL_FIXNUMP(v8y))) { goto L99; }
          v23 = ecl_fixnum(v8y);
          if (!((v23)<=(65535))) { goto L99; }
          if (!((v23)>=(0))) { goto L99; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(26));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v8y, v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L98;
L99:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v8y, VV[163]) /*  X-TYPE-ERROR */;
L98:;
          T0 = ecl_plus(ecl_make_fixnum(v21buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(7), v22buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v23;
          v23 = (v21buffer_boffset)+(28);
          (v12_display_)->instance.slots[6]=ecl_make_fixnum(v23);
          }
          {
          cl_object v23;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v12_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v24;
          v24 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v24));
          v23 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v12_display_)->instance.slots[3]=v23;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v20);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v12_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v20);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v19=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v13);
         if (!((T0)==(T1))) { goto L111; }
         if (!((v14)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L114; }
         T0 = mp_lock_count(v13);
         if (!(ecl_number_compare(T0,v15)>0)) { goto L111; }
         goto L112;
L114:;
L112:;
         mp_giveup_lock(v13);
L111:;
         ecl_stack_pop_values(cl_env_copy,v19);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v18);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v16);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L116; }
       si_check_pending_interrupts();
L116:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v16);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-FREE-GLYPHS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75render_free_glyphs(cl_object volatile v1glyph_set, cl_object volatile v2glyphs)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3display;
   v3display = ecl_function_dispatch(cl_env_copy,VV[397])(1, v1glyph_set) /*  GLYPH-SET-DISPLAY */;
   {
    volatile cl_object v4_display_;
    T0 = si_of_class_p(2, v3display, VV[41]);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v3display);
    v4_display_ = v3display;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v4_display_) /*  BUFFER-DEAD */)) { goto L4; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v4_display_) /*  X-ERROR */;
L4:;
    {
     volatile cl_object v5;
     volatile cl_object v6;
     volatile cl_object v7;
     v5 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v4_display_) /*  BUFFER-LOCK */;
     v6 = mp_lock_owner(v5);
     v7 = mp_lock_count(v5);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v8;
       v8 = _ecl_inner_frame;
       {
        volatile cl_object v9;
        v9 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v10=ECL_STACK_INDEX(cl_env_copy),v11;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v9); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v5);
         {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v12;
          v12 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v4_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v4_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L20; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v4_display_) /*  BUFFER-FLUSH */;
L20:;
          {
          cl_fixnum v13buffer_boffset;
          cl_object v14buffer_bbuf;
          v13buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v4_display_) /*  BUFFER-BOFFSET */);
          v14buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v4_display_) /*  BUFFER-OBUF8 */;
          (v4_display_)->instance.slots[4]=ecl_make_fixnum(v13buffer_boffset);
          {
          uint8_t v15;
          cl_fixnum v16;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v3display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L30; }
          v15 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v3display) /*  X-ERROR */);
          goto L28;
L30:;
          v15 = ecl_fixnum(value0);
          goto L28;
L28:;
          v16 = (v13buffer_boffset)+(0);
          (v14buffer_bbuf)->vector.self.b8[v16]= v15;
          }
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(1);
          (v14buffer_bbuf)->vector.self.b8[v15]= (uint8_t)(22);
          }
          if (Null(si_of_class_p(2, v1glyph_set, VV[56]))) { goto L37; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1glyph_set) /*  GLYPH-SET-ID */;
          T1 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, T0, v14buffer_bbuf, T1) /*  ASET-CARD29 */;
          goto L36;
L37:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v1glyph_set, VV[56]) /*  X-TYPE-ERROR */;
L36:;
          if (ECL_CONSP(v2glyphs)) { goto L42; }
          if (v2glyphs==ECL_NIL) { goto L42; }
          if (!(ECL_VECTORP(v2glyphs))) { goto L40; }
          goto L41;
L42:;
L41:;
          {
          cl_fixnum v15;
          v15 = ecl_length(v2glyphs);
          T0 = ecl_minus(ecl_make_fixnum(v15),ecl_make_fixnum(0));
          T1 = ecl_plus(T0,ecl_make_fixnum(2));
          T2 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, T1, v14buffer_bbuf, T2) /*  ASET-CARD16 */;
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[435])(6, v4_display_, T0, v2glyphs, ecl_make_fixnum(0), ecl_make_fixnum(v15), ECL_NIL) /*  WRITE-SEQUENCE-CARD32 */;
          goto L39;
          }
L40:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2glyphs, VV[251]) /*  X-TYPE-ERROR */;
L39:;
          {
          cl_object v15;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v4_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v16;
          v16 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v16));
          v15 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v4_display_)->instance.slots[3]=v15;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v12);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v4_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v12);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
         }
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v11=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v5);
         if (!((T0)==(T1))) { goto L49; }
         if (!((v6)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L52; }
         T0 = mp_lock_count(v5);
         if (!(ecl_number_compare(T0,v7)>0)) { goto L49; }
         goto L50;
L52:;
L50:;
         mp_giveup_lock(v5);
L49:;
         ecl_stack_pop_values(cl_env_copy,v11);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v10);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v8);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L54; }
       si_check_pending_interrupts();
L54:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v8);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     return value0;
    }
   }
  }
 }
}
/*	function definition for RENDER-CREATE-CURSOR                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76render_create_cursor(volatile cl_narg narg, cl_object volatile v1picture, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2x;
  cl_object volatile v3y;
  va_list args; va_start(args,v1picture);
  {
   int i = 1;
   if (i >= narg) {
    v2x = ecl_make_fixnum(0);
   } else {
    i++;
    v2x = va_arg(args,cl_object);
   }
   if (i >= narg) {
    v3y = ecl_make_fixnum(0);
   } else {
    i++;
    v3y = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object v4display;
   v4display = ecl_function_dispatch(cl_env_copy,VV[327])(1, v1picture) /*  PICTURE-DISPLAY */;
   L4ensure_render_initialized(v4display);
   L50synchronise_picture_state(v1picture);
   {
    volatile cl_object v5cursor;
    volatile cl_object v6cid;
    v5cursor = ecl_function_dispatch(cl_env_copy,VV[459])(2, VV[88], v4display) /*  MAKE-CURSOR */;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v4display) /*  BUFFER-DEAD */)) { goto L8; }
    ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v4display) /*  X-ERROR */;
L8:;
    {
     volatile cl_object v7;
     volatile cl_object v8;
     volatile cl_object v9;
     v7 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v4display) /*  BUFFER-LOCK */;
     v8 = mp_lock_owner(v7);
     v9 = mp_lock_count(v7);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v10;
       v10 = _ecl_inner_frame;
       {
        volatile cl_object v11;
        v11 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v12=ECL_STACK_INDEX(cl_env_copy),v13;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v11); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v7);
         {
          cl_object v14id;
          T0 = ecl_function_dispatch(cl_env_copy,VV[392])(1, v4display) /*  DISPLAY-XID */;
          v14id = ecl_function_dispatch(cl_env_copy,T0)(1, v4display);
          ecl_function_dispatch(cl_env_copy,VV[460])(3, v4display, v14id, v5cursor) /*  SAVE-ID */;
          cl_env_copy->values[0] = v14id;
          cl_env_copy->nvalues = 1;
          ecl_bds_unwind1(cl_env_copy);
         }
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v13=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v7);
         if (!((T0)==(T1))) { goto L23; }
         if (!((v8)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L26; }
         T0 = mp_lock_count(v7);
         if (!(ecl_number_compare(T0,v9)>0)) { goto L23; }
         goto L24;
L26:;
L24:;
         mp_giveup_lock(v7);
L23:;
         ecl_stack_pop_values(cl_env_copy,v13);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v12);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v10);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L28; }
       si_check_pending_interrupts();
L28:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v10);
       value0 = cl_env_copy->values[0];
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     v6cid = value0;
    }
    ecl_structure_set(v5cursor,VV[253],0,v6cid);
    {
     volatile cl_object v7_display_;
     T0 = si_of_class_p(2, v4display, VV[41]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[41],v4display);
     v7_display_ = v4display;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[328])(1, v7_display_) /*  BUFFER-DEAD */)) { goto L34; }
     ecl_function_dispatch(cl_env_copy,VV[329])(3, VV[87], VV[88], v7_display_) /*  X-ERROR */;
L34:;
     {
      volatile cl_object v8;
      volatile cl_object v9;
      volatile cl_object v10;
      v8 = ecl_function_dispatch(cl_env_copy,VV[330])(1, v7_display_) /*  BUFFER-LOCK */;
      v9 = mp_lock_owner(v8);
      v10 = mp_lock_count(v8);
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        volatile cl_object v11;
        v11 = _ecl_inner_frame;
        {
         volatile cl_object v12;
         v12 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
         ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
         {
          volatile bool unwinding = FALSE;
          cl_index v13=ECL_STACK_INDEX(cl_env_copy),v14;
          ecl_frame_ptr next_fr;
          if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
            unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
          } else {
          ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v12); /*  *INTERRUPTS-ENABLED* */
          mp_get_lock(1, v8);
          {
          struct ecl_stack_frame _ecl_inner_frame_aux;
          cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
          {
          cl_object v15;
          v15 = _ecl_inner_frame;
          T0 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v7_display_) /*  BUFFER-BOFFSET */;
          T1 = ecl_plus(T0,ecl_make_fixnum(160));
          T2 = ecl_function_dispatch(cl_env_copy,VV[331])(1, v7_display_) /*  BUFFER-SIZE */;
          if (!(ecl_number_compare(T1,T2)>=0)) { goto L50; }
          ecl_function_dispatch(cl_env_copy,VV[332])(1, v7_display_) /*  BUFFER-FLUSH */;
L50:;
          {
          cl_fixnum v16buffer_boffset;
          cl_object v17buffer_bbuf;
          v16buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[225])(1, v7_display_) /*  BUFFER-BOFFSET */);
          v17buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[333])(1, v7_display_) /*  BUFFER-OBUF8 */;
          (v7_display_)->instance.slots[4]=ecl_make_fixnum(v16buffer_boffset);
          {
          uint8_t v18;
          cl_fixnum v19;
          T1 = ecl_function_dispatch(cl_env_copy,VV[334])(1, v4display) /*  DISPLAY-EXTENSION-ALIST */;
          T0 = ecl_assql(VV[2],T1);
          value0 = _ecl_cadr(T0);
          if ((value0)!=ECL_NIL) { goto L60; }
          v18 = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[329])(5, VV[89], ECL_SYM("NAME",1273), VV[2], VV[88], v4display) /*  X-ERROR */);
          goto L58;
L60:;
          v18 = ecl_fixnum(value0);
          goto L58;
L58:;
          v19 = (v16buffer_boffset)+(0);
          (v17buffer_bbuf)->vector.self.b8[v19]= v18;
          }
          {
          cl_fixnum v18;
          v18 = (v16buffer_boffset)+(1);
          (v17buffer_bbuf)->vector.self.b8[v18]= (uint8_t)(27);
          }
          {
          cl_fixnum v18;
          v18 = 0;
          if (!(ECL_FIXNUMP(v6cid))) { goto L67; }
          v18 = ecl_fixnum(v6cid);
          if (!((v18)<=(536870911))) { goto L67; }
          if (!((v18)>=(0))) { goto L67; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(4));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v6cid, v17buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L66;
L67:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v6cid, VV[83]) /*  X-TYPE-ERROR */;
L66:;
          {
          cl_object v18_value_;
          v18_value_ = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1picture) /*  PICTURE-ID */;
          {
          cl_fixnum v19;
          v19 = 0;
          if (!(ECL_FIXNUMP(v18_value_))) { goto L76; }
          v19 = ecl_fixnum(v18_value_);
          if (!((v19)<=(536870911))) { goto L76; }
          if (!((v19)>=(0))) { goto L76; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(8));
          ecl_function_dispatch(cl_env_copy,VV[335])(3, v18_value_, v17buffer_bbuf, T0) /*  ASET-CARD29 */;
          goto L74;
L76:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v18_value_, VV[83]) /*  X-TYPE-ERROR */;
          }
L74:;
          {
          cl_fixnum v18;
          v18 = 0;
          if (!(ECL_FIXNUMP(v2x))) { goto L84; }
          v18 = ecl_fixnum(v2x);
          if (!((v18)<=(65535))) { goto L84; }
          if (!((v18)>=(0))) { goto L84; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(12));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v2x, v17buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L83;
L84:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v2x, VV[163]) /*  X-TYPE-ERROR */;
L83:;
          {
          cl_fixnum v18;
          v18 = 0;
          if (!(ECL_FIXNUMP(v3y))) { goto L92; }
          v18 = ecl_fixnum(v3y);
          if (!((v18)<=(65535))) { goto L92; }
          if (!((v18)>=(0))) { goto L92; }
          }
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(14));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, v3y, v17buffer_bbuf, T0) /*  ASET-CARD16 */;
          goto L91;
L92:;
          ecl_function_dispatch(cl_env_copy,VV[336])(2, v3y, VV[163]) /*  X-TYPE-ERROR */;
L91:;
          T0 = ecl_plus(ecl_make_fixnum(v16buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[338])(3, ecl_make_fixnum(4), v17buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v18;
          v18 = (v16buffer_boffset)+(16);
          (v7_display_)->instance.slots[6]=ecl_make_fixnum(v18);
          }
          {
          cl_object v18;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[340])(1, v7_display_) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v19;
          v19 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v19));
          v18 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          cl_env_copy->values[0] = (v7_display_)->instance.slots[3]=v18;
          cl_env_copy->nvalues = 1;
          }
          }
          ecl_stack_frame_push_values(v15);
          ecl_function_dispatch(cl_env_copy,VV[341])(1, v7_display_) /*  DISPLAY-INVOKE-AFTER-FUNCTION */;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v15);
          }
          ecl_stack_frame_close(_ecl_inner_frame);
          }
          ecl_bds_unwind1(cl_env_copy);
            next_fr = NULL;
          }
          ecl_frs_pop(cl_env_copy);
          v14=ecl_stack_push_values(cl_env_copy);
          T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
          T1 = mp_lock_owner(v8);
          if (!((T0)==(T1))) { goto L104; }
          if (!((v9)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L107; }
          T0 = mp_lock_count(v8);
          if (!(ecl_number_compare(T0,v10)>0)) { goto L104; }
          goto L105;
L107:;
L105:;
          mp_giveup_lock(v8);
L104:;
          ecl_stack_pop_values(cl_env_copy,v14);
          if (unwinding) ecl_unwind(cl_env_copy,next_fr);
          ECL_STACK_SET_INDEX(cl_env_copy,v13);
          ecl_bds_unwind1(cl_env_copy);
          ecl_bds_unwind1(cl_env_copy);
         }
        }
        ecl_stack_frame_push_values(v11);
        if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L109; }
        si_check_pending_interrupts();
L109:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v11);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
     }
    }
    value0 = v5cursor;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}

#include "clx/xrender.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclrP216amaNS7r9_jXRbs431(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;XRENDER.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclrP216amaNS7r9_jXRbs431@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  cl_export(1, VVtemp[0]);
  cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[0], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
 {
  cl_object T0, T1, T2, T3;
  T0 = cl_list(3, VV[2], ECL_NIL, ECL_NIL);
  T1 = ecl_symbol_value(VV[1]);
  T2 = (ECL_SYM("CAR",180)->symbol.gfdef);
  T3 = cl_delete(4, VV[2], T1, ECL_SYM("KEY",1262), T2);
  cl_set(VV[1],CONS(T0,T3));
 }
  si_Xmake_constant(VV[3], ecl_make_fixnum(0));
  si_Xmake_constant(VV[4], ecl_make_fixnum(1));
  si_Xmake_constant(VV[5], ecl_make_fixnum(2));
  si_Xmake_constant(VV[6], ecl_make_fixnum(3));
  si_Xmake_constant(VV[7], ecl_make_fixnum(4));
  si_Xmake_constant(VV[8], ecl_make_fixnum(5));
  si_Xmake_constant(VV[9], ecl_make_fixnum(6));
  si_Xmake_constant(VV[10], ecl_make_fixnum(7));
  si_Xmake_constant(VV[11], ecl_make_fixnum(8));
  si_Xmake_constant(VV[12], ecl_make_fixnum(9));
  si_Xmake_constant(VV[13], ecl_make_fixnum(10));
  si_Xmake_constant(VV[14], ecl_make_fixnum(11));
  si_Xmake_constant(VV[15], ecl_make_fixnum(12));
  si_Xmake_constant(VV[16], ecl_make_fixnum(13));
  si_Xmake_constant(VV[17], ecl_make_fixnum(14));
  si_Xmake_constant(VV[18], ecl_make_fixnum(15));
  si_Xmake_constant(VV[19], ecl_make_fixnum(16));
  si_Xmake_constant(VV[20], ecl_make_fixnum(17));
  si_Xmake_constant(VV[21], ecl_make_fixnum(18));
  si_Xmake_constant(VV[22], ecl_make_fixnum(19));
  si_Xmake_constant(VV[23], ecl_make_fixnum(20));
  si_Xmake_constant(VV[24], ecl_make_fixnum(21));
  si_Xmake_constant(VV[25], ecl_make_fixnum(22));
  si_Xmake_constant(VV[26], ecl_make_fixnum(23));
  si_Xmake_constant(VV[27], ecl_make_fixnum(24));
  si_Xmake_constant(VV[28], ecl_make_fixnum(25));
  si_Xmake_constant(VV[29], ecl_make_fixnum(26));
  si_Xmake_constant(VV[30], ecl_make_fixnum(27));
  si_Xmake_constant(VV[31], ecl_make_fixnum(28));
  si_Xmake_constant(VV[32], ecl_make_fixnum(29));
  si_Xmake_constant(VV[33], ecl_make_fixnum(30));
  si_Xmake_constant(VV[34], ecl_make_fixnum(31));
  si_define_structure(15, VV[35], _ecl_static_1, ECL_NIL, ECL_NIL, VVtemp[1], VVtemp[2], VV[36], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[3], ecl_make_fixnum(3), ECL_NIL, ECL_NIL, VV[37]);
  VV[38]= cl_find_class(1, VV[35]);
  ecl_cmp_defun(VV[255]);                         /*  MAKE-RENDER-INFO */
  ecl_cmp_defun(VV[259]);                         /*  DISPLAY-RENDER-INFO */
  ecl_cmp_defun(VV[261]);                         /*  (SETF DISPLAY-RENDER-INFO) */
  ecl_cmp_defun(VV[262]);                         /*  ENSURE-RENDER-INITIALIZED */
  ecl_cmp_defun(VV[264]);                         /*  FIND-MATCHING-PICTURE-FORMATS */
  ecl_cmp_defun(VV[289]);                         /*  FIND-WINDOW-PICTURE-FORMAT */
  si_putprop(VV[49], ecl_make_fixnum(4), VV[50]);
  ecl_cmp_defmacro(VV[297]);                      /*  PICTURE-GET     */
  ecl_cmp_defmacro(VV[298]);                      /*  PICTURE-PUT     */
  si_putprop(VV[56], ecl_make_fixnum(4), VV[50]);
  ecl_cmp_defmacro(VV[299]);                      /*  GLYPH-SET-GET   */
  ecl_cmp_defmacro(VV[300]);                      /*  GLYPH-SET-PUT   */
  si_define_structure(15, VV[60], _ecl_static_2, ECL_NIL, ECL_NIL, VVtemp[4], VVtemp[5], VV[61], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[6], ecl_make_fixnum(9), ECL_NIL, ECL_NIL, VV[62]);
  VV[65]= cl_find_class(1, VV[60]);
  ecl_cmp_defun(VV[301]);                         /*  MAKE-PICTURE-FORMAT */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC16__g66,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  clos_install_method(6, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[7], VVtemp[8], T0, ECL_T);
 }
  si_putprop(VV[60], ecl_make_fixnum(4), VV[50]);
  ecl_cmp_defmacro(VV[311]);                      /*  PICTURE-FORMAT-GET */
  ecl_cmp_defmacro(VV[312]);                      /*  PICTURE-FORMAT-PUT */
  si_putprop(VV[73], ecl_make_fixnum(1), VV[50]);
  ecl_cmp_defmacro(VV[313]);                      /*  RENDER-OP-GET   */
  ecl_cmp_defmacro(VV[314]);                      /*  RENDER-OP-PUT   */
  si_do_deftype(3, VV[73], VVtemp[9], VVtemp[10]);
  si_define_structure(15, VV[49], _ecl_static_9, ECL_NIL, ECL_NIL, VVtemp[11], VVtemp[12], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[13], ecl_make_fixnum(8), ECL_NIL, ECL_NIL, VV[80]);
  VV[84]= cl_find_class(1, VV[49]);
  ecl_cmp_defun(VV[315]);                         /*  MAKE-PICTURE    */
  ecl_cmp_defun(VV[324]);                         /*  PICTURE-DRAWABLE */
  ecl_cmp_defun(VV[326]);                         /*  %RENDER-CHANGE-PICTURE-CLIP-RECTANGLES */
  ecl_cmp_defun(VV[342]);                         /*  PICTURE-REPEAT  */
  ecl_cmp_defun(VV[343]);                         /*  (SETF PICTURE-REPEAT) */
  ecl_cmp_defun(VV[344]);                         /*  PICTURE-ALPHA-MAP */
  ecl_cmp_defun(VV[345]);                         /*  (SETF PICTURE-ALPHA-MAP) */
  ecl_cmp_defun(VV[346]);                         /*  PICTURE-ALPHA-X-ORIGIN */
  ecl_cmp_defun(VV[347]);                         /*  (SETF PICTURE-ALPHA-X-ORIGIN) */
  ecl_cmp_defun(VV[348]);                         /*  PICTURE-ALPHA-Y-ORIGIN */
  ecl_cmp_defun(VV[349]);                         /*  (SETF PICTURE-ALPHA-Y-ORIGIN) */
  ecl_cmp_defun(VV[350]);                         /*  PICTURE-CLIP-X-ORIGIN */
  ecl_cmp_defun(VV[351]);                         /*  (SETF PICTURE-CLIP-X-ORIGIN) */
  ecl_cmp_defun(VV[352]);                         /*  PICTURE-CLIP-Y-ORIGIN */
  ecl_cmp_defun(VV[353]);                         /*  (SETF PICTURE-CLIP-Y-ORIGIN) */
  ecl_cmp_defun(VV[354]);                         /*  PICTURE-CLIP-MASK */
  ecl_cmp_defun(VV[355]);                         /*  (SETF PICTURE-CLIP-MASK) */
  ecl_cmp_defun(VV[356]);                         /*  PICTURE-GRAPHICS-EXPOSURES */
  ecl_cmp_defun(VV[357]);                         /*  (SETF PICTURE-GRAPHICS-EXPOSURES) */
  ecl_cmp_defun(VV[358]);                         /*  PICTURE-SUBWINDOW-MODE */
  ecl_cmp_defun(VV[359]);                         /*  (SETF PICTURE-SUBWINDOW-MODE) */
  ecl_cmp_defun(VV[360]);                         /*  PICTURE-POLY-EDGE */
  ecl_cmp_defun(VV[361]);                         /*  (SETF PICTURE-POLY-EDGE) */
  ecl_cmp_defun(VV[362]);                         /*  PICTURE-POLY-MODE */
  ecl_cmp_defun(VV[363]);                         /*  (SETF PICTURE-POLY-MODE) */
  ecl_cmp_defun(VV[364]);                         /*  PICTURE-DITHER  */
  ecl_cmp_defun(VV[365]);                         /*  (SETF PICTURE-DITHER) */
  ecl_cmp_defun(VV[366]);                         /*  PICTURE-COMPONENT-ALPHA */
  ecl_cmp_defun(VV[367]);                         /*  (SETF PICTURE-COMPONENT-ALPHA) */
  ecl_cmp_defun(VV[368]);                         /*  SYNCHRONISE-PICTURE-STATE */
  ecl_cmp_defun(VV[369]);                         /*  RENDER-CREATE-PICTURE */
  si_Xmake_constant(VV[146], ecl_make_fixnum(13));
  ecl_cmp_defun(VV[395]);                         /*  RENDER-FREE-PICTURE */
  ecl_cmp_defun(VV[396]);                         /*  RENDER-FREE-GLYPH-SET */
  ecl_cmp_defun(VV[398]);                         /*  RENDER-QUERY-VERSION */
  ecl_cmp_defun(VV[406]);                         /*  RENDER-QUERY-PICTURE-FORMATS */
  ecl_cmp_defun(VV[409]);                         /*  RENDER-FILL-RECTANGLE */
  ecl_cmp_defun(VV[410]);                         /*  RENDER-TRIANGLES-1 */
  ecl_cmp_defun(VV[412]);                         /*  RENDER-SET-PICTURE-TRANSFORM */
  ecl_cmp_defun(VV[413]);                         /*  RENDER-QUERY-FILTERS */
  ecl_cmp_defun(VV[414]);                         /*  RENDER-SET-FILTER */
  ecl_cmp_defun(VV[416]);                         /*  RENDER-TRAPEZOIDS-1 */
  ecl_cmp_defun(VV[417]);                         /*  RENDER-COMPOSITE */
  si_define_structure(15, VV[56], _ecl_static_10, ECL_NIL, ECL_NIL, VVtemp[14], VVtemp[15], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[16], ecl_make_fixnum(4), ECL_NIL, ECL_NIL, VV[183]);
  VV[184]= cl_find_class(1, VV[56]);
  ecl_cmp_defun(VV[418]);                         /*  MAKE-GLYPH-SET  */
  ecl_cmp_defun(VV[419]);                         /*  RENDER-CREATE-GLYPH-SET */
  ecl_cmp_defun(VV[422]);                         /*  RENDER-REFERENCE-GLYPH-SET */
  ecl_cmp_defun(VV[424]);                         /*  RENDER-COMPOSITE-GLYPHS-8 */
  ecl_cmp_defmacro(VV[432]);                      /*  %RENDER-COMPOSITE-GLYPHS */
  ecl_cmp_defun(VV[433]);                         /*  RENDER-COMPOSITE-GLYPHS */
  ecl_cmp_defun(VV[436]);                         /*  RENDER-ADD-GLYPH */
  ecl_cmp_defun(VV[448]);                         /*  RENDER-ADD-GLYPH-FROM-PICTURE */
  ecl_cmp_defun(VV[457]);                         /*  RENDER-FREE-GLYPHS */
  ecl_cmp_defun(VV[458]);                         /*  RENDER-CREATE-CURSOR */
}
